Peace

Peace is an abbreviation for Peter's Equalizer APO Configuration Extension. Initially, I've made Peace to give my Bluetooth headphones a bass and treble boost with Equalizer APO. Nowadays, it has a lot of features to make your audio life easier. Click here to learn the basics of Peace. Notice that Equalizer APO has to be installed before you can use Peace.

So what's Equalizer APO?

Equalizer APO is Audio Processing Object software which lets you manipulate the audio of your Windows computer. Peace heavily uses the features of Equalizer APO to make the following possible:
  • Give your headphones a bass boost.
  • Fine tune the audio sound for your room (by using Room Equalizer Wizard).
  • Make filters for your home theater PC speakers.
  • Amplify certain frequencies if your hearing is impaired.
  • Boost the microphone input or bass.
  • Upmix stereo to 5.1 or 7.1 setup
  • etc. etc.
Equalizer APO is made by Jonas Thedering, the creator of this marvelous piece of software. In principle this audio manipulating engine works system width, meaning for all apps on your computer.

What can you do with Peace?

Equalizer APO has a user interface which is commands driven. Each Equalizer APO command has his own interface element. Peace has a different approach. It simulates an equalizer and an effects hardware device with which you can manipulate your audio sound such as filtering or applying effects.

Technically speaking (and skip this if you aren't interested), any user interface for Equalizer APO will write its commands to a text file called config.txt in the config folder of Equalizer APO. If you enter commands in this file, Equalizer APO will activated them after you saved the file. Although these commands are fairly easy to use and extremely powerful, a user interface is far easier. What you really need, are sliders, buttons, input fields, in other words easy access to Equalizer APO. Peace offers all of this in one interface existing out of a main window mimicking an equalizer, an effects panel for applying effects, a graph window to see what you have equalized/filtered and several other windows. Peace writes its Equalizer APO commands to peace.txt.

Besides the possibilities mentioned in the previous section with Peace you can (among other things):

  • boost or dampen the sound of entered frequencies (as a hardware equalizer)
  • create equalizer presets, which I call configurations, for your devices (Some users like to use terms such as preset, EQ settings, profile, etc. but configuration is the term in Peace)
  • make complex audio filters
  • filter/equalize per speaker or combinations of speakers
  • apply audio effects like crossfeed and upmix
  • do rerouting of your speakers
  • switch to a configuration by one mouse click, by hotkey, by desktop shortcut (icon), by using the Peace tray or through automation
  • still enter Equalizer commands if you need them
  • automate the usage of your configurations
  • apply equalizations of your specific headphones (brand and type) by using the AutoEQ project
  • use a midi device for equalizing and applying effects
  • test your headphones and hearing to get a left-right specific equalization

Of course there are many specific audio needs, small and large, which are covered by Peace.


Peace on the web

The Peace website is located on SourceForge. As well as in this manual you'll find information on the Peace wiki. For information or problems on Equalizer APO you can go to the Equalizer APO website.

On the Peace website you can download Peace. Installation is explained in the next chapter. The Files section/tab has the newest Peace version and also the previous ones. You'll also find this manual there and a folder with equalizer configurations (presets) including on certain brands and types made by users.

If you have a question or remark you can post it on the Peace forum. You can also make a post under the Peace YouTube video. If you want something added to Peace or want to tell me about a bug, you can post a ticket. Posting something on SourceForge requires a Sourceforge account, posting on YouTube a Google account.

If I have something to tell you, like new versions, I'll make a new post in the News section. You'll get news by subscribing to the Keep me updated (yellow) section on the main page of the Peace website.


Peace Setup tool

Peace Setup Tool

With this tool you can install and uninstall Peace, back up and restore your Peace configurations (presets), configure some basic settings Peace and get help to get Peace going. This tool will check if a new Peace version is available. After downloading it the tool is restarted.

Virus in Peace?

Your virus scanner may detect a virus in Peace. Check out this chapter on false positives.

Install Peace

To install Peace go to this section.

Uninstall Peace

To uninstall Peace go to the Uninstall tab and click the Uninstall button. You can choose if you also want to uninstall the Peace settings and your configurations (presets).

Back up and restore Peace configurations (presets)

The Peace configurations (presets) are located where Peace.exe is located: the config folder of Equalizer APO. You can back up your configurations to any folder (default your documents folder). From there you can restore these again (copy them back to the config folder). Your Peace settings can also be backed up and restored.

Configure basic settings of Peace

To configure Peace you can use the Settings window from within Peace. But the Basic Settings tab of the Peace Setup tool offers also some configure options:

  • Installing additional configurations. The Basic Settings tab has a lot of configurations you can choose from. On Peace website there's even more.
  • Peace interface selection: simple or full. This is the same as on the Interface Selection window.
  • Interface size, bare minimum, default or large. The minimum size has a height of 485. The width is small and can vary on how many sliders you're using.
  • Interface look. Windows default theme or Peace graphics which can be altered in the Appearance window of the Peace Settings.

Help

The Help tab explains in short how to troubleshoot if Peace isn't working or an audio device can't be influenced by Peace. It also gives links to some important pages on the Peace website. Just try to follow the steps stated on this tab.


Installing Peace

Installing Peace

Before you can install and use Peace, you have to install Equalizer APO (sourceforge.net/projects/equalizerapo/). Then to install Peace run the downloaded Peace Setup tool (PeaceSetup.exe) and click on the Install button. This tool creates a desktop shortcut and Windows start menu shortcut which can be used to start Peace.

Where is Peace (Peace.exe) located?

Peace.exe is located in the config folder of Equalizer APO. On my computer this folder is c:\Program Files\EqualizerAPO\config. A Peace.exe of any version can be put there without any installation, move Peace.exe to this folder and run it.

Virus in Peace?

Your virus scanner may detect a virus in Peace. Check out this chapter on false positives.

Running Peace for the first time

When you run Peace.exe for the first time, you may get a popup message saying that Peace will overwrite the current config.txt file. By confirming this you'll get the Interface Selection window where you choose between a simple or full interface.

Installing a previous version

Any previous version can be selected from version 1.1.2.0 upwards by selection the A previous version option. Or you can manually download a previous version (zip file) and move it to the config folder of Equalizer APO.

Installation issues

Read this section for installation issues.


Installation issues

Peace and Equalizer APO installation issues

When you're getting a popup message saying File config.txt of Equalizer APO wasn't found the following may be the cause:

  • Peace.exe isn't located in the config folder of Equalizer APO so put it there. If this folder doesn't exist, Equalizer APO isn't installed correctly.
  • There isn't a config.txt file. If not, Equalizer APO isn't installed correctly.
  • Peace.exe is sandboxed, therefore it doesn't see (and have access to) the config folder. You have to "unsandbox" it.
  • Wrong Peace shortcut. You've probably forgotten to enter the config folder location in the start in field of the shortcut when creating manually a shortcut.

If Peace isn't working and Equalizer APO is, it could be that Peace is sandboxed. It isn't in the folder you think it is. For instance, Comodo puts it in a hidden folder c:\VTRoot which isn't visible until you've set Windows explorer to show hidden folders. In short you have to "unsandbox" Peace to get it working. Sandboxing Peace can be a result of a virus detection. Some virus scanners will think Peace contains a virus. See virus and false positive section.

After correcting these setup problems you should get the Interface selection window of Peace.

Peace doesn't work (You're moving sliders, but nothing happens)

Equalizer APO configurator If Peace doesn't work, then Equalizer APO isn't working or you haven't installed it on your audio device:

  1. Check if Equalizer APO is installed properly.
  2. Run its Configurator (Configurator.exe) to check if your current selected audio has Equalizer APO installed on it.
  3. Get your device going by using the Troubleshooting options in this Configurator. On Windows 10 and 11 select SFX/EFX in the "Install as" dropdown box at the right (LFX/GFX is for Windows Vista and 7). If SFX/EFX doesn't work or isn't there, select SFX/MFX then LFX/GFX (which for some Windows 10 and 11 updates seems to be the best option).

    4. To get to these options: Click on the device name in the Connector column at the left, it turns white on blue, then check the Troubleshooting options checkbox.
  4. Check out the Equalizer APO Documentation wiki has a troubleshooting section.
  5. Browse the Discussion forum for solutions.

Because hardware manufacturers have their own software drivers, they have their own interpretation of the way Windows audio works. This can prevent Equalizer APO from working. Or it's difficult to get it to work. You'll get help on either the Peace website or the Equalizer APO website. Of course if you have issues with Peace or any other questions I'm willing to help you. Just contact me on the Peace website or post a message in Youtube.

Peace has stopped working

Probably you've Windows 10 or 11 and Microsoft did an update. At least start the Configurator but also read/use this section.

You've installed Equalizer APO 0.9

Version 0.9 has a serious issue in reading an empty config.txt file. I recommend 0.9.1 or higher.


Windows 10 and 11 issues

Peace doesn't work after installation

Microsoft and manufacturers of device drivers make a mess of the audio APO technique they are using.

On Windows 10 and 11 the standard should be SFX/EFX or SFX/MFX. First try the SFX/EFX then SFX/MFX. But for some updates Microsoft or the manufacturers have reverted to LFX/GFX (which is Windows Vista technique!) so you might try this one too. Notice that this setting is the default for Windows Vista and 7.

To change to one of these settings:

  1. Start the Configurator of Equalizer APO.
  2. Select the device by clicking on its name in the left Connector column. It should turn white on blue.
  3. Check the Troubleshooting options checkbox.
  4. Select the setting to try from the Install as dropdown box.
  5. Restart computer to see if it works (by changing the audio in Peace like the pre amplifying).
The Installation issues section may help you to get Equalizer APO and therefore Peace going. Or go to the Equalizer APO website.

Peace did work but now it suddenly doesn't

Usually this is caused because Windows 10 or 11 has been updated. As from version 1.4.8 Peace will detect if such an update has occurred and shows a pop message if so. Equalizer APO is usually able to automatic repair this when you start up its Configurator. Of course re-installation of Equalizer APO may also get it going again ( and therefore Peace). You should uninstall Equalizer APO before reinstalling to avoid issues but uninstalling Equalizer APO will automatically remove Peace. So the best re-installation cycle is:

  1. Back up your configurations. Note that Peace automatically does this for you in your documents folder, default in a folder called Peace backup.
  2. Uninstall Equalizer APO (All Peace files will be deleted!) and restart computer
  3. Re-install device driver(s)
  4. Install Equalizer APO
  5. Install Peace
  6. Copy your backed up configuration files to c:\program files\equalizer apo\config

As mentioned in step 1. you could make a backup of your configurations (presets) by using the Backing and restoring tab of the Peace settings window or the Peace Setup tool. For your information, your configurations, the *.peace files, are located in the config folder of Equalizer APO (c:\program files\equalizerapo\config). You can copy them manually as this is what Peace does, copying *.peace files.

Unfortunately sometimes a re-installation of Equalizer APO doesn't work and therefore Peace isn't working also. Check out the Installation issues section or the Equalizer APO website to resolve this.

Peace is to large for my low resolution Windows phone/tablet

Use the Peace Setup tool (Configure tab) to reduce the Peace resolution to its bare minimum. Sliders height and Configuration list height is set to 230 and 120 pixels. This can be done for Peace 1.3.8.0 and higher.

Or set Peace to the Simple interface which is smaller in height.

The knobs on the Effects panel are difficult to use.

From Peace 1.3.8.0 onwards the knob interface areas has been enlarged.


Starting Peace for the first time

Note: Skip below section if you just want to use Peace. Or perhaps read the Interface selection section.

The image at the right shows how Peace, Equalizer APO and the audio are related to each other. It's just for reference as no one cares how it works :)

Overwriting config.txt

audio changing commands To change the audio according to your input on the Peace interfaces, Peace writes Equalizer APO commands to a file called peace.txt in c:\program files\equalizerapo\config. At the first startup of Peace this file needs to be included in the config.txt file of Equalizer APO by writing an "include: peace.txt" command to it. This config.txt file is continuously monitored by the audio changing engine of Equalizer APO in order to manipulate the audio by what you need.

When the config.txt file isn't empty at the first startup of Peace a message pops up in which you confirm the overwriting of this non-empty config.txt file. You might already have made an equalization. If so save those commands to another file. You can always import them into Peace.

Note: After installing Equalizer APO the config.txt file contains a few example commands. This will trigger the overwrite message to pop up. In that case just confirm the overwriting.

Interface selection

At startup of Peace you're presented with an interface selection window. Here you can choose between a simple interface or an interface having all features. Just click on either screenshot. The simple interface will only have sliders to influence the volume of the audio sound. And a list of predefined configurations (presets) is available. But the full interface has it all. No feature is hidden to simply things which may look overwhelming.

On the simple interface there's a button called Show all. Clicking on it makes the full interface come available. It gives you more power over your audio and it isn't that hard to understand. The next sections will give you the basics. To go back to the Simple interface, you have to activate the Interface selection window by going to the Peace settings and check the Show interface selection window checkbox.


The basics

The following sections explain the basics of Peace:

  • Using the sliders, shaping your audio sound
  • Controlling your sound volume, making your audio sound louder or quieter
  • Select an audio device, so an equalization is only done on that specific device
  • Saving/selecting your configuration, creating fast switches between configurations (presets)
  • 2 or more active EQ's, having more than 1 eq configuration active like a mic plus a headphones eq
  • Switching Peace on or off, testing your equalization
  • Done equalizing, closing Peace and your equalization will still be active

An explanation of the advanced features can be found in the Advanced usage section. If you want the graph functionality explained, go to the Graph window section.

Peace has a test window for testing your headphones and hearing.Notice that this isn't a substitute for a proper test by a hearing care professional but you might get some information on how to equalize your headphones and/or hearing.

For developing your own equalizer interface, for instance in Rainmeter, use this section. Almost everything in Peace can be controlled from within another app.


Using the sliders

Basic sound shaping

The best advice I can give you for shaping your audio sound is: Just move the sliders up and down whilst listening to music. I gave my Bluetooth headphones a bass and treble boost by playing around with the sliders.

How to use a gain slider

Above a slider a frequency can be entered. The corresponding slider sets the volume, called gain, for this frequency. By entering a different frequency the sound will alter.

Besides dragging a slider thumb to change the gain, you can also use your mousewheel.

Instead of using a slider the gain (volume) can be entered beneath the slider as a Decibel (dB) value. A positive value makes the sound louder. A negative one quieter.

A slider can be reset by right mouse clicking on it. And slider can be colored by Ctrl +right mouse clicking on it. This opens the slider properties window in which you choose a color or add text for the tooltips of the sliders frequency, gain and quality.

The quality value beneath the slider determines the frequency width of a slider at the set gain (bandwidth). A smaller value gives a larger width. More lower and higher frequencies besides the entered one will be influence by the gain at a smaller value. If you hold the Ctrl-key you can use the mousewheel to increase/decrease the quality value thus bandwidth.

By default peak filters are used for the sliders. A different filter can be selected for each slider or no filters with convolution (called Graphic EQ in Equalizer APO).

If you need more sliders, click on the + button. And click on the - button to remove a slider. And if you need to move a slider left or right use the arrows buttons next to the - button after clicking on the slider you want to move.


Controlling the sound volume

Pre amplifying

peak meter Making the audio sound louder or quieter is normally done with the Windows volume slider in the Windows audio mixer or by the Windows tray. This main Windows volume can also be changed within Peace by the slider beneath the Peak value meter (as shown in the left image).

If you want to increase the volume further (or per speaker) you can do this by pre amplifying the sound with the pre amplifying slider at the top of the Peace window (as shown in the image below). The left input field shows the pre amplifying decibel value. pre amplifying By careful with high decibels because the sound may become physically too loud for your device. Or it can clip the sound which leads to distortion. Just monitor the peak value meter which is located in the below middle of the Peace window. If this is bar is full and the red sign lights up your audio sound is probably clipping and thus distorting.

The peak value meter will show the peak values of the current default audio device. By clicking on the meter you can change this device. The Windows audio device window will pop up where you can do this. The Windows volume slider beneath the Peak meter will be set to the device you select. You may want to use a graphical meter with green, yellow and red. This can be set in the Appearance settings.

For convenience by hovering above the slider you can use your mouse wheel to change Windows volume or the pre amplifying. And right mouse clicking resets a slider.

To mute the sound click the speaker icon next to the Windows volume slider. To unmute click on the mute speaker icon. Muting can also be done by clicking on the icon left to the pre amplifying slider. Notice that this muting isn't the general Windows muting. It dampens the audio sound by a large negative decibel value (and is performed on all speakers).

Detached pre amplifying slider

An additional detached pre amplifying slider can be shown by clicking pre amp slider. A small window appears which can be enlarged to any size and set to any position. The size and position will be saved. You can position this slider on the taskbar for instance. By clicking this button again this detached slider will be hidden again.

The Peace tray also has a pre amplifying slider. So you don't have to switch to the Peace interface to alter the pre amplifying.

Automatically prevent clipping and thus distortion

You'll notice a checkbox right to the peak value meter called Prevent clipping. Checking this will automatically reduce the pre amplifying of the first speaker combi (assuming this has all channels) when clipping occurs. Notice that you still can use the pre amplifying slider but setting it to high and Peace will intervene. This automatic reducing will be switched off when the equalizer is switched off.

Moving all sliders up/down

You can also make all sliders go up or down with the up and down arrows. This also influences the sound volume.


Selecting a device

By default every sound manipulation like an equalization is done on every available audio device, input and output. Once you have created an equalization with the sliders, it usually doesn't matter which audio device is currently selected. That equalization is there to correct the sound for the device you selected. But there are circumstances in which this is wrong. What if you need to do:

  1. a (slightly) different equalization for each audio device.
  2. no or another equalization for the microphone as your equalization is also applied on every input device like a microphone.

In these cases you can set the specific audio device from the Peace devices list before saving it to the Configuration list as shown in the next chapter.

Wanting circumstance 1. is a matter of creating different equalization configurations and save them to the Configurations list.

Wanting 2. is a special circumstance which needs Automation as explained in this chapter. Basically you need 1 EQ configuration for your mic and 1 for your speakers/headphones, each with their proper audio device set. Then by putting the microphone EQ configuration on the "Always active" list on the automation window this configuration is, well, always active on the mic. The main Peace screen can now be used for the speakers/headphones EQ. Of course, this can be done for every configuration specific to a device. Any configuration can be put in the "Always active" list.

Also notice that the microphone EQ configuration can be an "empty" one if you're okay how your mic sounds. Still it needs to have it's own EQ to prevent some general EQ (so without a device selected) is done twice, once on the mic and once on the speakers/headphones.


Saving/selecting your configuration

configurations

Saving, renaming and deleting a configuration

Once you have made an equalizer and/or effects setting (a configuration) by changing the sliders or doing other things in the Peace interface, you can save it to a file. By using the Save button or Ctrl+S your equalizer configuration becomes visible in the left configurations list (after setting the save options). This list contains three kinds configurations:
  • Default configurations for making new ones. These all start with the term Equalizer.
  • Default configurations ready to use like Bass Boost and Dance.
  • Your own configurations.

Click on a configuration in the list and it will be activated. If you want more configurations you can install them by using the Peace Setup Tool or download them from the Peace website.

When you save your configuration you may add a description/note and/or choose a different icon to be displayed in the Windows system tray after selection of the saved configuration. When you have a great configuration and decide to publish it on the internet, you may want to add the corresponding web page of your configuration. If you like I can put it on the Peace website on a specific page called Specific brands and types of headphones, speakers and microphones.

If you want to control Peace from within another program like Rainmeter then you enter a unique id for each configuration.

You can rename or delete your configurations. Before version 1.2.7.0, if you delete a default configuration, it would be created again when Peace was restarted. This behavior can be altered in the Settings window.

Note: From version 1.4.7.1 a period . sign may be given in the name of your configuration but be aware that older version aren't capable of reading names with a . sign.

Note: From version 1.6.3 when exiting Peace all configurations will automatically be backed up to your document folder (more information below).

Attaching a hotkey to select a configuration

Sometimes it's useful to switch to a configuration whilst being in another app, for instance within a game. A hotkey can be attached to such a configuration by clicking on the Hotkey button or in the save configuration window. Select a hotkey from the list. Then the configuration can be activated by a key combination like control alt plus the key. This combination can be altered in the Settings window.

Using the Peace tray to select a configuration

You can also select a configuration by right clicking on the Peace tray icon and go to the Configurations sub menu.

Create a desktop or startup shortcut

In order to select a configuration using a hotkey or the tray icon, Peace must be active. However, there's a third option: setting up a desktop shortcut. By clicking on the Shortcut button you can set up such a shortcut. Note that if want a shortcut of your current unsaved configuration, you have to save it first.

Clicking on a created desktop shortcut will activate the corresponding configuration by starting up Peace without the interface and shutting it down again after activating the configuration. Be sure that Peace isn't already running, because you can get confused which configuration is active!

To start up Peace when your computer is starting up more or less the same applies as creating a shortcut on the desktop. In this case you create a link in the your Windows startup menu. So what's a shortcut technically speaking? A shortcut is a link file (extension .lnk). For instance, for a desktop shortcut Peace creates such a file with the following command: "c:\Program Files\EqualizerAPO\config\Peace.exe" "Your configuration" and the working folder is also c:\Program Files\EqualizerAPO\config. Read this chapter for description of the shortcut parameters.

Exporting to Audacity

Read this section on exporting your equalizer settings to Audacity.

Automatic backup of configurations

From Peace version 1.6.3 all configurations in the list will be automatically backed up when exiting Peace. By default all your configurations are stored in c:\program files\equalizerapo\config, the folder where Peace is located. However, if you uninstall Equalizer APO this configurations may be deleted (This wasn't so in former Equalizer APO versions). To prevent accidental removal of your configurations Peace backs up to a subfolder in your documents folder called Peace automatic configurations backup.


2 or more active EQ's

Caution: If you let Peace do some automation, that is, automatically activate configurations, be sure that these configurations have the same level of volume (gain). Automatically switching to a configuration with a high gain may cause damage to your ears, speakers or headphones.

For having 2 or more EQ (equalization) configurations active besides the one on the main window you need to use the automation abilities of Peace. In this chapter you'll find all possibilities to automate and there are quite a few. The automation window is opened by clicking the robot button at the right next to the list of configurations.

For more than 1 active equalization use the first tab called "Always active". Here you may put any (saved) eq configuration in the Always active list at the right. Peace will activated all configurations in this list. That is, if automation is switched on by the switch button at the far right on the automation window.

An example: A microphone EQ in the "Always active" list

A good usage of the "Always active" list is to put your microphone eq in this list. This leaves the main window equalization sliders for your headphones as tinkering with this equalization is far more likely than tinkering with the mic equalization. Be aware that you need to set your microphone for this eq in the Peace devices list. After setting hit the Save button so the set device stays "attach" the EQ configuration.


Switching Peace on or off

For testing purposes you can switch Peace on or off by clicking on on button button at the top right. You can listen to what you have equalized when Peace is on, or the unequalized sound by switching Peace off off button. As effects on the Effects panel are just a part of the current configuration like your equalization is, these effects will also be switched off.

Also, the on/off button can be used if Equalizer APO is still working on the target device. A Windows update might have undone the installation of Equalizer APO on a device or even all devices.


Done

When you're done making an equalization or applying an effect, you can exit Peace with the Done button (or by right top close icon). Your equalization and effect remain active. And you can saved the configuration (equalization + effects) to put it in the configurations list for future activation.

Peace will remember the current status so equalization, etc.. By starting Peace again you'll see it as you left it.

Note: When using automation needs to run (may be minimized to tray). Only configurations in the "Always active" list will still be active after leaving Peace.


Using the AutoEQ database

The AutoEQ database of equalizations for headphones by Jaakko Pasanen or Ian Walton provides a good starting point to equalize your specific brand and type of headphones. They are distinguished by their usage of targets. Jaakko's project (the original AutoEQ) uses Harman while Ian's project (a forked AutoEQ) uses IEF and IEF with some additional bass. Both containing a lot of headphones and equalizations of these headphones, in total about 10,000 equalizations in both projects.

Selecting one equalization for your headphones will make it neutral according to its specific frequency response. Or with a little bass in the case you select "IEF with bass". After selection you may need to add your own corrections like more or less bass and treble.

How to use the Peace AutoEQ interface

The AutoEQ interface of Peace is opened by clicking on the AutoEQ button on the main window (at the right bottom of sliders). Convolution (Graphic EQ)

You could import an equalization from both AutoEQ websites (on GitHub) yourself. But the Peace AutoEQ interface is making this easy. Just find your specific brand and type of headphones and click on the Use button to get the equalization on the Peace sliders of the main window. You could also try out the different targets as provided by both AutoEQ websites. There isn't an one-fit-all solution to your headphones. It's also a matter of taste.

By default it's fine to use equalization by mainly peak filters. This ensures a good equalization without too many sliders, commonly 10. The default setting of Parametric EQ filters will give you this. They are quite precisely following the target, meaning the measurement of the frequency response for the headphones. As Parametric EQ gives you different frequencies per headphones equalization you might prefer fixed (easy to read) frequencies. For this choose Fixed band EQ filters (in the top right dropdown list). Although these frequencies are easy to read and understand they don't provide an accurate equalization compared to the Parametric EQ filters.

If you like the GraphicEQ feature of Equalizer APO (which is actually filtering by convolution) you could select this from the top right list. But there's a catch: Such an equalization has 127 frequency/gain points so they aren't easy to change as they are very detailed. Therefore Peace reduces this to a manageable 31 sliders unless you uncheck the For GraphicEQ reduce to 31 sliders checkbox. Then 127 sliders are created over 5 the same speakers. But in case of wanting 127 points it's recommended to put the GraphicEQ command on the Peace commands window and using the sliders on the main to add more or less bass and treble.

Copy the equalization to Equalizer APO instead of Peace

By clicking on the Copy button (top right) you can copying the shown filter/GraphicEQ commands to any file you're using in Equalizer APO. This allows to bypass Peace if you don't want to use this Equalizer APO interface. I've even made a standalone version of the AutoEQ interface in Peace for this purpose. It's called Bard (Browser for AutoEQ Results Databases).

Newer Peace AutoEQ versions

As the AutoEQ database for headphones equalizations is growing rapidly, new AutoEQ equalizations will be added to Peace too. Each new Peace version will contain an update of these AutoEQ equalizations. But Peace will also check if a newer version of the database is available on the Peace website. Each time the Peace AutoEQ interface is opened for the first time after you have started Peace, it will check if there's a newer Peace AutoEQ database available and download it if so.


Graph window

Gains at frequencies

By clicking the graph button button you get the graph window, which displays the sum of all gains at frequencies from 10 Hz to about 21 kHz. The shown graph is of the selected speaker or combination of speakers. You can show a SPL measurement exported from Room EQ Wizard on the graph and you can overlay a frequency response image you may find on the internet. Both features are used to create a better equalization of your speakers or headphones.

By default the pre amplifying isn't added to the gains in the graph. Click the Add pre amplifying check box to do this.

Adjusting a gain and/or frequency of a slider

If you want to change a gain or frequency you can click the adjustment check boxes under the graph. You'll get a window as shown in the image at the right. A small circle represents a slider. You can drag this handle up/down to change its gain and sideways to change its frequency. A blue handle represents a gain handle. A red handle represents a frequency handle. By checking both adjustment boxes you get a purple handle (the colors of a gain and frequency handle are mixed) which indicates you want to change gain and frequency at the same time. Remember that a certain type of filters doesn't have a gain which can be changed.

To reset a slider (thus graph handle) to 0 dB, click right mouse button on the graph handle.

You can use also the mouse wheel or arrow keys to change the gain or frequency. Select a handle by clicking on it (it becomes yellow) and then, instead of moving it with the mouse, move it by using your mouse wheel or pressing an arrow key. Remember to check the appropriate adjust checkbox(es). In the main window the gain and/or frequency input field will turn yellow, so you can see which slider you're changing.

Altering quality of the selected slider

To alter the quality of the selected slider press and hold a control key whilst using the mouse wheel. You'll notice the graph near the handle getting smaller or wider.

Resizing graph window

The graph window can be resized to any size and positioned anywhere on your screen. The size and position are remembered. Resize is done by dragging a border of the graph window.

Maximum gain and selected device

On the graph in the top right corner the maximum gain is shown. This gives an impression of the peak level of the sound passing through your equalization.

The graph will be drawn using the sample rate frequency of the current selected audio device in Windows (the default device) only if the "All devices" item is selected in the Peace devices list. If a device is selected in this list then the sample rate frequency is shown of that specific device. Note that only in the high frequencies the graph will differ for different sample rates like 44.1 and 48 kHz.

Graph settings

The visual appearance of the graph, such as colors and line thickness, can be extensively altered in the graph settings window (under the Settings button) such as colors, line thickness, etc.


Show SPL measurement REW

When you have measured the SPL (sound pressure levels) of your speakers or headphones with Room EQ Wizard, you can show this measurement in the graph. Such measurement can be very useful to create the right equalization for your speakers/headphones. Export a measurement in Room EQ Wizard by using the Export measurement as text menu item of the Export submenu of the File menu.

As the measurement contains the sound pressure levels the dB values won't be the same as the equalization you need to make. The range value can be used to compress the measurement graph. And the offset value for offsetting the measurement graph.

By inverting the measurement the equalization filter graph moves in the same direction as your measurement.


Overlay frequency response image

When you find a frequency response image on the internet you can overlay this on the graph. By doing so, you can easily see where and how to make an equalization.

Such image (often you take a screenshot) can be resized and offset by using the size and offset values to align the frequency axis of the image with the axis of the graph. The transparency can be lowered for a bright image to be able to see the graph and its handles. Because you need to equalize in the opposite vertical direction (the dB axis) you can flip the overlaid image by checking the inverse checkbox.

Moving and resizing the overlaid image can be done by holding the Shift or Ctrl key and the left mouse button and moving the mouse. It's a bit slow so use it for major changes and fine tune with the input fields below the graph.


Graph settings

To alter the colors click one of the color buttons and select a new color. The Reset colors button is there for the rescue, if you've messed up the colors and need to restore the original ones.

You can also alter things like graph resolution and line thickness. Just change something and watch the result in the graph window.

If your graph isn't able to show high gains you can set it to a higher maximum (or lower for that matter).

By default the frequency scale of the graph is logarithmic as set in the Graph frequencies dropdown box. You have two flavours: decade frequencies (default, the standard way to show a gain graph) and double frequencies (which follows more or less the entered frequencies of the sliders).

Sometimes you want see the graph in a linear scale (as opposite to logarithmic). You can also set this using the Graph frequencies dropdown box.

If you want to alter the frequency range of the graph use the Graph range fields to set the minimum and maximum frequencies.


Applying effects

On the effects panel under the right Effects button you can apply all kinds of effects to the audio. If the Effects button shows a green dot you have set one or more effects.

The controls work like this. A switch is flipped by clicking on it. And on rotary knob, click and hold down your left mouse button and drag the mouse up or down. If you hover above a rotary knob you can also use your mouse wheel. And after you have clicked a rotary knob the arrow keys will dial the clicked knob also.

Reset a rotary knob to default is done by right clicking on it. If a rotary knob is light up green you have been dialing it previously. It's from its default state. If a switch or rotary knob is greyed out it's not active. By using the main corresponding knob these knobs will come available.

By holding down the Control key and left clicking on a rotary knob you can switch the knob off and on for testing the difference in the audio. Once you have switch a knob off, it will be set on again when you start up Peace again.

The order of switch and knob appearances is the order in which the effects are processed.

The following effects can be set:

  • Apply effects. When do you want the effects to happen? Before your equalization/filtering or afterwards.
  • Reverse channels. The left speakers become right ones and vice versa. The reversal can be done before your Peace configuration or afterwards.
  • Swap speakers. The front speakers can be swapped with the rear or side speakers.
  • Stereo and spatial balance. The whole audio image can be moved to the left or right, and to the rear or front. This can be used for instance for uneven placement of your speakers in the room (due to lack of space by furniture). Dialing a knob is the same as physically dragging your speakers to another place. For stereo balancing the Balance amplifying knob can be used to amplify the left or right channel during balancing. You might prefer to change the stereo balance on the main interface. For this check the Show balance on interface checkbox.
  • Bass. The bass of your sound can be cranked up by applying a low shelf filter. The Bass gain knob sets the gain (volume) and Bass frequency knob determines the cut off frequency of the bass. The bass can be applied on the subwoofer instead of all speakers. By checking the Show bass on interface checkbox a bass slider appears on the main interface. So for changing the bass you don't have to go to the Effects panel.
  • Treble. The treble can be improved by applying a high shelf filter. The Treble gain and frequency knobs work the same as explained above. By checking the Show treble on interface checkbox a treble slider appears on the main interface. So for changing the treble you don't have to go to the Effects panel.
  • Dampen left/right. The left and right channels can be dampened. For balancing purposes just dampen left or right making the opposite channels sound louder.
  • Upmix channels. 2 stereo channels can be upmixed to 5.1 or 7.1 channels, filling up all speakers. Sometimes the output stream is only 2 channels and Windows doesn't upmix it to 5.1 or 7.1. The upmix may exclude the center speakers by setting the switch in the middle position.
  • Downmix channels. A 5.1 or 7.1 setup can be downmixed to only 2 stereo channels. The downmix can be set to simple meaning the left rear and side channels will be mixed to the left stereo channel. The same for the right. Complex means that the rear and side channels are also crossed mix a bit.
  • Channels delay. To synchronise audio with video a delay can be set. If there's a delay between the left and right channels or front and rear channels this can be corrected with the stereo and spatial delay knobs. These 2 knobs work exponentially. A small mouse movement causes a tiny delay increase/decrease (microseconds). In contrast to a large movement which causes a huge increase/decrease (milliseconds).
  • Equalization stage. Your equalization can be done before or after the mixing of the audio of all open applications together. This is the Stage command of Equalizer APO.
  • Crossfeed channels. By reducing the stereo effect on your headphones you can create a more natural stereo image. The crossfeed can be reduced to full mono if needed.
  • Crossfeed filter simulations. You can use a simulation of a Chu Moy or Jan Meier crossfeed filter to relieve the ear pressure a bit if you're using headphones.
  • Fake stereo. Also know as duophonic and faux stereo. The effect tries to mimic a stereo sound of mono recordings. A left channel delay is set and low frequencies are placed on the left channel and high frequencies on the right. This is done according to the wiki on duophonic.
  • Stereo widening. The stereo is widened by using a tiny delay. This simulates widening a bit.
  • Stereo expander. By applying a tiny delay on the left channels you can expand the stereo image.
  • Echo. 5 echo's can be set with a delay.
  • Channels routing. With this matrix you can route channels to other ones by clicking on the cells of the matrix. To mute a channel click on the far right row. For entering channel multiplication factors click Details. Use the Clear button to reset all routings.

To reset all effects use the Reset all button.

To switch on a special surround effect click the Surround effect button.


Channels routing

On the Effects panel there is a simple and small routing table to route channels to other channels. But you can't enter specific amplifying factors for the channels. With these factors you specify the gain for each channel. All these gains together determine the gain of the channel on which you route (mix) the channels to.

If you need to specify these factors open the Channels routing window by clicking on the Details button under the routing table on the Effects panel.

Multiplication (amplifying) factors can be entered which run commonly from 0 to 1. Also a dB value can be given, for instance a value -10dB will copy the specific channel lowering it by -10 dB. And if you wise the invert the phase specify a negative value, for instance -1 will invert the phase of the audio of a channel.

Use the Apply button to test your routing whilst staying in the channels routing window. By clicking Save the routing is applied and the window is closed.


Surround effect

Note: Using a rotary knob or slider may cause some crackling sound. This is normal as there is some delay processing this effect.

Note: This effect isn't an upmix effect (stereo to 5.1 or 7.1). For upmixing use the switch on the Effects panel.

The surround effect incorporated in Peace is created by Александр Громов (Alex Gromov). He has also made a dedicated interface (with more features) for his surround effect. You'll find it on SourceForge as the Stereo to 7.1 converter.

The surround effect is feature to enhance the audio experience, especially for movies, on a 5.1 and 7.1 speakers setup when the input is stereo. Although Equalizer APO isn't capable of exactly mimicking the surround sound standards of manufacturers, Peace has a surround effect implemented which attempts to get near to an experience produced by those standards.

To switch the surround effect on, either select the "Surround effect default" configuration or use the Surround effect switch on the Effects panel.

If you want to tinker with the surround effect, use the knobs and sliders on the Surround effect panel.

The front, subwoofer, center, side and rear delays, are tiny delays which are the base of the surround effect. They influence the "feel" of the sound. All these delays are in milliseconds. The frequencies of the 8 center, side and rear sliders are:

Slider | Frequency range
1 | 65 to 125 Hz
2 | 125 to 250 Hz
3 | 250 to 500 Hz
4 | 500 to 1000 Hz
5 | 1000 to 2000 Hz
6 | 2000 to 4000 Hz
7 | 4000 8000 Hz
8 | 8000 Hz and higher

The front and subwoofer delays work at a frequency in the range of 65 Hz.

The Bass preserver tries to leave the bass intact below a certain frequency. The audio below the set frequency won't be used for the surround effect.

The front, side and rear width knobs are for "widening" the sound.


Advanced usage

The following sections will explain the advanced use of Peace:

  • Peace tray, easy access to Peace and your configurations
  • Selecting a filter, using a different filter than peak
  • Using Graphic EQ, Graphic EQ is a powerful way to do equalization
  • Automating Peace, automatically activate configurations
  • Audio devices, equalizing a specific device
  • Importing filters, REW filters and Equalizer APO filters
  • Commands window, finetuning your audio by entering commands
  • Equalizing a speaker, setting up different equalizations for a speaker or combinations of speakers
  • Extended or minimized list, configurations list can be extended or minimized
  • Re(setting) the sliders values, changing all frequencies, gain and quality values configurations
  • Expanding and compressing, expand/compress your audio sound
  • Channel delay, delaying sound
  • Exporting to Audacity, making your song sound the same on other devices

The graph functionality of Peace is explained in the Graph window section. The effects functionality is explained in the Applying effects section.


Peace tray

The Windows notification area (system tray) is at the far right of the taskbar at the bottom of your computer screen. In the default setting, a Peace icon will appear here. You can right click on this icon to:

  • Switch to another configuration
  • (De)activate a configuration (a so-called hotkey configuration, see Automation Peace)
  • Change the pre amplification of the main speaker (generally speaking not to be used to change the volume)
  • Mute the audio sound (Note: use only when the mute button at the Windows volume doesn't work)
  • Open the effects panel
  • Go to the settings window
  • Hide or show the Peace interface
  • Restart Peace for instance to refresh the configurations list
  • Pop up the Windows audio panel (to change the default audio device or change some settings)
  • Pop up the Configurator of Equalizer APO
  • Exit (close) Peace Your configuration will still be active as this is taken care by Equalizer APO

Note: If you click the To tray button, the main Peace window will be minimized without a button appearing in the taskbar. The Peace window can be opened again by left clicking on the system tray icon. If Peace is open left clicking on the tray icon will hide it.

Note: The default behaviour of left clicking on the Peace tray icon can be altered to pop up a pre amplifying slider instead of showing/hiding the main Peace interface.

If you don't want the Peace icon to appear in the system tray, uncheck Activate tray icon setting in the Settings window to turn it off.


Selecting a filter

Just use a peak filter

Normally you don't have to worry about filters. Just select a peak filter and play around with the sliders at certain frequencies to shape the sound. Or use filtering by convolution (in Equalizer APO called Graphic EQ).

A peak filter will increase the audio signal at the frequency of the selected slider. Frequencies above and below the selected frequency will be increased to a lesser degree or not at all. Thus a complete equalizer configuration can be produced by combining peak filters.

I do want to use another filter

Peace has the following filters (as shown in the image):

All these filters are single or combined default filters of Equalizer APO.The small images show what a filter does where the frequency is the horizontal axis and the gain (volume) is the vertical.

A peak filter filters frequencies of the sound according to a bell shape centered around the entered frequency.

Low- and high-pass filters cut off frequencies above or below a specific frequency. A band pass does both: it filters lower and higher frequencies.

Low and high shelf filters boosts the gain at lower or higher frequencies from the entered frequency. There are also shelf filters for which you can enter a slope in dB's in the quality field or a slope determine by the quality value (the last 2 filters).

A notch filter attenuates only the entered frequency. It's the opposite of a peak filter and can be seen as a small band elimination filter.

An all pass filter filters nothing. It passes everything, but it phase-shifts the entered frequency.

Butterworth and Linkwitz-Riley are low and high pass filters. By entering an even order number the slope of the filters can be set. The maximum order is 100 which results in a brick wall kind of filter.

Activating a filter for a slider

You can select one of the above filters by left-clicking on the filter button below a slider. Then by clicking on one of the filter icons as shown in the image, the corresponding filter will be used for the slider. The last 2 filters, low and high shelf filters with a slope given by a quality value, are only available in Equalizer APO 1.2.1 and higher.

Disabling a filter

By right clicking on the filter button or clicking on the Off button in the filter selection window (last filter image) you can temporary disable it and it's slider. This can be used for checking the impact on the sound. A second left or right click (on the filter the Off button ) will re-enable the filter and slider.

Equalizer APO filters used by Peace

The table below shows the filter type abbreviations in the Equalizer APO commands used by the Peace filters of the equalizer. An Equalizer APO filter command look like this peak filter example command:

Filter 1: ON PK Fc 1000 Hz Gain 6 dB Q 1.41

Equalizer APO filter | Filter commands
Peak with quality value | PK
Low pass with quality value | LPQ
High pass with quality value | HPQ
Band pass with quality value | BP
Low shelf with quality value | LS
High shelf with quality value | HS
Notch with quality value | NO
All pass with quality value | AP
Low shelf with dB slope | LSC
High shelf with dB slope | HSC
Butterworth low pass with (even) order number | LPQ
Butterworth low pass with (even) order number | HPQ
Linkwitz-Riley low pass with (even) order number | LPQ
Linkwitz-Riley low pass with (even) order number | HPQ
Low shelf with quality value and corner frequency | LSC
High shelf with quality value and corner frequency | HSC


Audio devices

Install Equalizer APO on target device

Before you can equalize an audio device Equalizer APO has to be installed (activated) on it by using the Configurator. This tool is shown when installing Equalizer APO on your computer but can be accessed by clicking on the small C button next to the device list.

Using the All devices setting

If you don't what to be bothered selecting a device, just use the All devices setting. It ensures that your equalization is done on all devices and thus on the one you're listening to right now. Note that your equalization is also done on every input device such as the microphone.

Attaching a specific device to a configuration

Equalization can differ for each device. Your headphones can benefit from a bass boost, but in your home theater environment you probably don't want such a boost. In other words, a configuration (equalization plus effects) is usually specific to a certain device. For instance, if you equalize your speakers select the speakers device in the device list and save the configuration. And when using a microphone select it in the device list. For the microphone this is important because when you leave device list on All devices, your equalization will not only performed on your microphone but also on your speakers/headphones. In other words twice.

If you have Voicemeeter installed, from Peace version 1.5.3 you can select the outputs A1 to A5 (Voicemeeter, Voicemeeter Banana and Voicemeeter Potatoe). Note that Equalizer APO 1.2 isn't supporting Voicemeeter Potatoe yet but this might change in future versions.

By using the Automation window you can have more than one configuration active. For instance the one on the main Peace window and one active in the background because you did put it on the 'Always active' tab of the Automation window. Also you can automatically activate a configuration when you change the audio device on Windows audio panel by using the Automation window. Note however, when setting a device of a configuration, it isn't automatically selected once you activate this configuration. There isn't a way within Windows to automatically select an audio device. You have to do this manually using the Windows audio panel (which can be accessed by clicking on the Peak Value meter below the sliders).

Equalizer APO configurator

USB devices

To ensure that the device list contains your USB device, power it on first before starting Peace. Windows won't register your non-powered USB device and doesn't return it to Peace. And activate Equalizer APO on it by using its Configurator which can be started by clicking the small C button next to the device list (It's also in the Windows Equalizer APO menu or on the Debugging and Testing tab of the Peace settings).

Refresh devices in device list

When you attach a device and it doesn't show up in the Peace device list you can right click on the list to refresh it.


Equalizing a speaker or combination of speakers

For normal use one equalization for all speakers together could be sufficient. But if you have a complex speaker setup like 5.1, you might want to equalize every single speaker or a combination of speakers such as all front speakers. With Peace you can do just that. Just select a speaker from the list at the right and start equalizing it.

Changing a speaker of combination of speakers is easy. Click on the top button at the right of the speakers list and select or deselect speakers. Adding and removing a speaker or combination use the + and - speaker buttons.

If you have equalized one of the speakers in the list a * sign will notify you that you did. Making the equalization neutral clears this * sign

Note that the equalizations of different speakers isn't always feasible. It could lead to unwanted audio problems. You just have to experiment a bit. For instance, it might be better to do a low boost on all speakers instead of just on the subwoofer.

A speaker can be disabled (meaning its equalizer is deactivated) by right clicking on it. Also a set of speakers can be deactivated at once by first selecting them using the Shift and Ctrl keys and left clicking then right clicking on one of the selected speakers. This means that you can have multiple equalizations for a certain speaker or speakers within 1 configuration.

To equalize your microphone or boost up its gain, use the Left speaker which is in fact the left channel mono input of your microphone. By doing the microphone equalization on All speakers you might cause an internal feedback loop which results into a high output signal.

To copy an equalization of one speaker to another, select the speaker source, click the Copy button, go to the destination speaker and click on the Paste button.


Using filtering by convolution (Graphic EQ)

Switching to convolution filtering

Convolution (Graphic EQ) Using biquad filters (default setting of Peace) is a powerful mechanism to shape your audio. But you may prefer convolution which is known in Equalizer APO as Graphic EQ. This method of equalizing can have sharp edges over the frequencies so that's a benefit. Unfortunately there is an issue with convolution in Equalizer APO. If it works, it's fine to use. But sometimes using it results into heavy distortion so you need to be aware of this. Perhaps lower the volume when switching over to convolution is good practice.

Switching to convolution equalization is done by clicking on the GEQ button. The button will turn green notifying that Graphic EQ of Equalizer APO is on.

What's convolution (Graphic EQ)?

Since Equalizer APO 1.0 it's possible to use convolution with which sound can manipulated in a different way than using filters. Convolution is mostly used to create reverb effects. Jonas Thedering has made it possible to use it for equalization by the Graphic EQ command. He has chosen for this term as a graphical equalizer is shown in the Configuration Editor. Equalizing by convolution has the benefit of very accurate audio filtering through sharp edges of the frequency band. It's more CPU demanding than the biquad filters but that isn't usually a problem. Some see convolution as a better way for equalization but sharp edges have the disadvantage of needing lots of points (thus sliders) to even them out to a more smooth filter graph. If you look at a graph of a convolution equalization you can see that the slopes are very straight. So this can be an advantage as a disadvantage.


Automating Peace

Caution: If you let Peace do some automation, that is automatically activate configurations, be sure that these configurations have the same level of volume (gain). Automatically switching to a configuration with a high gain may cause damage to your ears, speakers or headphones.

To automate click on the robot button right next to the list of configurations. This pops up the automation window on which you have the following possibilities on 4 tabs of the automation window:

  • Select configurations which have to be always active
  • Switch configurations on or off by pressing their hotkeys or by their system tray menu item
  • Attach configurations to the startup of programs (processes)
  • Attach configurations to the switching to audio devices
To switch automation on click on the Off button in the right top corner of the automation window. Or on the main window do a right mouse click on the robot button. The image of the robot can be in 3 states indicating the following:
  1. Totally grey: automation is off
  2. Body grey but head green: automation is on but you haven't anything automated (yet)
  3. Totally green: automation is on and you have set something for automation as described above and below

Select configurations which have to be always active

For example, if you want to give the microphone more bass as a default setup, you can set the corresponding configuration to be always active by selecting it in the left list and then clicking on the middle arrow button. Remember to select the microphone as the device to be equalized in the main Peace window and save the configuration so the selected device stay "attached" to the configuration.

All configurations which are always active, are in the right list. Deactivate one of them by removing it from the list is done by simply clicking on it.

An example of 2 active EQ configurations: a microphone EQ and a headphones EQ

Important first step: Selecting the proper audio device and saving it with the configuration. So these are all the steps:

  1. Create a microphone eq configuration with the proper mic device selected from the Peace devices list. Save it after selecting the microphone.
  2. Create a headphones configuration with the proper headphones device selected and save it.
  3. Put the microphone eq configuration in the Always active list on the Automation window.
  4. Put the headphones one on the main Peace window. This configuration is the most likely you want to adjust in real time.

Note: The configurations in the "Always active" list will remain active even after leaving Peace. So Peace doesn't need to run. This doesn't account for the other automation features as described below.

Switch configurations on or off by pressing their hotkeys or by their system tray menu item

When you want to activate a configuration which complements the current configuration on the main window of Peace you can use the Activate by hotkey tab or tray. It has two lists at the right, one which shows active configurations (lower list) complementing the main one. The upper list holds the currently deactivated configurations. By pressing a hotkey of a configuration you toggle between its activation and deactivation. This can be done from within other programs, for instance during listening to music. You can also do this toggling by using the Peace system tray menu. In the sub menu called Hotkey configurations you can switch a configuration on or off.

A configuration can be put into either the upper or lower list by using the corresponding arrow.

An example of such a configuration can be one the gives an extra effect onto the audio which you want to toggle on or off. Or maybe you have an equalization for your speakers and headphone but your headphone needs an additional bass boost.

By default two different notification sounds are given. One when activating a configuration by its hotkey. And one when deactivating. These sounds can be altered in the Automation settings as explained below.

Attach configurations to the startup of programs (processes)

By attaching a configuration to a program, Peace will activate it every time you start it up. When you want to watch a movie and thus starting a media player or center, the corresponding configuration is activated. After closing the program Peace reverts back to the former configuration.

To attach a configuration to a program, start up the program so it appears as a process in the left lower list. Then select it and select the corresponding configuration in the left upper list. By clicking on the arrow button it appears in the right list as configuration-program combo. A combo can be removed from this list by clicking on it.

Attach configurations to the switching to audio devices

By attaching a configuration to an audio device, Peace will activate it every time you switch to this device. If you have a configuration for your Bluetooth headphones or speakers, by switching them on, Peace can activate the corresponding configuration. That is if Windows selects this device automatically, else after manually selecting the headphones/speakers Peace will switch accordingly.

To attach a configuration to the switching to an audio device, select this device in the left lower list. Maybe you have to activate it first, for instance by plugging it in if it's an USB device or HDMI tv. And select the corresponding configuration in the left upper list and click on the arrow button to get it into the right list as a configuration-device combo. Again, remove such a combo by clicking on it.

Automation settings

By clicking on the automation button in the main Peace window you get a message saying you have to even out the volume (gains) of the configurations you want to use for automation. This message can be displayed again by checking the Show warning of on different for automation checkbox.

By default clicking on an item in the right list will remove the clicked item. By checking the Confirm removal of the automated configuration from a list checkbox a warning message box pops up on which you can confirm the removal.

In simple mode, the mode in which only the basics of Peace is shown and can be used, automation isn't available. That's good practice because you don't want something complicating as automation combined with the simplicity of the simple mode. However you can switch automation on by checking the Also do automation in simple mode checkbox. Remember there isn't an automation button on the simple mode user interface.

To give an audio notification when a configuration is switch to or on you can set sounds for the above automation. The volume of all sound is controlled by a volume slider.


Importing filters

Importing your Equalizer APO configuration files

import A configuration file you made for Equalizer APO can be imported into Peace. The pre amplifying and gain sliders will be set according to the found pre amplifying and filters. Also the channels are taken into account if filters are used on particular channels. Other Equalizer APO commands like Copy are ignored. Peace only assumes the import file is an Equalizer APO file if it finds a "Channel:" command present in the file.

Replacing or adding filters

When importing filters, Peace pops up a question if you want to replace the current equalization or add the filters to it. If you need to import a specific speaker then choose "No" in the popup question to add the filters to that speaker. This question won't pop up if the number of filters exceeds the number of sliders on screen. Instead a warning message will be given which indicates that the equalization will totally be replaced.

Filter abbreviations of the Equalizer APO filter command

This section of the "Selecting a filter" chapter shows the possible filter abbreviations of the filter commands produced by Peace acccording to the filter settings of the equalizer.

Importing a Room EQ Wizard filters file (version 5.17 and higher)

A Room EQ Wizard filters file can also be imported. Select a speaker on which the filters are applied and import the REW filters file which must be a text file export. Export such filters text file by using sub menu item Filter Settings as text of the Export menu item of the File menu of the main window. If the number of sliders on screen is less than the filters in the REW filters file you have to increase the number of sliders.

By default REW uses DSP1124P for equalizing filters. These may not be readable by Equalizer APO. To get the right filters you have to set REW to Generic filters. Go to the Equaliser window by clicking the Equaliser button and change the equaliser filter in the right upper corner to Generic.

Use REW 5.17 or higher as its export files will only have periods as decimal delimiter. Peace will import these export filters file correctly.

Below an example of a text file export which includes all kinds of filters.

Filter Settings file

Room EQ V5.18
Dated: 3-jun-2018 14:17:31

Notes:

Equaliser: Generic
No measurement
Filter 1: ON PK Fc 20000 Hz Gain 11.2 dB BW Oct 0.028877
Filter 2: ON LP Fc 2220 Hz
Filter 3: ON HP Fc 340 Hz
Filter 4: ON LPQ Fc 3571 Hz Q 0.710
Filter 5: ON HPQ Fc 1011 Hz Q 2.57
Filter 6: ON LS Fc 1523 Hz Gain 13.3 dB
Filter 7: ON HS Fc 1011 Hz Gain 15.2 dB
Filter 8: ON LS 6dB Fc 499 Hz Gain 10.1 dB
Filter 9: ON HS 6dB Fc 307 Hz Gain 114.1 dB
Filter 10: ON NO Fc 883 Hz Q 1.41
Filter 11: ON AP Fc 928 Hz BW Oct 0.1
Filter 12: ON BP Fc 1000 Hz BW Oct 0.1
Filter 13: ON HSC 9 dB Fc 3000 Hz Gain -10 dB
Filter 14: ON None
Filter 15: ON None
Filter 16: ON None
Filter 17: ON None
Filter 18: ON None
Filter 19: ON None
Filter 20: ON None

Unsupported filters

Only 2 filters can't be imported: Modal and PEQ filters.

GraphicEQ (filtering by convolution)

The GraphicEQ command can also be imported. The subsequent filter commands will be ignored. If you want to combine Graphic EQ and filters split the Equalizer APO configuration file in 2 or more parts and import them on different speakers.

Audacity

An Audacity filter curve or graphic eq curve can be imported although you'll end up with many sliders.


Commands window

Giving additional commands

Sometimes the Peace inerface can't do all that you need. For instance giving an elaborate echo to your sound. Or down mix your speakers. Click on the Command button to get this window in which you can give these kind additional Equalize APO commands.

The commands window has 3 input text boxes. The top one to give Equalizer APO commands before the Peace commands, the middle one to give commands after the device selection command Peace generates and the bottom one to give commands after the Peace commands. The Peace generated commands can be seen in the second and fourth box. They show the commands Peace gives Equalizer APO. One or more commands can be selected and copied if necessary.

Some suggestions for commands are listed in the right lists. Just click on what you need. Be sure to have your cursor on an empty line.

Testing your commands

Before you save your commands and activating them by leaving the commands window, you can try them out. Click the Test button and listen to what happens to your audio sound.

If something goes wrong, click the Panic button. This will introduce a pre amplifying value of -30 dB to temporary dampen the sound. You should remove the faulty Equalizer APO commands before you hit the test button again.

The reset button resets the command window to the previous saved state.

Saving your entered commands

After testing your entered commands (it's the best practice to test them first), you can save (and thus activate) them by clicking on the Save button.


Extend or minimized list

Extend configurations list

By clicking the extend button button the configurations list will be extended in height. It will be placed left of the sliders at full height of the main window. Clicking on the button again will shorten it to the original small list under the sliders.

Minimizing the main Peace window

The minimize button button will minimize the main Peace window to a smaller one with only the list of configurations. This list will vary in height according to the extended status as explained above.


Re(setting) the sliders

As explained a slider has a frequency, a gain and quality. If you want to set or reset these values of all sliders you can use the following features.

In the empty input fields as shown at the left of the image you can enter a gain or quality for every sliders. So to reset all sliders enter 0. To set the quality of all sliders enter a number like 1.41.

Be careful not to enter a large decibel value, for instance 30 dB, because the audio sound can be become to loud or clip causing distortion.

A slider can also be reset by right mouse clicking on it.

You can enter the desired frequencies in the text boxes above the sliders. Configurations starting with the name 'Equalizer' all have a different set of frequencies. You can also click on one of the right Set # buttons to set the sliders to a range of frequencies. Note that clicking a Set button won't add sliders. You have to add sliders yourself either by selecting a configuration from the list or by adding sliders yourself by clicking on the + button. By selecting a configuration named 'Equalizer' you'll reset the Peace equalizer beginning from scratch. The following configurations have the frequencies according to the frequencies sets:

  • Equalizer Default - Set 1
  • Equalizer Octave 1 - Set 2
  • Equalizer Octave 2 - Set 3
  • Equalizer One Third Octave - Set 4

If you only want to move all sliders to 0 dB, use the Flatten button. Use the arrow buttons to move the sliders up/down/left/right.


Slider properties

By Ctrl+right mouse click on a slider the slider properties window is opened for a specific slider. In this window tooltips can be entered and the slider can be colored.

Slider tooltips

Texts for the tooltips of the frequency, gain and quality can be added/changed. Such a tooltip can serve as a reminder what's the specific slider is about. The following properties can be given:

  • Text for the frequency tooltip shown when hovering above the frequency field.
  • Text for the gain tooltip shown when hovering above the gain field of the slider thumb. Use a " sign when you want to use the frequency tooltip text.
  • Text for the quality tooltip shown when hovering above the quality field. Use a " sign when you want to use the gain tooltip text.

Tooltips example of a bass slider:

tooltip | text
frequency | bass
gain | "
quality | "

Tooltips example of a mids slider using a band pass filter:

tooltip | text
frequency | mids
gain | mids by band pass filter
quality | band pass filter bandwidth

Slider coloring

Slider coloring can be used to distinguish a slider from others. For a specific slider a background color can be set. And for graphical sliders the knob can be colored. The Clear buttons reset the background or knob color.


Expanding and compressing

expand/compress Clicking on the Expand and Compress buttons at the right of the Peace interface will expand/compress the sliders and therefore your audio sound at the entered frequencies. Just play around with them and you'll hear what I mean.


Channel delay

Peace has also a channel delay input field as seen in the picture. You can give a positive value in milliseconds to delay your audio sound of the selected channel/speaker (a negative value would mean that output sound will travel back in time). This delay can be given in milliseconds (by default) or in number of samples. You can switch to samples by clicking on the "Delay" text right to the delay field.

There are also rotary knobs on the Effects panel to control the delay.


Starting parameters

Peace can be started up in a few distinct ways by using the shortcut interface under the Shortcut button. This interface creates startup parameters which are best shown by the following examples.

Run Peace in its normal state, reactivating the last configuration (which is already active).
Peace.exe

Run Peace, activating a specific configuration, meaning started, selected then closed. A 2 second message of configuration activation is shown on screen.
Peace.exe "myconfig"

Run Peace, activating a specific configuration, starting up and showing interface with the configuration.
Peace.exe "myconfig" "start"

Run Peace, activating a specific configuration, starting up and hiding interface.
Peace.exe "myconfig" "start" "hide"

Note that Peace.exe in a shortcut (a .lnk file on your desktop or start menu) is actually written like this in the target field:
"c:\program files\equalizerapo\config\Peace.exe"


Exporting to Audacity

It can be useful to have the same equalizer setting in Audacity. Because the sound coming out of your computer is altered by using Peace, a sound file saved in Audacity won't have these alterations and may sound different on other devices.

During the process of creating and composing a song in another piece of software, you might use the Peace sliders to shape the sound of this song. After this shaping you can export the equalization of the sliders to an Audacity xml or txt equalizer file by clicking on the Export button and import this file to the Audacity equalizer effects. This ensures that the Audacity equalizer is the same as the Peace equalizer. And therefore the saved Audacity file will sound the same. Of course, if you listen to your song in Audacity with its equalizer effect, it should be applied while the Peace equalizer is switched off. Else you'll end up listening to a double equalization on your song.

Different Audacity versions

From Audacity version 2.4.4 the import file has been changed from a .xml file to a .txt file. Peace supports both these files for the different Audacity versions. Just select the proper export file type for your installed Audacity version.

Export type: 2 EQ effects of Audacity

From version 2.4.0 Audacity offers 2 EQ effects: Filter curves EQ and graphic EQ. Peace supports both these variations with one small exception. Only version 2.4.0 still uses .xml import files according to the Audacity wiki. Peace doesn't distinguish between the 2 EQ effects so it's better to either install a earlier or a later Audacity version.

The filter curves EQ effect is a graph in which you shape your equalization. The precise used filtering technique isn't stated in the Audacity wiki. This is the same for the graphic EQ effect which are sliders with which you set the equalization effect. Note that the term "graphic eq" of Audacity isn't the same as the Graphic EQ Peace uses. This type of equalization is done by Equalizer APO's GraphicEQ command (using the convolution filtering technique).


Using MIDI

You could use a MIDI device like a keyboard with faders and knobs to control various Peace features like changing the gains of the sliders. To set this up a MIDI panel is available, accessible by clicking on the small MIDI button at the right of the Configuration list.

Enabling MIDI to control Peace

As most users don't use MIDI, by default Peace isn't listening to MIDI controllers. By clicking on the top right MIDI switch you instruct Peace to do listen. The small button on the main Peace window will turn green to indicate that Peace is processing data, send by the MIDI device. Peace is only able to listen to the selected MIDI device.

Connecting a MIDI device

Usually it's best to connect a MIDI device before starting Peace. But the program will monitor the USB connections of MIDI devices and shows them in the top MIDI input devices drop down box. If the connection isn't working, perform a sequence of unplugging and plugging or switching off and on your MIDI device. It may be that the Reset button on the MIDI panel is also doing the job.

Linking a controller to a Peace feature through detecting

Most modern MIDI keyboards and devices have multiple rotary knobs and faders, all sending out so-called 'control changes'. To make it easy the Peace MIDI panel has a Detect button so you don't need to figure out technical details like the value of a specific control or note key on your MIDI device. The procedure to link a hardware controller to a Peace feature, like a slider, is as follows:

  1. Select the Peace feature you want to control.
  2. Click on the Detect button.
  3. Move the controller on your MIDI device for detecting it. A new link will appear in the list of controller links.

For several Peace features you only need a switch, for instance equalizer on/off. So that can be set too. And if your MIDI device has only pads, switch knobs and/or note keys then it's still possible to control Peace. Rotary knobs and faders are nice only if you have them! By checking the Pads, switch knobs and note keys checkbox you can assign up and down knobs/keys to Peace features like 'Slider 7 gain up/down'. For this an up/down step value can be entered to controll the increase/decrease.

For convenience you could enter a minimum and maximum value to limit the range of the linked controller. For instance, by default a linked controller for a slider goes from the minimum, usually -30 dB, to the maximum, usually 30 dB. This may be too much for what you need so you may want to limit this to say -15 to 15 dB. To do so, click on the Controller link (created by the detecting process) and enter these alternative dB values. When using an up/down method through knobs and keys, for up the maximum value is used, for down the minimum value.

Using a delta value and program changes

Using a delta value, that is a value between 2 movements of a controller, can be particularly useful when having a rotary knob which rotates without stops. Some MIDI devices has such an "infinite" knob for programming changes. Talking about program changes and such knob, to use it as a controller check the Program change varies checkbox. Now you can use it for any feature like pre amplifying or the main volume.

Using a number of positions rather than continuous changing values

By default any MIDI data send by your movement of a controller on your MIDI device will be processed to a precise value of the chosen Peace feature. So the Peace feature, like a slider will have a continuous range of values. But you might prefer some fixed values. An example is that your want your controller to move 3 dB steps for a slider in a range of a maximum 30 dB. After checking the "Use positions" checkbox you can enter 10 positions (10 times 3 dB is 30 dB) for both the lower and higher positions. You can also set the midpoint if you need this.

Disabling and deleting a controller link

When you don't need a controller link any longer you delete it with the Delete button. But you might only when to temporarly disable it and/or enable it. This is don't with the Disable and Enable buttons.

Saving and loading MIDI settings

Peace is saving how you set up your MIDI controllers but you may want to have several setups for different Peace configurations and different MIDI devices. For this use the Save and Open buttons at the bottom.

There a few more options like adding a MIDI settings files to the current one. Or selecting the next or previous file. This feature is very convenient if you have a MIDI device with only a few controller. By using 2 controller links called Load next MIDI settings file and Load previous MIDI settings file you can dynamically load another file with your MIDI controller! Just set these 2 links for every single MIDI settings file, this to make a string of files or in other words link the files together.


Headphones and hearing test

Disclaimer: Be aware that performing a test on the test interface isn't a substitute for a test at a hearing care professional.

This interface is developed in collaboration with Silvian Serbanescu-Oasa https://www.beautifulaudio.biz

The test interface is meant to test your headphones and/or ears. It allows you to find the frequencies which need to be amplified thereby correcting problems with your headphones and/or hearing. The process of "measuring" these problems isn't easy. A hearing care professional can help you further if it concerns your impaired hearing. But you may try to use this interface. When testing the frequencies you're building up a profile of your headphones/hearing. This profile is shown as a graph at the top of the interface. By analyzing this graph you can figure out which frequencies your headphones and/or hearing aren't that well at compared to others.

Procedure of testing

Before going to the test interface select the Headphones and Hearing Test configuration. It contains all the relevant frequencies. Of course you may choose another configuration or edit the frequencies above the sliders. And stop any audio and reduce the overall Windows volume. After doing this go to the test interface. Arrived there you'll hear a background noise playing. Perhaps you need to increase the Windows volume. After increasing leave it on that volume. Don't change it during a test.

In order to test correctly and precisely you must follow the following procedure.

In a very quiet room set a moderate noise level for instance -30 or -40 dB (You could do the test without noise also). The sine waves are adjusted to the set noise level. Select one ear or both ears and click the Start button to begin testing. Set a frequency to test and slowly lower the sine volume until it becomes unhearable. Do this for each frequency, especially in the range of 1 kHz to 5 kHz. To easier detect the sine, mute and unmute it during the lowering of the volume. Use the space bar for this purpose. One important advice: Be very precise for the best result. If you have tested one ear test the other one.

After testing you'll end up with a graph (a profile) which won't be a flat line. It'll roughtly follow a human hearing curve called Equal-loudness contour. For more information please read the Advice interpreting a test section below. The lower the level compared with this human hearing curve, the better you are able to hear this frequency. The exact level isn't important, it's about the difference between the levels over the frequencies compared to the Equal-loudness contour. For example, if the graph shows a top at a specific frequency you'll need to amplify it by increasing the corresponding slider (on the main screen).

Advice interpreting a test

Our ears are most sensitive in the mid range of 1 kHz and 5 kHz. This range is therefore the most important to test. Testing very low frequencies, say smaller than 200 Hz, might reduce or amplify the bass too much to your liking when using the test result for an equalization created by Peace. To prevent this, after finishing your test you should match the slope of the bass section to a matching Equal-loudness contour of a certain Phon. For that purpose there's a dropdown selection box with the contours at different Phon's labeled "Human hearing curves" available below the graph.

The human ears and headphones differ much from person to person and headphones to headphones. Therefore the Equal-loudness contour (ISO 226 2003 revision) as a human hearing curve is a rough estimate. Any large deviation should be corrected, small ones not or not that much. Peace tries to do this when using the test result to create an equalization. As the Equal-loudness contour is a measurement of the perceived loudness of a frequency, it isn't accurately displaying the actual volume level on which you can hear sound, music for instance. Therefore it could be needed to correct it, especially to taste for the lower and higher frequencies.

Using noise

Noise contains all frequencies. Therefore your hearing (ears and brains) need to pick out the frequency you're testing. This could enhance the quality of your test. You could test without using noise but you'll need a very quiet room to perform a good test. Being in a very quiet room for testing is of course recommended even when using noise. Perhaps doing 2 tests, with and without noise, may reveal the some flaws in your hearing and/or headphones.

A noise level must be set before testing. Once you've begun a test this noise level is fixed. This ensures that all frequencies are tested equally. When resetting a test the noise level can be set again but resetting will delete your test.

Test result graph

The graph at the top gives an indication of the test result. As said before your test profile isn't a flat line. Ideally it follows the Equal-loudness contour which you have selected. As mentioned the level isn't important, only the shape is important. Therefore you may want to move the selected contour to your test result. Click and hold the left mouse button on the up or down arrow (at the bottom left of the graph) to overlay the contour onto your result.

Comparing ears or test results

By default when selecting your left ear the graph is also showing the right ear in order to compare both ears. When you want to compare your ears with a saved test result you can click the Compare button and select that result file.

Load and save a test result

The Save button is used to save your test result in order to be able to go on testing (by clicking the Load button) when you've left the test interface.

Create an equalization

Read the Use test result page to create an equalization from your test result.


Use test result

As it's difficult to create a proper equalization from a test result, you might find it more useful to create an equalization yourself based on what you've tested. But Peace does offer the possibility to create an equalization. Such an equalization is created by processing the difference between the selected Equal-loudness contour and your test result profile.

After you've finished a test you should save it before you let Peace create an equalization. And after creating an equalization you should take a critical look (hear) at it. Some corrections may be needed, especially in the bass and high treble ranges as they are a matter of taste.

Frequencies range

The frequencies range of your equalization is best set to a frequency higher than for a bass part of your audio and lower for the very high frequencies which aren't particular interesting audio-wise. Therefore a range of 200 Hz to 12000 Hz could suffice. Then add bass if you need it.

But you could also let Peace included the lower (bass) and higher (treble) ranges, especially when you have matched a Equal-loudness contour to your test result profile.

Equalization strength

The strength of the audio correction is a matter of taste. Usually starting with a strong strength isn't good practice, especially when the equalization created by Peace sounds "off". Besides the overall gain thus volume of the equalization may become too high.

Equalization type (method)

To ensure proper equalization for your test result, use Graphic EQ. If you want to use peak filters you may. But be aware that this could lead to stronger gains which you need to correct manually. Therefore set the quality strength to "Narrower" for your first equalization creation and take it from there.

Creation option

Depending of what you have tested: both ears together or separately, you let Peace create an equalization. For a test of both ears together you'll get a main channel. For a test of the left and right ear separately you'll get 3 channels: a main empty channel and a left and right channel with the equalize based on your test result.


Peace settings

With of a lot settings you can alter the behaviour of Peace or modify the Peace interface.

  • General settings
  • Sizes and Amounts settings
  • Hotkeys settings
  • Debugging and Testing
  • Peace appearance

Click the Save button to save the settings and the Reset button to reset all Peace settings to their default values. If you delete the file Peace.ini you also are going to the Peace default settings the next time you start up Peace.

For graph settings click on the Graph settings button of the graph window.

To influence the appearance of Peace open the appearance window by clicking the Appearance button.

You can use the Desktop button to create a shortcut on your desktop and the Startup button to let Peace start at the Windows startup. When on Windows 10 and 11 Peace isn't started at Windows startup just delay the startup of Peace by 30 seconds or so.

To set Peace to a different language select one from the list (situated on the row of buttons). Currently there are 14 languages available. English, Čeština (Czech), 简体中文 (Chinese simplified), 繁體中文 (Chinese traditional), German (Deutsch), Español (Spanish), Français (France), Nederlands (Dutch), Italiano (Italian), Português (Portuguese), русский (Russian), Cрпски (Serbian) Türkçe (Turkish) and Українська (Ukrainian).

I'm looking for volunteers for these and other languages. By copying a language .plf file while Peace is running you can begin to translate to your own language or you can use the Translation window under the Translation button.


General settings

Settings

  • Show interface selection window The interface selection window can be shown again by checking this box.
  • Checking for a newer Peace version By default Peace will check its website to discover if a newer version is present. You can choose when to check: on startup and/or once a day which is used if you have Peace running for a longer time period.
  • Detecting an update of Windows at Peace startup Because a new Windows update could deactivate Equalizer APO, Peace gives a warning when Windows is updated.
  • Time values of tooltips Time of showing tooltips on screen and the initial pause of showing tooltips can be given, both in ms.
  • When selecting an equalizer configuration By default if the current configuration has been changed and not saved, a popup box is presented to confirm the activation of your selected configuration. On the other, it could be annoying to activate a wrong configuration by accident, so you can set this to Always confirm activation. If you do want to use only one click to go to a saved configuration without a warning popup box, you can use the Don't confirm, just activate setting.
  • Detached pre amplifying slider This slider can be a horizontal or vertical one.
  • Reset pre amp slider The position and size of the detached pre amplifying slider window can be reset with this button.
  • Activate tray icon By default Peace has a tray icon with which you select a configuration among other things.
  • Show pre amplifying slider Check this setting if you want a pre amplifying slider to pop up when left clicking the Peace tray icon.
  • Start minimized to tray, don't show interface By default the Peace interface is shown when you start Peace. If you want to hide the interface at startup check this checkbox. This can be useful when Peace is automatically started from computer startup and you don't want to pop up the interface every time.
  • Hide Peace to tray This feature alters the use of the Esc key and the Windows close button. By default pressing the Esc key or clicking the close button closes the program. It can be set to hide the program to tray.
  • Show peak meter on GUI Right to the configuration list there's a peak value meter which gives information on possible clipping. If you don't need this meter uncheck this checkbox.
  • Default equalizer configurations are installed at program startup In the configurations list you'll see a lot of predefined configurations. If you check this checkbox these configurations will be created every time you start up Peace, so uncheck it for deletion of predefined configurations.
  • Remember window positions By default where you position the main Peace window, the effects panel, the graph or the commands window it will stay there.
  • Show configuration refresh message When Peace is hidden to tray, after selecting a configuration manually or by automation you'll get a message that the interface is being refreshed. This message can be suppressed if you want to.
  • Show system tray message By default a configuration change by hotkey or tray menu, a message is briefly shown at the tray. This can be suppressed.
  • Password for startup To prevent unauthorized startup of Peace a password can be set. When set, a startup a popup will be presented to enter this password.
  • Select configurations folder By default the configurations are stored there where Peace is located, in the config folder of Equalizer APO such as c:\program files\equalizerapo\config. But this may be altered to a different location for instance a folder such as documents\peace configurations.
    Note that all configurations will be backed up to c:\users\<your name>\documents\Peace automatic configurations backup.


Sizes and Amounts settings

Settings

  • Font size The font size for all the text on the interfaces can be enlarged if you need this.
  • Horizontal slider space This is the space between the sliders (note 1).
  • Slider thumb width Actually it's not only the width but also the height you change with this value (note 1).
  • Device list width If the descriptions of your devices won't fit the device list you can widen it (note 1).
  • Slider height. Enlarge the height if you need it (note 2).
  • Configuration list width Enlarge to show longer configuration names (note 1).
  • Configuration list height Enlarge to show more configurations on the window (note 2).
  • Maximum dB The maximum dB is set to 30, which is pretty high. Be careful with a higher maximum.
  • Snap gain. By default the sliders are snapped to 0.5 dB. If you want a more round number, enter 1.
  • Mouse wheel dB value Increase and decrease dB value when using the mouse wheel above a slider or at a selected graph handle.
  • Tick ratio Ratio in dB's at which the slider ticks are drawn.
  • Quality default value Quality default value for new configurations.
  • Up/down dB value. dB value for the arrow up and down buttons.
  • Expand ratio Ratio of expanding the sliders, when clicking the expand button.
  • Compress ratio Ratio of compressing the sliders, when clicking the compress button.

Notes

  1. This setting will widen the Peace interface. You can make it more rectangular for instance, but with a lot of sliders you'll get a scroll bar if they don't fit your computer screen.
  2. This setting will heighten the Peace interface and speaker list.


Hotkeys settings

For all kinds of actions hotkeys can be set which then can be used within Peace or within other programs like your music player or Youtube. Peace can be on screen or in the Windows system tray. For instance you can switch on or off the Peace equalizer when you're working in another program.

Warning: For hotkeys try to avoid obvious ones like Shift+A, Alt+F or Ctrl+C. Many (simple) key combinations are used in other programs so conflicting keys are to be avoided. For instance, if you set Shift+A for an action, you can't enter a capital A in any program without doing this action.

The "locking" keys (scroll, caps and num) may be used without pressing either Shift, Ctrl and Alt key. This leaves these keys free to use in-game, for instance.

Settings

  • Hotkey combination for configuration For each (saved) configuration you can choose a key like 'd' for "my default config" or 'b' for "Bass boost". To activate such a config the key combination set here is used with the hotkey of the configuration, for instance Ctrl+Alt+d. If you prefer, a sound can be played when switching to another configuration.
  • Hotkey to show and hide user interface The Peace interface can shown or hidden by using a hotkey combination as set here.
  • Hotkey for equalizer on/off Hotkey for (de)activating the current selected configuration. If you prefer, an 'on' sound and an 'off' sound can be played when switching the equalizer on or off.
  • Hotkey for (un)muting If you want to quickly mute and unmute your audio, set a hotkey here. Note: This muting/unmuting is not a Windows audio mute. It uses a pre amplifying mute by setting it to a very low dB.
  • Hotkeys for pre amplifying The main pre amplifying can be increased or decreased by selecting a pair of hotkeys. Remember that a high pre amplifying value can cause audio clipping. A step value can be entered in Pre amplifying step db Value field, default 1 dB. If you prefer, a sound can be played when dialing up or down the pre amplifying by hotkey and/or mouse. And the pre amplifying can be briefly shown when pressing a hotkey.
  • Hotkeys for stereo balance Besides controlling the stereo balance on the Effects panel you might want to do this by using keys. With this setting you can choose from several balance changing hotkeys to control the stereo balance and decide if to show the balance change by showing a small balance window. A step value can be given for the balance change. And a value how long the balance window is shown.
  • Hotkeys for sliders If you need to attach to each individual slider, you can open up a window to do so.


Sliders hotkeys settings

To each individual slider a hotkey can be attached. By pressing this hotkey whilst pressing the hotkey combination keys like control and alt, the value of the slider will increase. This will happen when Peace is on screen but also when Peace is in tray and you're using the sliders hotkeys from within another program. To decrease the value of a slider, simply press the slider hotkey and the combination which you have set as decreasing the value.

Warning: To avoid conflicts with keys like Alt+F (opening File menu) and Ctrl+C (copy something), try to use more complex combinations like Ctrl+Alt+1. By default the increasing key combo is set to Ctrl+Alt and the decreasing to Shift+Ctrl+Alt. So you might use the 1 key from slider 1 to get Ctrl+Alt+1 (increase) and Shift+Ctrl+Alt+1 (decrease).

Settings

  • Hotkey combination for increasing. Combination for sliders hotkeys for increasing their value, default Control+Alt.
  • Hotkey combination for decreasing. Combination for sliders hotkeys for decreasing their value, default Shift+Control+Alt.
  • Step dB value. Step value which a slider moves when pressing its hotkey.
  • Hotkey to reset to 0 dB. Hotkey for resetting the current selected slider to 0 dB. To select first press the increase or decrease hotkey of the slider. The combination for increasing is used for resetting.
  • Slider #. Sliders hotkeys: select a hotkey for a slider which is identified by its number. Press the hotkey increasing/decreasing combination and the hotkey to move the slider up/down.

Note: Don't forget to save your sliders hotkeys by clicking Save on the main settings window.

By pressing the Reset button on the main settings window, the settings on the Sliders hotkeys window are also reset.


Debugging and Testing

Settings

  • The Configurator of the Equalizer APO has 2 functions. One, you can activate (install) Equalizer APO on an audio device, for instance your new USB headphones. And, two, trouble shoot your device if it refuses to work with Equalizer APO, see also the Installation issues section.
  • Restart Windows audio service When you have mad a change in the Configurator you're asked to restart your computer. You can also click this button to prevent such a restart. The audio service is stopped and started again to mimic a restart.
  • Immediate processing of a slider or graph handle Moving a slider or graph handle will initiate an immediate change in the sound. This processing could take a some of processing time. You can uncheck this to only process after you release a slider or handle.
  • Write all filters/speakers by writing zeros This options is normally not needed. It let Peace generate all filters for all speakers.
  • Tracing on When something is going wrong the tracing can be enabled. In the My document folder a log will be made under the file name Peace.log. This log contains information on various operations you and Peace perform. The Show the Peace trace log button will show this log. A log will state executed internal actions and when they are executed.
  • Sound on configuration switch by hotkey A sound can be given when you switch to another configuration by using a configuration hotkey. You can choose a sound from the drop down list and a playing volume.
  • Write device id (GUID) By default the device id known as guid is written to Equalizer APO so it can select the proper device. You may deviate by not writing this device id, if writing it gives issues.
  • Allow dangerous frequencies above 22050 Hz which may cause high volume distortion
    Equalizer APO (or Windows?) has an issue when using frequencies above 22050 or halve the sample rate of the selected audio device. To allow these higher frequencies may cause high volume distortion which could damage your speakers, headphones and ears. Be aware of this.


Backing up and Restoring

Note that from Peace version 1.6.3 all configurations of the configurations list will be automatically backed up when exiting Peace. By default all your configurations are stored in c:\program files\equalizerapo\config, the folder where Peace is located. However, if you uninstall Equalizer APO this configurations may be deleted (This wasn't so in former Equalizer APO versions). To prevent accidental removal of your configurations Peace backs up to a subfolder in your documents folder called Peace automatic configurations backup.

Besides your configurations and also the settings are stored in the config folder of Equalizer APO (64 bits: c:\Program Files\EqualizerAPO\config or 32 bits: c:\Program Files (x86)\EqualizerAPO\config). Despite the automatic backing up feature of Peace you might want to back up them by yourself. For this you can use the Backing up and Restoring tab on which you'll also find the restoring feature.

You can back up or restore the settings and configurations separately by checking the appropriate check boxes.


Peace appearance

By clicking on the bottom Appearance button in the Settings window you can change the appearance of Peace. Any change in these settings will be immediate. There's no save option. These settings are also used for theme creation. By clicking the Save as theme button you can save the settings to a theme.ini file. More info in the Theme chapter. The Read theme button is used to change a theme.ini file.

Setting main colors

The background color is one you might want to change to a darker color. Evening blue can be a color scheme that matches the background on your htpc. Different color schemes are available which might be of your preference.

You can also make your own color scheme by the selecting the Select your own colors option in the list. A background and text color can be set. For input fields and lists the background box color and box text color can be set.

Note that the background color of the graph can be changed in the Graph settings.

On/Off switch appearance

The On/Off switch can also have a different appearance. Most off switches are red colored to ensure you don't miss when the equalizer is off.

Graphical peak value meter

The graphical peak value meter will show the peak value in green, yellow and red if the volume gets high or too high. By default the Windows progress bar is used as peak value meter.

Slider appearance

By setting the default Windows slider knob you're choosing the Windows look of a slider and its behavour. Any other knob is a graphical one with a behavour programmed by me. A graphical knob can be changed in size and color by using the sliders (right click on any to reset its value). Such a knob can be accompanied by a rail in white, grey or black with or without ticks. The knob position of the main sliders can in the middle or to the left or right. For the pre amplifying slider the knob can be positioned at the top, middle or bottom of the slider.

When using a graphical knob the ticks (gain lines) can be colored to stick out the background color you might have set. The 0 gain tick can be colored to show the 0 gain. And a moving tick can be shown to make positioning of a slider knob easier. This moving tick can be colored too.

Windows themes

Note: If you want to have a Window theme in Peace you must set the default coloring and slider knobs.


Controlling Peace

This chapter explains how to control Peace from within another program, for example from Rainmeter (by using a Rainmeter plugin). Control actions like switching to another configuration are performed by sending a message through the Windows window message system, in case of Peace a WM_APP message (hex 0x8000, dec 32768) or a WM_COPYDATA message (hex 0x004a, dec 74) on its controlling window titled Peace window messages. So for instance switching to another configuration is done by sending a WM_APP+2 (0x8002) action to the window handle of "Peace window messages" where the (second) argument lParam is the (unique) configuration id and for instance the (first) argument wParam is a state like "hide interface". So that's in short notation

wHandle: handle of "Peace window messages" window
Msg: 0x8002 (hexadecimal) = 32770 (decimal)
wParam: 2 = force Peace to tray after switching
lParam: configuration id to switch (activate) to

And for switching to a configuration by name this is done with the WM_COPYDATA message:

wHandle: handle of "Peace window messages" window
Msg: 0x004a (hexidecimal) = 74 (decimal)
wParam: 2 = force Peace to tray after switching
lParam: COPYDATA structure
where cbData = Length+1 of wChar array in lpData
lpData = wChar array of length cbData containing configuration name

As you can see, taking the WM_COPYDATA route for switching to a configuration is more difficult. Using configuration id's in a WM_APP message is much easier. Besides, if the configuration id remains the same you can alter the configuration name without consequences.

For WM_APP messages the wParam and lParam are integers where wParam can only be positive. So no values with decimals like 3.14 can be given. In order to successfully deal with such values you need to use the provided actions like pre amplifying in milli dB. For example in this action you specify 5400 milli dB for 5.4 dB. And a returning milli dB value needs to be divided by 1000 to get the "normal" dB value, for instance 2700/1000 to get 2.7 dB.

This chapter shows the general error codes. Additional error codes specific to an action are mentioned in the action chapter. The following control actions can be given summarized by their action group/purpose:

Msg argument | Action group and purpose
WM_APP | Main actions: get program state, close Peace, go to interface, go to settings
WM_APP+1 | Interface actions: show/hide, toggle, get state, minimize, normalize, toggle minimize, get minimize state
WM_APP+1 | Configurations list actions: set short/long list, toggle length, get length state
WM_APP+2 | Configuration switch actions: switch by its id, save current selected configuration, get id of current selected configuration, hotkey/tray configuration on/off, toggle hotkey/tray configuration
WM_COPYDATA | Configuration switch actions: switch by its name, save current selected configuration
WM_APP+3 | Equalizer actions: on/off, toggle, get state
WM_APP+4 | Default audio device volume actions (Windows volume slider): set in %, add delta in %, get in %, get peak value in %
WM_APP+4 | Default audio device mute actions: mute/unmute, toggle muting, get mute state
WM_APP+4 | Default audio device peak value meters actions: show/hide, toggle, get show/hide state
WM_APP+5 | Main pre amplifying actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
WM_APP+5 | Main pre amplifying mute actions: mute/unmute, toggle muting, get mute state
WM_APP+6 | Effects panel actions: show/hide, toggle, get state
WM_APP+6 | Effects panel bass gain actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
WM_APP+6 | Effects panel bass frequency actions: set in Hz, add delta in Hz, get in Hz
WM_APP+6 | Effects panel bass target actions: apply to all speakers, apply to subwoofer, toggle apply, get apply
WM_APP+6 | Effects panel treble gain actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
WM_APP+6 | Effects panel treble frequency actions: set in Hz, add delta in Hz, get in Hz
WM_APP+6 | Effects panel upmix actions: off, on not center, on, toggle, get, detect way, always way, toggle way, get way
WM_APP+6 | Effects panel downmix actions: off, 5.1, 7.1, toggle, get, complex way, simple way, toggle way, get way
WM_APP+6 | Effects panel crossfeed actions: set multiply by 1000, set delta multiply by 1000, get divide by 1000
WM_APP+6 | Effects panel crossfeed simulation actions: off, Chu Moy, Jan Meier, Toggle simulation, Get simulation
WM_APP+20 | Speaker (combi) actions: set speaker (combi), get speaker (combi)
WM_APP+20 | Set speakers of speaker (combi) actions: speaker on/off (left, right, sub, etc.), get speaker state (left, right, sub, etc.)
WM_APP+21 | Pre amplifying speaker (combi) actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
WM_APP+22 | All sliders gain actions: set all in dB or milli dB, add all delta in dB or milli dB, expand, compress
WM_APP+22 | All sliders qualities actions: set all multiplied by 1000, add all delta multiplied by 1000
WM_APP+22 | All sliders filters actions: set all, use filters or Graphic EQ, toggle usage, get usage
WM_APP+100+Slider no | Slider gain actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
WM_APP+100+Slider no | Slider frequency actions: set in Hz, add delta in Hz, get in Hz
WM_APP+100+Slider no | Slider quality actions: set multiply by 1000, add delta multiply by 1000, get divide by 1000
WM_APP+100+Slider no | Slider on/off and filter actions: slider on/off, get slider on/off, set filter by no, get filter no


General error codes

The following return values are general error codes for WM_APP and WM_COPYDATA:

Return value | Error description
-1 | Main loop isn't running so can't process action
-2 | settings window active
-3 | Other than WM_APP+(actions group number) message given (This error shouldn't happen)
-4 | Still processing former program control request, please wait
-5 | Wrong actions given in wParam

And the following return values are additional general error codes for WM_COPYDATA:

Return value | Error description
-6 | (This error is specific per action)
-7 | WM_COPYDATA structure isn't given/found in lParam
-8 | Length of name isn't specified in cbData
-9 | Name isn't specified in lpData
-10 | Name is empty in lpData


Main actions

Window message WM_APP
General error codes section

wParam | Return value
0 = Get program state | 1 = In main interface, 2 = In settings, 3 = Not in main interface or settings
1 = close program | 1 = Main loop exited, 2 = Settings exited, 3 = Exited from somewhere else
2 = Go to main interface | 1 = Gone to main interface, 2 = Already in main interface, 3 = Not able to go to main interface
3 = Go to settings | 1 = Gone to settings, 2 = Already in settings, 3 = Not able to go to settings


Interface actions

Window message WM_APP+1
General error codes section

wParam | Return value
0 = Show interface | 1 = Interface is shown, 2 = Interface was already shown
1 = Hide interface to system tray | 1 = Interface is hidden, 2 = Interface was already hidden
2 = Toggle interface | 1 = Interface is shown, 2 = Interface is hidden
3 = Get interface state | 1 = Interface is shown, 2 = Interface is hidden
4 = Minimize interface | 1 = Interface is minimized, 2 Interface was already minimized
5 = Set normal full interface | 1 = Normal full interface, 2 Interface was already set to normal full interface
6 = Toggle interface minimized/normal | 1 = Normal full interface, 2 = Minimized interface
7 = Get interface minimized or normal | 1 = Normal full interface, 2 = Minimized interface
8 = Short (normal) configurations list | 1 = Configurations list set to short, 2 = Configurations list was already short
9 = Long configurations list | 1 = Configurations list set to long, 2 = Configurations list was already long
10 = Toggle short/long configurations list | 1 = Short configurations list, 2 = Long configurations list
11 = Get configurations list short or long | 1 = Short configurations list, 2 = Long configurations list


Configuration actions

Window message WM_APP+2 or WM_COPYDATA (see second table)
If lParam isn't specified in a WM_APP message its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Leave interface as it is | Id of configuration to switch to (activate) | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
1 = Force showing of interface | Id of configuration to switch to (activate) | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
2 = Force hiding of interface to tray | Id of configuration to switch to (activate) | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
3 = Save current selected configuration |  | 1 = Configuration is saved
4 = Set configuration id | Configuration id | 1 = Configuration id is set
5 = Get id of current selected configuration |  | > 0 = Id of configuration, -6 = Current configuration doesn't have an id, -7 = Current file doesn't exist (very unlikely error)
10 = Switch hotkey/tray configuration on | Id of configuration to switch on (activate) | 1 = Configuration is switched on, -6 = Configuration isn't found, -7 = Configuration isn't on the hotkey/tray configurations list
11 = Switch hotkey/tray configuration off | Id of configuration to switch off (deactivate) | 1 = Configuration is switched off, -6 = Configuration isn't found, -7 = Configuration isn't on the hotkey/tray configurations list
12 = Toggle hotkey/tray configuration on or off | Id of configuration to toggle on or off | 1 = Configuration is toggle on or off, 2 = Configuration is switched off, -6 = Configuration isn't found, -7 = Configuration isn't on the hotkey/tray configurations list
13 = Get hotkey/tray configuration if on or off | Id of configuration to toggle on/off | 1 = Configuration is switched on, 2 = Configuration is switched off, -6 = Configuration isn't found, -7 = Configuration isn't on the hotkey/tray configurations list

wParam | lParam | Return value
0 = Leave interface as it is | COPYDATA structure cbData = Length+1 of configuration name string in wChar array lpData = Pointer to a wChar array containing the configuration name | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
1 = Force showing of interface | COPYDATA structure cbData = Length+1 of configuration name string in wChar array lpData = Pointer to a wChar array containing the configuration name | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
2 = Force hiding of interface to tray | COPYDATA structure cbData = Length+1 of configuration name string in wChar array lpData = Pointer to a wChar array containing the configuration name | 1 = Configuration switch is being performed, -6 = Configuration wasn't found
3 = Save configuration as | COPYDATA structure cbData = Length+1 of configuration name string in wChar array lpData = Pointer to a wChar array containing the new configuration name | 1 = New configuration is saved


Equalizer actions

Window message WM_APP+3
General error codes section

wParam | Return value
0 = Switch equalizer and effects on | 1 = Equalizer and effects switched on, 2 = Equalizer and effects were already on
1 = Switch equalizer and effects off | 1 = Equalizer and effects switched off, 2 = Equalizer and effects were already off
2 = Toggle equalizer and effects on | 1 = Equalizer and effects switched on, 2 = Equalizer and effects switched off
3 = Get if equalizer and effects are on or off | 1 = Equalizer and effects switched on, 2 = Equalizer and effects switched off


Default audio device actions

Window message WM_APP+4
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

Additional error codes
Return value | Error description
-6 | User didn't want peak value meter on main interface
-7 | No link established to default audio device
-8 | Windows system volume couldn't be retrieved and set

Actions
wParam | lParam | Return value
0 = Set default audio device volume | volume 0 to 100% | 1 = Volume set
1 = Set default audio device volume delta | volume delta -100 to 100% | 1 = Volume set
2 = Get default audio device volume |  | Volume 0 to 100%
3 = Get default audio device peak volume |  | Volume 0 to 100%
4 = Get default audio device channel peak volume |  | Volume 0 to 100%, -9 = Channel peak volume couldn't be retrieved, -10 = Given channel isn't available, -11 = Peak metering channel count couldn't be retrieved
5 = Mute default audio device volume |  | 1 = Volume is muted, 2 = Volume was already muted
6 = Unmute default audio device volume |  | 1 = Volume is unmuted, 2 = Volume was already unmuted
7 = Toggle mute default audio device volume |  | 1 = Volume is muted, 2 = Volume is unmuted
8 = Get mute/unmute default audio device volume |  | 1 = Volume is muted, 2 = Volume is unmuted
9 = Show peak volume meters |  | 1 = Peak volume meters are shown, 2 = Peak volume meters were already shown
10 = Get peak metering channels count |  | Channel count: 2 = Stereo, etc., -9 = Peak metering channel count couldn't be retrieved
11 = Hide peak volume meters |  | 1 = Peak volume meters are hidden, 2 = Peak volume meters were already hidden
12 = Toggle show/hide peak volume meters |  | 1 = Peak volume meters are shown, 2 = Peak volume meters are hidden
13 = Get if peak volume meters are shown or hidden |  | 1 = Peak volume meters are shown, 2 = Peak volume meters are hidden


Main pre amplifying actions

Window message WM_APP+5
If wParam is in milli dB provide dB value by multiplying with 1000.
If Return value is in milli dB divide by 1000 to get dB value.
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Set main pre amplifying | Main pre amplifying in dB | 1 = Main pre amplifying set
1 = Set main pre amplifying | Main pre amplifying in milli dB | 1 = Main pre amplifying set
2 = Set main pre amplifying delta | Main pre amplifying delta in dB | 1 = Main pre amplifying set
3 = Set main pre amplifying delta | Main pre amplifying delta in milli dB | 1 = Main pre amplifying set
4 = Get main pre amplifying |  | Main pre amplifying in dB
5 = Get main pre amplifying |  | Main pre amplifying in milli dB
6 = Mute main pre amplifying |  | 1 = Main pre amplifying is muted, 2 = Main pre amplifying was already muted
7 = Unmute main pre amplifying |  | 1 = Main pre amplifying is unmuted, 2 = Main pre amplifying was already unmuted
8 = Toggle muting main pre amplifying |  | 1 = Main pre amplifying is muted, 2 = Main pre amplifying is unmuted
9 = Get muting main pre amplifying |  | 1 = Main pre amplifying is muted, 2 = Main pre amplifying is unmuted


Effects actions

Window message WM_APP+6
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Show effects panel |  | 1 = Effects panel is shown, 2 = Effects panel was already shown
1 = Hide effects panel |  | 1 = Effects panel is hide, 2 = Effects panel was already hide
2 = Toggle show/hide effects panel |  | 1 = Effects panel is shown, 2 = Effects panel is hidden
3 = Get show/hide effects panel state |  | 1 = Effects panel is shown, 2 = Effects panel is hidden
4 = Set bass gain | Bass gain in dB | 1 = Bass gain set
5 = Set bass gain | Bass gain in milli dB | 1 = Bass gain set
6 = Set bass gain delta | Bass gain delta in dB | 1 = Bass gain set
7 = Set bass gain delta | Bass gain delta in milli dB | 1 = Bass gain set
8 = Get bass gain |  | Bass gain in dB
9 = Get bass gain |  | Bass gain in milli dB
10 = Set bass frequency | Bass frequency in Hz | 1 = Bass frequency set
11 = Set bass frequency delta | Bass frequency delta in Hz | 1 = Bass frequency set
12 = Get bass frequency |  | Bass frequency in Hz
13 = Set bass switch to all speakers |  | 1 = Bass switch is set to all speakers, 2 = Bass switch was already set to all speakers
14 = Set bass switch to subwoofer |  | 1 = Bass switch is set to subwoofer, 2 = Bass switch was already set to subwoofer
15 = Toggle bass switch |  | 1 = Bass switch is set to all speakers, 2 = Bass switch is set to subwoofer
16 = Get bass switch |  | 1 = Bass switch is set to all speakers, 2 = Bass switch is set to subwoofer
17 = Set treble gain | Treble gain in dB | 1 = Treble gain set
18 = Set treble gain | Treble gain in milli dB | 1 = Treble gain set
19 = Set treble gain delta | Treble gain delta in dB | 1 = Treble gain set
20 = Set bass gain delta | Treble gain delta in milli dB | 1 = Treble gain set
21 = Get treble gain |  | Treble gain in dB
22 = Get treble gain |  | Treble gain in milli dB
23 = Set treble frequency | Treble frequency in Hz | 1 = Treble frequency set
24 = Set treble frequency delta | Treble frequency delta in Hz | 1 = Treble frequency set
25 = Get treble frequency |  | Treble frequency in Hz
26 = Upmix off |  | 1 = Upmix is switched off, 2 = Upmix was already switched off
27 = Upmix on but not to center |  | 1 = Upmix is switched on excluding center, 2 = Upmix was already switched on
28 = Upmix on including center |  | 1 = Upmix is switched on including center, 2 = Upmix was already switched on
29 = Toggle upmix |  | 1 = Upmix off, 2 = Upmix on not to center, 3 = Upmix on including center
30 = Get upmix state |  | 1 = Upmix off, 2 = Upmix on not to center, 3 = Upmix on including center
31 = Upmix on detect input channels |  | 1 = Upmix is set on detect, 2 = Upmix was already set on detect
32 = Upmix on always (without detection) |  | 1 = Upmix is set on always, 2 = Upmix was already set on always
33 = Toggle upmix way |  | 1 = Upmix is set on detect, 2 = Upmix is set on always
34 = Toggle upmix way |  | 1 = Upmix is set on detect, 2 = Upmix is set on always
35 = Downmix off |  | 1 = Downmix is switched off, 2 = Downmix was already switched off
36 = Downmix from 5.1 |  | 1 = Downmix is switched on 5.1, 2 = Downmix was already switched on 5.1
37 = Downmix from 7.1 |  | 1 = Downmix is switched on 7.1, 2 = Upmix was already switched on 7.1
38 = Toggle downmix |  | 1 = Downmix off, 2 = Downmix on 5.1, 3 = Downmix on 7.1
39 = Get upmix state |  | 1 = Downmix off, 2 = Downmix on 5.1, 3 = Downmix on 7.1
40 = Complex downmix |  | 1 = Downmix is set on complex, 2 = Downmix was already set on complex
41 = Simple (straightforward) downmix |  | 1 = Downmix is set on simple, 2 = Downmix was already set on simple
42 = Toggle downmix way |  | 1 = Downmix is set on complex, 2 = Downmix is set on simple
43 = Get downmix way |  | 1 = Downmix is set on complex, 2 = Downmix is set on simple
44 = Set crossfeed | Crossfeed in 0 to 100 % | 1 = Crossfeed set
45 = Set crossfeed delta | Crossfeed delta in -100 to 100 % | 1 = Crossfeed set
46 = Get crossfeed |  | Crossfeed 0 to 100 %
47 = Crossfeed simulation off |  | 1 = Crossfeed is simulation switched off, 2 = Crossfeed was already simulation switched off
48 = Chu Moy crossfeed simulation |  | 1 = Crossfeed is simulation switched to Chu Moy, 2 = Crossfeed was already simulation switched to Chu Moy
49 = Jan Meier crossfeed simulation |  | 1 = Crossfeed is simulation switched to Jan Meier, 2 = Crossfeed was already simulation switched to Jan Meier
50 = Toggle crossfeed simulation |  | 1 = Crossfeed simulation off, 2 = Chu Moy crossfeed simulation, 3 = Jan Meier crossfeed simulation


Device actions

Window message WM_APP+7 or WM_COPYDATA (see second table)
If lParam isn't specified in a WM_APP message its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Select all devices |  | 1 = All devices are selected
1 = Start the Configurator |  | 1 = Configurator is started

wParam | lParam | Return value
10 = Select device by name (part) or GUID | COPYDATA structure cbData = Length+1 of device name/GUID string in wChar array lpData = Pointer to a wChar array containing the device name/GUID | 1 = Device is selected, -6 = Device wasn't found


Speakers (combi) actions

Window message WM_APP+20
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Select speaker (combi) | Speaker (combi) index number | 1 = Speaker (combi) is selected, 2 = Speaker (combi) was already selected
1 = Get current selected speaker (combi) |  | Current selected speaker (combi) index number
2 = Set all speakers of selected speaker (combi) | 0 = Off, 1 = On | 1 = All speakers of selected speaker (combi) set on or off
3 = Get all speakers of selected speaker (combi) |  | 1 = All speakers of selected speaker (combi) on, 2 = Off
4 = Set left speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Left speaker of selected speaker (combi) set on, 2 = Set off
5 = Get left speaker of selected speaker (combi) |  | 1 = Left speaker of selected speaker (combi) on , 2 = Off
6 = Set center speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Center speaker of selected speaker (combi) set on, 2 = Set off
7 = Get center speaker of selected speaker (combi) |  | 1 = Center speaker of selected speaker (combi) on , 2 = Off
8 = Set right speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Right speaker of selected speaker (combi) set on, 2 = Set off
9 = Get right speaker of selected speaker (combi) |  | 1 = Right speaker of selected speaker (combi) on , 2 = Off
10 = Set subwoofer speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Subwoofer speaker of selected speaker (combi) set on, 2 = Set off
11 = Get subwoofer speaker of selected speaker (combi) |  | 1 = Subwoofer speaker of selected speaker (combi) on , 2 = Off
12 = Set left side speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Left side speaker of selected speaker (combi) set on, 2 = Set off
13 = Get left side speaker of selected speaker (combi) |  | 1 = Left side speaker of selected speaker (combi) on , 2 = Off
14 = Set right side speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Right side speaker of selected speaker (combi) set on, 2 = Set off
15 = Get right side speaker of selected speaker (combi) |  | 1 = Right side speaker of selected speaker (combi) on , 2 = Off
16 = Set left rear speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Left rear speaker of selected speaker (combi) set on, 2 = Set off
17 = Get left rear speaker of selected speaker (combi) |  | 1 = Left rear speaker of selected speaker (combi) on , 2 = Off
18 = Set center rear speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Center rear speaker of selected speaker (combi) set on, 2 = Set off
19 = Get center rear speaker of selected speaker (combi) |  | 1 = Center rear speaker of selected speaker (combi) on , 2 = Off
20 = Set right rear speaker of selected speaker (combi) | 0 = Off, 1 = On | 1 = Right rear speaker of selected speaker (combi) set on, 2 = Set off
21 = Get right rear speaker of selected speaker (combi) |  | 1 = Right rear speaker of selected speaker (combi) on , 2 = Off


Pre amplifying actions

Window message WM_APP+21
If wParam is in milli dB provide dB value by multiplying with 1000.
If Return value is in milli dB divide by 1000 to get dB value.
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Set pre amplifying | Pre amplifying in dB | 1 = Pre amplifying set
1 = Set pre amplifying | Pre amplifying in milli dB | 1 = Pre amplifying set
2 = Set pre amplifying delta | Pre amplifying delta in dB | 1 = Pre amplifying set
3 = Set pre amplifying delta | Pre amplifying delta in milli dB | 1 = Pre amplifying set
4 = Get pre amplifying |  | Pre amplifying in dB
5 = Get pre amplifying |  | Pre amplifying in milli dB


All sliders actions

Window message WM_APP+22
If wParam is in milli dB provide dB value by multiplying with 1000.
If Return value is in milli dB divide by 1000 to get dB value.
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Set gains of all sliders | Gains of all sliders in dB | 1 = Gains set
1 = Set gains of all sliders | Gains of all sliders in milli dB | 1 = Gains set
2 = Set gains delta of all sliders | Gains delta of all sliders in dB | 1 = Gains set
3 = Set gains delta of all sliders | Gains delta of all sliders in milli dB | 1 = Gains set
4 = Expand sliders |  | 1 = Sliders expanded
5 = Compress sliders |  | Sliders compressed
6 = Set qualities of all sliders | Qualities of all sliders in 1/1000 so multiply by 1000 | 1 = Qualities set
7 = Set qualities delta of all sliders | Qualities delta of all sliders in 1/1000 so multiply by 1000 | 1 = Qualities set
8 = Set filters of all sliders | Filters of all sliders by filter number | 1 = Filters set
9 = Set usage to filters |  | Usage of filters set
10 = Set usage of Graphic EQ |  | Usage of Graphic EQ set
11 = Toggle usage filters/Graphic EQ |  | 1 = Filters usage set, 2 = Graphic EQ usage set
12 = Get usage filters/Graphic EQ |  | 1 = Filters usage set, 2 = Graphic EQ usage set
13 = Get number of sliders |  | > 0 = Number of sliders
14 = Add a new slider after last one |  | 1 = New slider is added
15 = Remove last slider |  | 1 = Last slider is removed


Slider actions

Window message WM_APP+100+Slider no (for example WM_APP+105 is fifth slider
If wParam is in milli dB provide dB value by multiplying with 1000.
If Return value is in milli dB divide by 1000 to get dB value.
If lParam isn't specified its value isn't needed/used in the action.
General error codes section

wParam | lParam | Return value
0 = Set gain of slider | Gain of slider in dB | 1 = Gain set
1 = Set gain of slider | Gain of all slider in milli dB | 1 = Gain set
2 = Set gain delta of slider | Gain delta of slider in dB | 1 = Gain set
3 = Set gain delta of slider | Gains delta of slider in milli dB | 1 = Gain set
4 = Get gain of slider |  | Gain of slider in dB
5 = Get gain of slider |  | Gain of slider in milli dB
6 = Set frequency of slider | Frequency of slider in Hz | 1 = Frequency set
7 = Set frequency delta of slider | Frequency delta of slider in Hz | 1 = Frequency set
8 = Get frequency of slider |  | Frequency of slider in Hz
9 = Set quality of slider | Quality of slider in 1/1000 so multiply by 1000 | 1 = Quality set
10 = Set quality delta of slider | Quality delta of slider in 1/1000 so multiply by 1000 | 1 = Quality set
11 = Get quality of slider |  | Quality of slider in 1000 so divide by 1000
12 = Switch slider on |  | 1 = Slider is switched on, 2 = Slider was already switched on
13 = Switch slider off |  | 1 = Slider is switched off, 2 = Slider was already switched off
14 = Toggle slider on or off |  | 1 = Slider is switched on, 2 = Slider is switched off
15 = Get slider on or off |  | 1 = Slider is switched on, 2 = Slider is switched off
16 = Set filter of slider | Filter of slider by its filter number | 1 = Filter set
17 = Get filter of slider |  | Filter number of slider


Themes for appearance

You can make or download a theme to alter the appearance of Peace. A theme consists out of 2 parts: images and appearance settings. On several buttons in Peace images are shown and other images are used like the ones on the Effects panel. All these images may be replaced by different ones. Appearance settings, as set on the Appearance settings window, can be a part of a theme. You can publish your theme on the Peace forum in the conversation about themes and/or email it to me. I'll put it in the Theme folder of the Peace Files section on the website so anyone can download it.

Activating a theme

By putting theme files into a subfolder called 'Theme' in the config folder where Peace is located (usually c:\Program Files\EqualizerAPO\config), Peace will load and show this theme at startup. A typical theme folder contents may look like:

c:\Program Files\EqualizerAPO\config\Theme
theme.ini
on.png
off.png
changed.png
etc.

where theme.ini contains the appearance settings for the theme, graphtheme.ini contains graph appearance settings and the .png's and .ico's files are the images of buttons and other interface elements.

After closing Peace unzip the theme zip file and copy its contents to the 'Theme' folder as shown above. Be sure to delete the previous theme by removing all files from the 'Theme' folder after you have closed Peace. You may want to mix themes by leaving some or all files in the folder and copy new ones to it.

Creating a theme

As explained a theme has images (.png and .ico files) and appearance settings (theme.ini file). You have to create the images according to the below table. A theme.ini file can be created by changing the appearance settings matching the images you're creating and then by clicking the 'Save as theme' button to create a theme.ini file out of the appearance settings.

To replace an image use the name as mentioned in the table and put your new image with that name in the theme folder to test its appearance in Peace. The dimensions are guidelines for creating your images. To be sure your images look alright you can use the given dimensions. For the on/off switch and the rotary dial background they have to match exactly. And some images may have transparent (alpha channel) pixels.To create the images for Peace I use Inkscape, free vector image creation software. With Inkscape is easy to manipulate the scale, gradient and other features of images.

Image file name | Image dimension width x height in pixels | Transparent pixels (alpha value) allowed | Image function and notes
arrowdown.png | 12 x 19 | no | button image for moving all sliders gain down
arrowleft.png | 19 x 12 | no | button image for moving all sliders gain to the left or moving selected slider to the left
arrowright.png | 19 x 12 | no | button image for moving all sliders gain to the right or moving selected slider to the right
arrowup.png | 12 x 19 | no | button image for moving all sliders gain up
arrowrightlarge.png | 44 x 17 | no | button image for creating an automated task on the Automation window
balance.png | 272 x 23 | no | image for showing stereo balance, image is moved to the left, middle or right
changed.png | 10 x 10 | no | button image for showing if anything has been set on the Effects panel or commands are entered on the Commands window
dialback.png | 27 x 27 exact, 90 dpi | yes | background rotating dial image for rotary knob on Effects panel. Image has to be 90 dpi and 27 by 27 pixels to be correctly rotated. 1 or 2 fully transparent or semi transparent pixels as border.
dialbackdisabled.png | 27 x 27 exact, 90 dpi | yes | disabled background rotating dial image for rotary knob on Effects panel. Image has to be 90 dpi and 27 by 27 pixels to be correctly rotated. 1 or 2 fully transparent or semi transparent pixels as border.
dial.png | 22 x 22, 90 dpi | yes | rotating dial image for rotary knob on Effects panel. Image has to be 90 dpi and 27 by 27 pixels to be correctly rotated
dialdisabled.png | 22 x 22, 90 dpi | yes | disabled rotating dial image for rotary knob on Effects panel. Image has to be 90 dpi and 27 by 27 pixels to be correctly rotated
dialfront.png | 22 x 22 | yes | non-rotating dial image for rotary knob on Effects panel
dialfrontdisabled.png | 22 x 22 | yes | disabled non-rotating dial image for rotary knob on Effects panel
dialon.png | 9 x 9 | yes | non-rotating dial image to show dial has been turned
dialoff.png | 9 x 9 | yes | non-rotating dial image to show dial has been switched off
switchback.png | 40 x 22 | yes | background image for switch knob on Effects panel
switchbackdisabled.png | 40 x 22 | yes | disabled background image for switch knob on Effects panel
switch.png | 16 x 16 | yes | switch image for switch knob on Effects panel
switchdisabled.png | 16 x 16 | yes | disabled switch image for switch knob on Effects panel
switchon.png | 16 x 16 | yes | switch on image for switch knob on Effects panel
switchondisabled.png | 16 x 16 | yes | disabled on switch image for switch knob on Effects panel
switchoff.png | 16 x 16 | yes | switch off image for switch knob on Effects panel
switchoffdisabled.png | 16 x 16 | yes | disabled off switch image for switch knob on Effects panel
filteroff.png | 33 x 14 | no | button image for showing slider is deactivated (filter is off)
GraphicEQoff.png | 33 x 14 | no | button image for showing when GraphicEQ is deactivated
GraphicEQon.png | 33 x 14 | no | button image for showing when GraphicEQ is activated
graphshow.png | 60 x 17 | no | button image for showing graph
icon.png | 48 x 48 | no | upper right icon on main window
icon.ico | 48 x 48 | yes | icon for attaching to configuration
iconmute.ico | 48 x 48 | yes | icon for attaching to configuration, pre amplifying muted
iconyellow.ico | 48 x 48 | yes | yellow icon for attaching to configuration
iconyellowmute.ico | 48 x 48 | yes | yellow icon for attaching to configuration, pre amplifying muted
iconred.ico | 48 x 48 | yes | red icon for attaching to configuration
iconredmute.ico | 48 x 48 | yes | red icon for attaching to configuration, pre amplifying muted
icongreen.ico | 48 x 48 | yes | green icon for attaching to configuration
icongreenmute.ico | 48 x 48 | yes | green icon for attaching to configuration, pre amplifying muted
iconcyan.ico | 48 x 48 | yes | cyan icon for attaching to configuration
iconcyanmute.ico | 48 x 48 | yes | cyan icon for attaching to configuration, pre amplifying muted
iconpurple.ico | 48 x 48 | yes | purple icon for attaching to configuration
iconpurplemute.ico | 48 x 48 | yes | purple icon for attaching to configuration, pre amplifying muted
iconorange.ico | 48 x 48 | yes | orange icon for attaching to configuration
iconorangemute.ico | 48 x 48 | yes | orange icon for attaching to configuration, pre amplifying muted
iconyellowgreen.ico | 48 x 48 | yes | yellow green icon for attaching to configuration
iconyellowgreenmute.ico | 48 x 48 | yes | yellow green icon for attaching to configuration, pre amplifying muted
iconredpurple.ico | 48 x 48 | yes | red purple icon for attaching to configuration
iconredpurplemute.ico | 48 x 48 | yes | red purple icon for attaching to configuration, pre amplifying muted
iconbroken1.ico | 48 x 48 | yes | broken 1 icon for attaching to configuration
iconbroken1mute.ico | 48 x 48 | yes | broken 1 icon for attaching to configuration, pre amplifying muted
iconbroken2.ico | 48 x 48 | yes | broken 2 icon for attaching to configuration
iconbroken2mute.ico | 48 x 48 | yes | broken 2 icon for attaching to configuration, pre amplifying muted
iconbroken3.ico | 48 x 48 | yes | broken 3 icon for attaching to configuration
iconbroken3mute.ico | 48 x 48 | yes | broken 3 icon for attaching to configuration, pre amplifying muted
iconbroken4.ico | 48 x 48 | yes | broken 4 icon for attaching to configuration
iconbroken4mute.ico | 48 x 48 | yes | broken 4 icon for attaching to configuration, pre amplifying muted
importfile.png | 19 x 10 | no | button image for importing an Equalizer APO or Room EQ Wizard file
mainspeaker.png | 18 x 22 | no | main Windows volume is on, not muted
mainspeakermuted.png | 18 x 22 | no | main Windows volume is off, muted
on.png | 73 x 24 exact | no | equalizer on switch, configuration is active
off.png | 73 x 24 exact | no | equalizer off switch, configuration isn't active
largelist.png | 10 x 27 | no | button image for extending the configuration list to the full height
shortlist.png | 10 x 27 | no | button image for minimizing the configuration list under left the sliders
maximize.png | 34 x 10 | no | button image for maximizing main window to normal size
minimize.png | 34 x 10 | no | button image for minimizing main window to a small size
minus.png | 14 x 5 | no | button image for deleting last slider
plus.png | 12 x 12 | no | button image for adding a slider
peak.png | 16 x 16 | no | button image for showing audio is clipping (at peak value)
nopeak.png | 16 x 16 | no | button image for showing audio isn't clipping and (under peak value and thus okay)
peakmeterback.png | 320 x 16 | yes | peak meter background image
peakmeterfront.png | 320 x 16 | yes | peak meter foreground image fr showing the current audio gain value
preampshow.png | 30 x 12 | no | button image to show small pre amplifying window
preamphide.png | 30 x 12 | no | button image to hide small pre amplifying window
preampsliderthumb.png | 26 x 14 | yes | pre amplifying slider knob image
sliderthumb.png | 14 x 26 | yes | equalizer slider knob image
sliderback.png | 4 x 30 | yes | equalizer slider background image
robotoff.png | 15 x 4 | no | button image for showing automation is switched off
roboton.png | 15 x 49 | no | button image for showing automation is switched on
robotworking.png | 15 x 49 | no | button image for showing automation is switched on and there's something automated
speakeron.png | 18 x 22 | no | pre amplifying is switched on
speakeroff.png | 18 x 22 | no | pre amplifying is switched off, muting sound
speakeradd.png | 24 x 12 | no | button image for adding a speaker or combination of speakers
speakerchange.png | 24 x 12 | no | button image for changing a speaker or combination of speakers
speakercopy.png | 24 x 12 | no | button image for copying a speaker or combination of speakers
speakerpaste.png | 24 x 12 | no | button image for pasting the copied speaker or combination of speakers onto the selected one
speakerremove.png | 24 x 12 | no | button image for adding a speaker or combination of speakers


More configurations (presets)

On the Peace website you'll find a folder with equalizer configurations (presets). Only some basic configurations are included into Peace. You can install these configurations from the website by using the Peace Setup Tool.

On the website You'll also find a folder with configurations made by users of specific brands and types of headphones, speakers and microphones. When you have a configuration you want to publish I can put it there for all to enjoy.

The following equalization configurations are by default included. They speak for themselves on their purposes.

  • Bass and High Boost
  • Bass Boost
  • Bluetooth Headset 1
  • Bluetooth Headset 2
  • Classic
  • Dance
  • Headphones and Hearing Test (which contains specific frequencies for the test interface)
  • High Boost
  • Left on Right channel (when the sound is only on the left)
  • Microphone mono (usually this one makes your mic to work)
  • Microphone stereo
  • Radio
  • Rock
  • Telephone
  • Surround Effect Default (switch on a special surround effect with default values)
  • Vocal
  • Voice (to improve a voice of a podcast or video conference)

To setup your equalizer you can use the following ones which are also included. They all have a different set of filter frequencies.

  • Equalizer 5 Band (the smallest equalizer)
  • Equalizer Default, 13 sliders
  • Equalizer Octave 1, 11 sliders
  • Equalizer Octave 2, 11 sliders
  • Equalizer Third Octave, 31 sliders

And one more configuration is included: 7.1 Setup. It's included to show what you can do with the equalization of a specific set of speakers.

You'll find all these configurations in the Files section on the Peace website ('Configurations' folder) and also a lot of other ones. All configurations can be divided into the following groups: effects, setup, equalization and example configurations. By commands means that the Peace commands window is used instead of the features of the interface. A lot of these configurations are available as an effect on the Effects panel. You don't need to download them but they may give you info how to do and set up things. The Configurations.zip file is a collection of all configurations.

Effects configurations

  • Crossfeed stereo (basic, Jan Meier and Chu-Moy simulation)
  • Echo stereo audio
  • Delay audio 250, 500, 1000 milliseconds
  • Stereo widening by using a tiny delay

Setup configurations

  • Upmix stereo channels
  • Reverse channels (swap left - right)
  • Swap front - rear
  • Downmix 6 and 8 channels to stereo
  • Virtual stereo channels
  • Pre-mix and post-mix stage (as can be read on the Equalizer APO wiki, the Stage command)

Equalization configurations

  • Equalizer 15 Band with HPF and LPF to cut off lower and higher end (20 Hz and 20kHz)
  • Graphic EQ which uses equalization by convolution
  • Bass and Treble 6 dB
  • Bluetooth Headset 3 and 4
  • Subwoofer boost 10 dB and reduce -10 dB preamplifying
  • Balance left and right by using -10 dB preamplifying
  • RIAA Phonograph 10 dB and 20 dB
  • Ultrasound cut-off filter 20 kHz

Example configurations

  • Peak filter 1 kHz
  • Low and high pass filters 1 kHz
  • Low and high shelf filters 1 kHz
  • Band filter 1 kHz
  • Notch filter 1 kHz


Features

  • immediate response when you move a slider
  • up to 31 gain dB sliders per speaker, so acting like a professional equalizer
  • 4 default equalizer configurations, setups as base to start equalizing (octave frequencies, 1/3 octave frequencies 31 sliders)
  • several other configurations like dance, rock, bass boost for you to use (more are available on the website)
  • 9 speakers support, equalizing all speakers at the same time or equalizing per speaker or combinations of speakers
  • per slider the filter frequency, dB gain, filter quality can be set/changed (depending on the chosen filter)
  • filters: peak (default), low/high pass, low/high shelf, band pass, notch (band elimination) and all pass (phase shifting)
  • pre amplifying dB values for volume control per speaker and overall
  • pre amplifying slider window; for easy access, can be sized and positioned for instance on the taskbar
  • graph window to show a graph of the equalization per speaker
  • apply effects like crossfeed and duophonic on the effects panel
  • make, save and use your own equalizer configuration (preset)
  • attach a hotkey to your configuration to activate it quickly within other software (a game for example)
  • activating a saved setting by 1 click, attached hotkey, by Windows tray or desktop shortcut (icon)
  • minimize to tray: select a configuration through tray, mute audio and change main pre amplifying
  • your can choose a specific device to equalize
  • play around by expanding, compressing, shifting the sliders through buttons
  • audio can be muted by clicking or hotkey if you set it up
  • the equalizer can be switched on and off
  • still enter Equalizer APO commands in a separate window with support like examples and testing
  • a midi controller can be used to control the most imporant Peace features
  • automation: you can let Peace automatically activate a configuration (equalization, etc.) when a program starts or a device is selected
  • through the settings window you can change the behaviour and look
  • themes can be chosen, made and posted on the Peace website
  • language support: English, Czech, 简体中文, 繁體中文, Deutsch, Español, Français, Italiano, Nederlands, Português, Pусский, Türkçe, Українська
As said besides all of this you can enter your own Equalizer APO commands in the Commands window, which can be executed before and after the Peace commands. In the commands window you can test the entered commands. The commands are saved with your equalizer configuration.


Does Peace contain a virus?

I've written Peace in AutoIt, which is an easy to use programming language. You can quickly build graphical user interfaces and have easy access to a lot of Windows stuff to make your program. For building utilities like Peace it's by far the easiest programming language, I came across. Far easier than c++ for instance. And you don't have to rely on libraries such as .Net which has to be installed if not available on your computer.

Because you can also make key macros with AutoIt, it's used for automating other software including Windows itself. You could make, in theory, game cheaters and perhaps, I'm not sure of this, viruses. Then again with other programming languages like c++ you can make far more dangerous viruses altogether.

Sometimes virus scanners detect viruses in software made with AutoIt. Most of these, if not all, are false positives. But looking at the nature of AutoIt I can understand these false positives. I have uninstalled Avast which I was using for years because it kept on popping up false positives. There's no way to stop this because of a bug in Avast. Perhaps by now it has been resolved. Anyway, most antivirus software manufacturers aren't easy to address on their false positives. They are reluctant. It harms the good reputation of a particular brand. So be aware that not only false positives exists but also malware/viruses may slip through your antivirus software. I tend to use 4 (including Windows Defender) apps.

To check if Peace has a virus I'm using the website of Virus Total and you can too for any app including Peace. I'm uploading every new version to get a result of more than 50 antivirus software vendors which have scanned Peace.exe and PeaceSetup.exe, the setup tool. The results are on the Peace forum in a dedicated post on false positives. Regularly some vendors like Symantec or McAfee think that Peace has a virus. I guess, their policy is better safe than sorry. If a false positive occurs I'll try to get Peace.exe on their whitelists. This is a difficult task. And be aware that paying for antivirus software doesn't give more safety. In general paying says nothing of the antivirus capabilities you're getting. I'm using free antivirus software (Avira, Malware Bytes Antimalware and Superantispyware) which are as good as the paid ones. And using them together they're much better.

So, in short, Peace doesn't contain a virus but your virus scanner might say it does. Different Peace versions give different false positives at different vendors. If you aren't sure of my software, I only can advise to not use it.


Translating Peace

Warning: Before changing an existing language file be sure to make a copy of it. For instance, you want to correct the English language file, copy English.plf to EnglishCorrected.plf or any other name that isn't an used language name and select this language file in the Translation window. A language file for copying is only available when Peace is running.

If you feel the need to make a translation of Peace then you might use the Translation window located under the Translate button of the Settings window. Of course instead you could use a simple text editor for creating/changing a language file. Don't use a word processor like Word.

The Translation window helps you translate all text lines of the program. It has 3 parts:

  1. Left list of text lines: the language you want to translate.
  2. Right list of text lines: the text you have already translated.
  3. Top 2 text boxes: the current text line you are translating.

So this how it works:

  • First create an empty language file for your new translations to your language: Click the New button and give a language name.
  • Select in the left list the language you want to use for your translation: Click the drop-down box above the list and choose a language.
  • Choose in the left list a text line you want to translate: Click on a line and click the (empty) input box above.

The original text line is shown in gray. Your translation can be entered in the empty white field below the original text line. Every entered text line is immediately written to your new language file.

translated text line

After you have entered the new text line you go on to the next translation by clicking on the (next) text line in the left list. The previous translated text line in the white box is automatically saved. It shows up in the right list as shown in below image.

translated text line saved


Release notes

Version 1.6.6.6 released 2023-12-25

  • bug: when starting minimized to tray as a setting Peace was hiding the interface when switching to another configuration
  • manual: for all reference to graphic eq "convolution by filtering" has been added
  • manual: some overall text improvements

Version 1.6.5.7 released 2023-12-24

  • added: optional balance slider on main interface, enabled on the Effects panel
  • added: optional bass slider on main interface, enabled on the Effects panel
  • added: optional treble slider on main interface, enabled on the Effects panel
  • added: tray: tray icon becomes greyed out when Peace is switched off
  • added: tray: switch Peace on/off menu item
  • added: peak value can be shown on the Peace taskbar icon
  • added: low and high shelf filter with corner frequency and Q as slope (Equalizer APO 1.2.1 and higher)
  • added: new shortcut interface under the Shortcut button for shortcuts on desktop and Windows start menu
  • improved: any change on the interfaces will result into a save action (after max 2 seconds) of the current configuration instead of only saving all changes after closing Peace
  • deleted: now unneeded automatic saving configuration at Windows shutdown
  • improved: the message box that pops up after starting Peace for the first time, now includes a help button which shows the corresponding chapter of the manual
  • improved: the resolving of audio devices
  • improved: AutoEQ interface: updated equalizations of Jaakko Pasanen's AutoEQ project incorporated
  • improved: AutoEQ interface: updated equalizations of Ian Walton's forked AutoEQ project incorporated
  • improved: midi panel: the "Use delta" feature now uses the total delta value of a midi rotary knob
  • improved: for importing a file, the resolution increased to one hundredth of a Hz and dB for frequencies and gains
  • improved: when Peace is running starting a new Peace instance will pop up the interface of the running Peace
  • improved: when Peace is minimized to the configurations list 2 buttons are added: a to tray button and a close Peace button
  • improved: when Peace is already starting up at Windows startup by clicking the "Startup" button the Peace startup can be stopped
  • improved: weird 'fade in' effect on Windows 11 prevented the hearing of short sounds. A workaround is implemented: silence played for 200 ms before every sound
  • changed: default volume of notification sounds as set in hotkey settings and automation settings is lowered (for new users only)
  • added: translation window: search feature to find source text line for translating
  • improved: translation window: the check translations report (Check button) now also reports empty translation lines
  • improved: translation window: user can't by accident edit a language which is incorporated in Peace
  • changed: popup message when Windows was updated
  • improved: some tooltips were corrected and improved (thanks Lubomír Hubatka)
  • added: Serbian translations has been added (Thanks Ivan)
  • improved: Czech translations has been added, checked and improved (thanks Lubomír Hubatka)
  • bug: right side of balance image on balance on-screen display wasn't white
  • bug: Equalizer APO's GraphicEQ command couldn't no longer be imported due to changes in 1.6.3.6
  • bug: graphical equalizers sometimes disappeared after sleeping mode
  • bug: a forward slash could be entered in the configuration name
  • bug: AutoEQ interface: the Equalizer APO commands for the fixed band were incorrectly defined
  • bug: AutoEQ interface: when creating an Equalizer APO commands file, file wasn't replaced and the commands were added to an existing file
  • manual: improved and added features described
  • manual: 'Windows issue' chapter improved
  • manual: 'Start Peace for the first' chapter improved
  • manual: Graphic EQ is now renamed to convolution equalization as that's what actually is being done to the audio. The corresponding chapter has been rewritten and includes the needed description of the convolution distortion issue.
  • added: Peace website: Configurations: 3 Way Crossover
  • added: Peace website: Configurations for headphones: Sennheiser HD 820 closed (by Brent)
  • added: Peace website: Configurations for headphones: Audeze LCD-X 2021 v1 (by Jonne Haven)
  • added: Peace website: Configurations for headphones: Audeze LCD-XC 2021 (by Jonne Haven)
  • added: Peace website: Configurations for headphones: Beyerdynamic DT1990 Pro Analytical Pads (By Jonne Haven)
  • added: Peace website: Configurations for headphones: Beyerdynamic DT770 Pro 32 Ohm (by Jonne Haven)
  • added: Peace website: Configurations for headphones: Focal Stellia (by Jonne Haven)
  • added: Peace website: Configurations for headphones: Creative Pebble V1 2.0 Speakers (Acoustic-Electronic, WellBeSerious)
  • added: Peace website: Configurations for headphones: Creative Pebble V1 2.0 Speakers (Gothic, WellBeSerious)
  • added: Peace website: Configurations for headphones: LyxPro HAS-30 Headphones (by WellBeSerious)
  • added: Peace website: Configurations for headphones: SteelSeries Arctis 3 2019 Headset (by WellBeSerious)
  • added: Peace website: Configurations for headphones: Yamaha YST-M101 2.0 Speakers (by WellBeSerious)
  • improved: Peace website: themes: Vaporwave theme: search images added
  • added: Peace YouTube: tutorial 22 Adding Equalizer APO commands

Version 1.6.4.1 released 2023-02-07

  • changed: popup question to overwrite config.txt is back as this file contains an example after installation of Equalizer APO which should be deleted
  • added: midi panel: for a controller link positions can be used instead of the default continuous value setup
  • added: midi panel: a controller link can be disabled
  • added: midi panel: toggle for the equalizer and effects switch
  • added: midi panel: toggle for muting/unmuting main volume
  • added: midi panel: name of current loaded midi settings file is shown in title bar of the midi panel
  • added: midi panel: next and previous buttons to load next/previous midi settings file
  • added: midi panel: load next and previous midi settings file Peace feature for changing midi settings files through midi device
  • improved: midi panel: controller link lists is now wider to show all info on the controller links
  • improved: midi panel: the controller link fields like minimum and maximum values are disabled when switching midi off
  • improved: on-screen display: more than 1 midi controller link can be shown
  • improved: on-screen display: when Peace is switched off an 'off' message is given in front of all controller messages. This to indicate that the change isn't invoked as Peace is off
  • improved: on-screen display: when Peace is switched off the disabled color is used for controller message values. This to indicate that the change isn't invoked as Peace is off
  • improved: French translations has been added and (thanks Jose de la Mancha)
  • improved: Spanish translations has been added (thanks Jose de la Mancha)
  • manual: new midi link features explained in midi panel chapter

Version 1.6.3.6 released 2022-12-29

  • added: midi panel: new midi interface to enable to control Peace features with controllers and keys on a midi interface and keyboard (idea by Jose de la Mancha)
  • added: AutoEQ interface: besides Jaakko Pasanen the results found on Ian's Walton forked AutoEQ project are also available (targets IEF and IEF with bass)
  • added: when switching on or off the equalizer by hotkey an 'on' and an 'off' sound can be played
  • added: all configurations, default and user ones, will be backed up at exiting Peace
  • improved: when selecting another configuration the main window is built more efficient making it pop up faster
  • improved: no longer the "Overwrite config.txt" popup question at first startup of Peace. The "Include: peace.txt" is just added to make Peace do its thing
  • improved: Restart item of tray menu place above the Configurations item
  • improved: an audacity curve will also be imported although only as Graphic EQ
  • improved: graph window: the (un)checking of the "Add pre amplifying" and "Add bass and treble settings" checkboxes only refreshes the graph so no writing to Equalizer APO is done
  • improved: a filter file of Equalizer APO version 1.3 and higher containing biquad filters without a filter numbers can also be imported
  • improved: graphic eq button renamed to GEQ to clear the misunderstanding of 'enabling eq'
  • improved: automatically changing the sliders width to get all sliders on screen. This feature now shows the higher frequencies correctly
  • improved: balance on screen display: also shows balance value -1 to 1
  • improved: balance on screen display: font size according to width of balance image, larger image -> larger font
  • improved: balance on screen display: balance image has been enlarged
  • improved: balance on screen display: balance image now following introduced (modern) theme of version 1.6.2.6
  • added: settings: width of configurations list can now be set between 100 and 900 pixels
  • changed: settings: minimum configuration list height set to 155 pixels to accommodate midi button
  • added: Portugese translations has been added (thanks Marco Maia)
  • improved: French translations has been added and improved (thanks Mideas and Jose de la Mancha)
  • improved: Spanish translations has been added (thanks Jose de la Mancha)
  • bug: for sample rates of audio devices higher than 65536 the graph wasn't drawn correctly at higher frequencies
  • bug: showing an incorrect tooltip on the copy speaker button when loading another configuration. Peace might even crash when the copy speaker doesn't exist in the selected configuration
  • bug: Peace crashed after opening the headphones and hearing test interface for the second time
  • bug: Peace control WM_APP+6 treble frequency: was limited to 1 to 10000 Hz, must be 500 to 20000 Hz
  • bug: Peace control WM_APP+6 crossfeed value: couldn't go to minimum and maximum
  • bug: when calculating the needed width of the main interface the wrong resolution of a multiple monitor setup could be used
  • bug: when saving a configuration under a new name and with a hotkey, this hotkey was also applied to the current selected configuration
  • manual: chapter on the AutoEQ interface changed to add Ian's Walton AutoEQ project
  • manual: chapter added for midi panel
  • manual: chapter on device selection added to The basics chapter, to clarify why a device should be selected
  • manual: improved and added features described
  • added: Peace website: Configurations for headphones: Beyerdynamic DT880 600 Ohm (by Manuel)
  • added: Peace website: midi setting files: Alesis VI61
  • added: Peace website: midi setting files: M-Audio Oxygen 49
  • added: Peace website: midi setting files: Novation LaunchKey Mini
  • improved: Peace website: themes: Vaporwave theme: graphic eq button
  • improved: Peace website: themes: Vaporwave theme: robot button images made clearer
  • improved: Peace website: themes: Vaporwave theme: on-screen display colors added
  • improved: Peace website: themes: Dark theme 1 and 2: on-screen display colors added
  • added: Peace YouTube: tutorial 21 Slider options

Version 1.6.2.6 released 2022-06-26

  • added: AutoEQ interface for selecting an equalization of a specific headphones brand and type from the AutoEQ database by Jaakko Pasanen
  • added: a speaker (combi) can be disabled and enabled by right clicking on it or by clicking the activate/deactivate button. Disabling will deactivate the equalizer for that speaker (combi)
  • improved: at a large amount of sliders like 31, Peace tries to fit all sliders on the screen preventing the need for a scroll bar
  • improved: pre amplifying slider of the Peace tray menu now has a mute/unmute checkbox and the dB value is shown
  • added: ability to play a sound when changing the pre amplifying
  • improved: sounds shortened to accomodate playing a sound at pre amplifying change
  • improved: Peace can now be started using your default configuration
  • added: export window: a new window to export to Audacity where from version 2.4.4 it's possible to export for the available 2 EQ effects
  • added: graph window: using and showing the current default audio device in Windows if "All devices" is selected in the Peace devices list. Else the current selected device in Peace is used
  • improved: configuration icon (except mute state) is also shown in top left corner of main Peace window overwriting the default Peace icon
  • improved: for 64 bit version: configuration icon (except mute state) is shown on the Windows taskbar overwriting the default Peace icon
  • added: item to overwrite the default behaviour of hiding the Peace interfaces at a configuration selection through the tray menu
  • added: audio devices panel item in tray menu for popping up the Windows audio devices panel
  • added: Configurator item in tray menu for popping up the Configurator of Equalizer APO
  • added: Restart item in tray menu for restarting Peace, for instance to refresh the configurations list
  • added: when set to pop up a pre amplifying slider at the tray (see setting below), the dB value is shown when hovering above tray icon
  • added: feature to choose a sound file for all notification sounds: pre amplifying change and (automated) configuration switch/activation
  • improved: after dragging a graph handle and closing the graph window the corresponding slider color will be reset correctly
  • improved: number input for all input boxes like frequency and gain
  • changed: theme for buttons, etc. updated to a better match on Windows 10 and 11. Former theme available as 'Classic' on the Peace website
  • improved: settings: the showing and hiding of settings improved
  • added: settings: a setting to be able to pop up a pre amplifying slider when left clicking on the Peace tray icon
  • added: settings: play a selected sound when using the pre amplifying hotkeys and when using the mouse on a pre amplifying slider
  • added: settings: briefly show the pre amplifying when changing it by hotkeys
  • added: settings: allow dangerous frequencies above 22050 Hz which may cause high volume distortion. Equalizer APO (or Windows?) has an issue when using frequencies above 22050 or halve the sample rate of the selected audio device
  • added: Chinese simplied and traditional (Thanks pchun)
  • improved: Czech translations has been added, checked and improved (thanks Lubomír Hubatka)
  • improved: Ukrainian translations has been added, checked and improved (thanks Kostya)
  • improved: Spanish translations has been added, checked and improved (thanks Rodrigo)
  • bug: some corrections in the several language .plf files of wrong $ sign entering
  • bug: shortcut and export buttons on main window were cut off at a small width due to a small number of sliders
  • bug: background of slider frequency and gain input fields turned grey when using a slider
  • manual: new AutoEQ interface explained
  • manual: new export window explained
  • manual: paragraph added containing an example of having a mic and headphones configuration active at the same time
  • manual: chapter on equalizing a speaker improved
  • manual: new chapter on ways of starting Peace
  • manual: improved appearance of setting pages
  • manual: description added of new tray menu items
  • manual: more configurations section improved
  • manual: improved and added features described
  • improved: Peace website: themes: new version 1.3 of retro modern theme by Lubomír Hubatka
  • improved: Peace website: themes: vaporwave theme
  • added: Peace website: themes: classic theme of Peace versions 1.6.1.2 and earlier
  • added: Peace website: Configurations: Equalizer 15 Band with HPF and LPF
  • added: Peace website: Configurations for headphones: Beyerdynamic DTX 910 (by Roadranger)
  • added: Peace website: Configurations for headphones: Koss UR20 (by Roadranger)
  • added: Peace website: Configurations for headphones: Koss PortaPro (by Roadranger)
  • added: Peace website: Configurations for headphones: Koss PortaPro with Yaxi Pads (by Roadranger)
  • added: Peace website: Configurations for headphones: HiFiMan HE-400SE (by Roadranger)
  • added: Peace YouTube: tutorial 18 Save options for a configuration
  • added: Peace YouTube: tutorial 19 Exporting to Audacity
  • added: Peace YouTube: tutorial 20 Easy equalizing - The AutoEQ Interface

Version 1.6.1.2 released 2021-11-08

  • improved: effects panel: the channels routing table has been enlarged a bit to make it easier to use and read
  • added: effects panel: channels routing window for entering amplifying factors of channels
  • improved: at importing more filters than the current number of sliders on screen Peace will pop up a warning message
  • improved: position of configuration hotkey window is now saved and restored
  • improved: position of the headphones and hearing test window and use test result window is now saved and restored
  • improved: descriptions of trace logging
  • improved: settings: for Windows 10 and 11 the audio service restart button includes the needed restarting of the audio endpoint service
  • improved: Peace Setup tool: Install tab: A note added to set "SFX/EFX" for Windows 10 and 11. Clicking on it brings you to a "how to"
  • bug: when importing a filter file and choosing "No" in the next popup question would crash Peace
  • bug: when adding a new speaker and clicking the "Copy speaker" button would crash Peace
  • bug: settings: unchecking the "Remember window positions" checkbox would "freeze" main interface
  • manual: section added for explaining the new channels routing window
  • manual: sub section added to the importing filters section to explain how the replacing or adding of filters at import works
  • manual: Windows 10 and 11 issues section improved
  • manual: references to Windows 11 added
  • manual: some minor improvements

Version 1.6.0.5 released 2021-09-24

  • added: multi-channel peak value meter including clipping indicators
  • added: new peak value meter themes including one for color impaired/blindness (ThemePeakMeterBlackWhite)
  • improved: the prevent clipping feature only applies when the equalizer is switched preventing the ineffective lowering of the pre amp when switched off
  • improved: a theme may include the background and knob color of each individual slider. The knob color can only be colored when using a graphical knob
  • improved: for lower frequencies 1 decimal can be entered
  • improved: adjustment of a gain and frequency in the graph is a little bit more responsive
  • improved: tooltips appear faster and longer. These times can be set in the settings
  • improved: better detection of which VoiceMeeter version is installed (for showing the right amount of virtual A# devices)
  • added: controlling Peace from within other apps like RainMeter (by plugin) by using the window messages WM_APP
  • added: example (test) app for controlling Peace programmed in AutoIt
  • added: Peace control WM_APP: Main actions: get program state, close Peace, go to interface, go to settings
  • added: Peace control WM_APP+1: Interface actions: show/hide, toggle, get state, minimize, normalize, toggle minimize, get minimize state
  • added: Peace control WM_APP+1: Configurations list actions: set short/long list, toggle length, get length state
  • added: Peace control WM_APP+2: Configuration switch actions: switch by id, save current configuration, set/get id current configuration
  • added: Peace control WM_COPYDATA: Configuration switch actions: switch by name, save configuration as
  • added: Peace control WM_APP+2: Hotkey/tray configuration actions: switch on/off, toggle switching on/off, get switch state
  • added: Peace control WM_APP+3: Equalizer actions: on/off, toggle, get state
  • added: Peace control WM_APP+4: Default audio device volume actions (Windows volume slider): set in %, add delta in %, get in %, get peak value in %
  • added: Peace control WM_APP+4: Default audio device mute actions: mute/unmute, toggle muting, get mute state
  • added: Peace control WM_APP+4: Default audio device peak value meters actions: get channel count, show/hide, toggle, get show/hide state
  • added: Peace control WM_APP+5: Main pre amplifying actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
  • added: Peace control WM_APP+5: Main pre amplifying mute actions: mute/unmute, toggle muting, get mute state
  • added: Peace control WM_APP+6: Effects panel actions: show/hide, toggle, get state
  • added: Peace control WM_APP+6: Effects panel bass actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
  • added: Peace control WM_APP+6: Effects panel bass frequency actions: set in Hz, add delta in Hz, get in Hz
  • added: Peace control WM_APP+6: Effects panel bass target actions: apply to all speakers, apply to subwoofer, toggle apply, get apply
  • added: Peace control WM_APP+6: Effects panel treble gain actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
  • added: Peace control WM_APP+6: Effects panel treble frequency actions: set in Hz, add delta in Hz, get in Hz
  • added: Peace control WM_APP+6: Effects panel upmix actions: off, on not center, on, toggle, get, detect way, always way, toggle way, get way
  • added: Peace control WM_APP+6: Effects panel downmix actions: off, 5.1, 7.1, toggle, get, complex way, simple way, toggle way, get way
  • added: Peace control WM_APP+6: Effects panel crossfeed actions: set multiply by 1000, set delta multiply by 1000, get divide by 1000
  • added: Peace control WM_APP+6: Effects panel crossfeed simulation actions: off, Chu Moy, Jan Meier, Toggle simulation, Get simulation
  • added: Peace control WM_APP+7: Audio device actions: set to all devices, start Configurator
  • added: Peace control WM_COPYDATA: Audio device actions: Select by name (part) or GUID
  • added: Peace control WM_APP+20: Speaker (combi) actions: set speaker (combi), get speaker (combi)
  • added: Peace control WM_APP+20: Set speakers of speaker (combi) actions: speaker on/off (left, right, sub, etc.), get speaker state (left, right, sub, etc.)
  • added: Peace control WM_APP+21: Pre amplifying speaker (combi) actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
  • added: Peace control WM_APP+22: All sliders gain actions: set all in dB or milli dB, add all delta in dB or milli dB, expand, compress
  • added: Peace control WM_APP+22: All sliders qualities actions: set all multiplied by 1000, add all delta multiplied by 1000
  • added: Peace control WM_APP+22: All sliders filters actions: set all, use filters or Graphic EQ, toggle usage, get usage, get number of sliders, add/remove slider
  • added: Peace control WM_APP+100+Slider no: Slider gain actions: set in dB or milli dB, add delta in dB or milli dB, get in dB or milli dB
  • added: Peace control WM_APP+100+Slider no: Slider frequency actions: set in Hz, add delta in Hz, get in Hz
  • added: Peace control WM_APP+100+Slider no: Slider quality actions: set multiply by 1000, add delta multiply by 1000, get divide by 1000
  • added: Peace control WM_APP+100+Slider no: Slider on/off and filter actions: slider on/off, get slider on/off, set filter by no, get filter no
  • improved: automation window: tooltips added on the sound selection dropdown boxes
  • added: settings: time for showing tooltips and initial pause for showing tooltips
  • improved: Czech translations has been added and improved (thanks Lubomír Hubatka)
  • improved: Russian translations has been added, checked and improved (thanks Игорь (Igor))
  • improved: French translations has been checked and improved (thanks Jérémy)
  • improved: Spanish translations has been checked and improved (thanks Rodrigo)
  • improved: Peace Setup tool: Uninstall tab: at uninstallation all Peace links on the desktop are removed
  • improved: Peace Setup tool: Uninstall tab: at uninstallation Peace start link in Windows startup menu is removed
  • improved: Peace Setup tool: Basic settings tab: if the selected Peace configuration to install exists and confirmation question will pop up to overwrite it
  • bug: switching to configuration by tray while pre amplifying was muted left this muted state on instead of unmuting
  • bug: switching to configuration and pre amplifying by tray made minimized window (configurations only list) behave inconsistent
  • bug: a very high or very low gain for applying to all sliders could be applied exceeding the set dB limit
  • bug: graphical sliders were sometimes drawn on minimized window (configurations list only), for instance when popping out of tray
  • bug: effects panel wasn't refreshed after a tray configuration switch was performed
  • bug: when using graphical sliders and a scroll bar is used on a large sliders setup these graphic sliders weren't redrawn
  • bug: when adding a slider only the first speaker combi (all) got a base frequency of 1000 Hz
  • bug: wrong tooltip for the label part of the Inverse measurement graph checkbox on the graph window
  • bug: no tooltip for measurement graph color
  • bug: wrong channel mentioned on the channel delay sliders tooltips of the surround effect panel
  • manual: section added explaining peace.txt and config.txt files
  • manual: chapter added explaining how to control Peace
  • manual: minor textual improvements
  • added: Peace website: themes: theme in the vaporwave art style (created by Jonathan)
  • added: Peace website: themes: 8 peak values meters themes, mostly colored bars and rectangles meters
  • added: Peace website: themes: theme of 2 alternating slider background colors to be used with a dark theme like ThemeDark01
  • added: Peace website: themes: theme of 2 alternating slider background colors to be used on a default Windows 10 background
  • changed: Peace website: themes: switch background rounded for ThemeDark02
  • improved: Peace website: themes: a short instruction is added to the readme.txt files of all themes
  • improved: Peace website: themes: all themes now have a small description in readme.txt
  • added: Peace YouTube: tutorial 17 Installing Equalizer APO the proper way
  • added: Peace YouTube: tutorial 16 Peace menu in Windows system tray

Version 1.5.9.1 released 2021-02-26

  • added: configuration hotkey window: the following characters can now also be used as hotkeys [ ] \ / - = . , ; ' `
  • added: save window: configuration hotkey can also be selected there
  • bug: pre amplifying of a configuration wasn't activated when switched by configuration hotkey if Peace was in tray

Version 1.5.8.0 released 2021-02-25

  • improved: configuration hotkeys can now be selected from a dropdown box
  • added: function keys F1 to F12 and numpad keys can also be used as configuration hotkeys
  • bug: when using pre amps with decimals Peace might frees up
  • manual: explanation for the new configuration hotkeys window
  • added: Peace website: Configurations: Ultrasound Cut-off Filter 20 kHz to eliminate possible issues of ultrasound above 20 kHz

Version 1.5.7.0 released 2021-02-22

  • added: settings: hotkeys: numpad keys have been added (numlock must be on). However 2 numpad keys can't be used: enter and .
  • added: settings: sliders hotkeys: numpad keys have been added
  • added: effects panel: for upmixing a switch is added which enables that upmixing is always done. By default when a stereo input is detected, an upmix is performed
  • bug: when hiding Peace in tray and switching to another configuration by Peace system tray menu, this configuration wasn't activated
  • bug: when hiding Peace in tray and switching to another configuration by Peace system tray menu, the pre amp slider of the tray menu and the deattached pre amp slider weren't refreshed

Version 1.5.6.4 released 2021-02-21

  • improved: the upmix effect is only done when the input is stereo (when upmixing is needed)
  • changed: the upmix effect is now done before the reversing and routing of channels
  • improved: when using the 64 bit Peace version the Startup button in the settings will created a startup menu link which starts the 64 bit version
  • removed: non-immediate action of sliders. All sliders will exclusively immediately change the audio
  • improved: better response on graphical sliders when the graph must be refreshed according to slider movement
  • improved: on Windows 10 sliders on all interfaces now have a scrollwheel action for which scrollwheel up is moving the slider knob to the right (was to the left) for a more natural experience
  • improved: scrollwheel action on slider is now possible for the tray pre amplifying slider and the detached pre amplifying slider
  • changed: effects panel: the stereo and spatial shift knobs are renamed to delay knobs as they don't shift but delay
  • changed: Headphones and Hearing Test configuration can be deleted to ensure the selection of it for the test interface
  • added: test interface: selection dropdown box for matching an equal-loudness contour of a certain Phon
  • added: test interface: graph to see what needs to be equalized after doing a test. This can be shown by checking the "Difference to equalize" checkbox
  • changed: test interface: the resolution of the noise and sine sliders has been lowered from 1 dB to 0.5
  • improved: test interface: using the mousewheel on the noise and sine sliders will conform the resolution of 0.5 instead of the Windows 10 default value
  • improved: test interface: the creation options on the "Use test result for equalization" window are preselected according to the ears selection on the test window
  • improved: effects panel: the stereo and spatial delay knobs are now exponential in nature. A small mouse movement will cause a tiny increase/decrease, a large a huge increase/decrease
  • added: settings: hotkeys: F12 has been added
  • added: settings: hotkeys: numlock, scrolllock, capslock has been added. These keys may be used without the Shift, Ctrl and Alt keys
  • added: settings: scrollwheel action on slider for controlling sound volume of a configuration switch by hotkey
  • added: automation window: scrollwheel action on slider for controlling sound volume of a configuration switch by automation
  • improved: appearance settings: scrollwheel action on knob size and color sliders is immediately processed
  • improved: graph window: the gain of the bass and treble settings on the Effects panel can be added to the graph
  • improved: graph window: maximum gain of the graph is shown in top right corner
  • improved: graph window: faster drawing of graph
  • added: surround effect panel: link to the stereo to 7.1 converter (surround effect) project by Александр Громов (Alex Gromov) on SourceForge
  • improved: Czech translations has been added and improved (thanks Lubomír Hubatka)
  • improved: Ukrainian translations has been added, checked and improved (thanks Kostya)
  • improved: French translations has been improved (thanks Jérémy)
  • improved: Spanish translations has been checked and improved (thanks Rodrigo)
  • improved: Italian translation for the "Start minimized to tray, don't show interface" checkbox (Thanks Domenico). The translation was opposite to the English description
  • improved: default configuration: Equalizer One Third Octave has a tooltip saying "31 sliders equalizer using peak filters" (only visible at a new installation)
  • improved: default configuration: Headphones and Hearing Test now has 1 kHz for testing (only visible at a new installation)
  • bug: mute state (of the pre amp) wasn't reflected any longer in the Windows tray icon
  • bug: when using balance hotkeys Peace would crash if the Effects panel wasn't opened once on every configuration switch
  • bug: the delay sliders for the surround effect were numbered from 0 to 7 instead of 1 to 8
  • bug: test interface: clicking Remove button for removing the comparison test didn't refresh the graph
  • manual: in surround effect section a link is added to the stereo to 7.1 converter (surround effect) project by Александр Громов (Alex Gromov) on SourceForge
  • manual: headphones & hearing section changed and improved
  • manual: using a test result changed
  • manual: a new chapter added for having 2 or more eq configurations active at the same time
  • manual: effect panel section improved
  • manual: a section added explaining the filter abbreviations of the Equalizer APO filter command which Peace uses for its filters for the equalizer
  • manual: surround effect section improved
  • manual: minor textual improvements
  • added: Peace website: Configurations: Headphones and Hearing Test (added 1 kHz for testing)
  • added: Peace website: Configurations for headphones: Sony MDR-7506 improved version (by Shawn Thuris)
  • added: Peace website: Configurations: Equalizer 93 sliders
  • added: Peace YouTube: tutorial 15 Difference between Windows volume & Pre amplifying

Version 1.5.5.5 released 2020-09-09

  • added: test interface to determine the weak and strong frequencies of one's hearing and/or headphones. A test result can be converted to an equalization
  • added: low/high shelf filters with Q for slope (Equalizer APO 1.2.1 and higher)
  • added: importing low/high shelf filters with Q
  • added: surround effect panel for with knobs and sliders for a surround effect created Александр Громов (Alex Gromov)
  • improved: refresh speed of main Peace window when selecting another configuration
  • improved: the prevent clipping function only applies for device where Equalizer APO is installed on
  • improved: the prevent clipping function only dials back the pre amplifying slider if the selected device is an output device
  • improved: import file name stays on open import file dialogue
  • improved: measurement file stays on open measurement file dialogue
  • improved: graphic overlay file stays on open graphic overlay file dialogue
  • improved: the speaker list shows more accurately (by a * sign) if a speaker has been equalized
  • added: Peace translated into Turkish (thanks Mustafa Buğbul)
  • added: Peace translated into Spanish (thanks Alejandro)
  • changed: effects panel: knobs rearranged by order of usage, lines removed, more effects button removed
  • improved: effects panel: downmixing can be done complex or simple
  • improved: effects panel: a few French translations weren't added or correctly translated
  • added: default configuration: Equalizer 5 Band configuration for a small 5 band (sliders) equalizer
  • added: default configuration: Bass Boost 2, High Boost 2 and Bass and High Boost 2, all using shelf filters
  • added: default configuration: Surround effect configuration (with the default parameters set on the surround effect panel)
  • added: default configuration: Voice configuration to boost low part of voice(s)
  • added: default configuration: Left on Right channel configuration to get left audio signal onto the empty right channel
  • added: default configuration: Headphones and Hearing Test which holds specific frequencies for the test interface
  • added: slider properties: edit window for properties for each individual slider. Ctrl + Right mouse click on a slider to open this window
  • improved: slider properties: tooltip texts (frequency, gain and quality) can be given for each individual slider
  • improved: slider properties: background color and knob color for each individual slider can be set
  • improved: small description added to configurations: Bass Boost, High Boost, Bass & High Boost and Graphic EQ
  • improved: English speaker descriptions of configurations removed in favor for local language: BlueTooth #, Classic, Radio, Rock, Telephone, Vocal and Voice
  • improved: Frequencies and quality values added for all speakers for configurations: BlueTooth #, Classic, Radio, Rock, Telephone, Vocal and Voice
  • added: possible password entry at startup to protect unauthorized program usage
  • improved: filter selection is easier as a filter image is accompanied by its name
  • improved: escape key can be pressed to hide filter selection popup
  • improved: when Windows is shutting down current configuration is saved
  • improved: the configuration icons of a theme are now also shown on the configuration save window
  • improved: one more icon added to choose from on the save screen
  • improved: on the hotkey enter popup only 1 character can be entered
  • changed: in language files: sentences split over 2 lines are now combined on 1 line
  • improved: settings: Windows build number is shown at the checkbox "Show Windows is updated" on General tab
  • improved: appearance settings: Save as theme and Read theme buttons are widened to allow for larger button labels
  • changed: upmix example: if statement with variable inputChannelCount removed as it doesn't work for detecting a stereo signal
  • bug: tray icon wasn't refreshed when automating a configuration with its own icon
  • bug: when switching by tray to a configuration with its own icon, this icon wasn't displayed on the tray message
  • bug: when closing Windows whilst Peace is running the current selected configuration by tray menu wasn't reselected
  • bug: when using graphical sliders and manually entering a dB value, the corresponding slider wasn't refreshed
  • bug: when using graphical sliders and the main window was minimized closing the effects panel didn't show the sliders when the main window was activated
  • bug: when using colored graphical sliders knobs they weren't colored if positioned to the left or right
  • bug: if slider thumb support tick was disabled it was still shown when using Graphic EQ
  • bug: when moving selected slider to the left or right the slider tooltips weren't moving along
  • bug: the detached pre amplification slider tooltip showed the current speaker (combi). It should always be the first speaker combi "All"
  • bug: anti-clipping tooltip text on graphical pre amp slider should only appear on the first speaker combi "All"
  • bug: incorrect info in tooltip of speaker paste button
  • bug: effects panel button on main window did only show an effect was changed by mousewheel or arrow keys if mouse was moved
  • bug: settings: hotkeys for sliders interface didn't show slider numbers
  • bug: donation window: 2 incorrect tooltips on
  • manual: low/high shelf filter types with Q for slope added in filters chapter
  • manual: explanation of the new surround effect panel
  • manual: some minor textual improvements
  • manual: explanation of the new slider properties window
  • improved: Peace Setup tool: further clarification what to do at installation
  • improved: Peace Setup tool: Start Peace button only appears after installing a Peace version and disappears after an uninstallation
  • improved: Peace Setup tool: message to the right of the Install button has been changed to clarify better what's going on
  • improved: Peace Setup tool: a popup message is given when the 64 bit version was installed. A user can better decide what to do
  • added: Peace website: Configurations for headphones: Sony MDR-7506 (by Shawn Thuris)
  • added: Peace website: Configurations: Equalizer 5 Band, Bass Boost 2, High Boost 2, Bass and High Boost 2, Surround Effect Default, Voice and Left on Right channel, Headphones and Hearing Test
  • added: Peace website: Configurations: iPhone Indoors Recording and iPhone Outdoors Recording
  • added: Peace website: icon themes ThemeIcons01 with 12 number configuration (save) blue icons
  • added: Peace website: icon themes ThemeIcons02 with 12 number configuration (save) black on white icons
  • added: Peace YouTube: tutorial 14 Importing filters & equalizations

Version 1.5.4.3 released 2020-03-08

  • changed: The max frequency is now set to 22050 to prevent major audio issues by Equalizer APO and/or the audio driver. Formerly these issues might cause damage to the speakers.
  • improved: when Peace is already running, it can't be started for a second time. A warning message is being shown
  • added: a small button to the right of the device list for starting the Configurator of Equalizer APO
  • improved: a warning window is shown when Equalizer APO isn't installed onto an audio device
  • improved: at a large number of audio devices the device list shows a scroll bar for scrolling devices
  • improved: an audio device without a name is also processed correctly. A device without a name did occur on someones computer
  • improved: when a main Peace window isn't on a deactivated monitor, it's shown on the main monitor
  • improved: internal slider resolution is set smaller from 0.1 to 0.01 dB, so minimum snapping is now 0.01 dB
  • improved: set background color on Appearance window is also applied to pre amplifying slider windows such as the system tray one
  • added: mono and stereo microphone configurations to the default configurations
  • improved: Italian translations has been checked and improved (thanks Niki)
  • improved: Czech translations has been added and improved (thanks Lubomír Hubatka)
  • improved: German translation
  • improved: settings: folder of configurations can be changed, for instance to documents\peace folder
  • improved: settings: previous set tab doesn't any longer have a distracting focus border
  • improved: donation window: added giving by using a credit card such as Visa and American Express
  • added: Peace Setup tool: Microphone mono, Microphone stereo, Bluetooth Headset 3, Bluetooth Headset 4
  • bug: automation window: wrong device was used when VoiceMeeter was installed
  • bug: pre amplifying volume window: when dragging window size to 0 width, window couldn't be dragged anymore to a size larger than 0
  • bug: when using a band pass filter the target speaker didn't show an asterisk * in front of the speaker name
  • bug: when pasting a speaker onto another one the graphical sliders weren't shown according to the source speaker
  • bug: when using Write all speakers/filters by writing zero's setting a disabled slider was also written to peace.txt
  • manual: explanation of using a microphone in the speakers section
  • manual: some minor textual improvements
  • improved: Peace website: Configuration for speakers: ELAC B5-2 v1 (by NoAudiophile)
  • added: Peace website: Configurations: Microphone mono
  • added: Peace website: Configurations: Microphone stereo
  • added: Peace YouTube: tutorial 13 Automating your configurations

Version 1.5.3.2 released 2019-10-14

  • added: support for Voicemeeter outputs A1 to A5. Note that A4 and A5 aren't supported yet by Equalizer APO
  • improved: more sounds available for audio notification at a configuration change by its hotkey
  • improved: volume of audio notification sound at configuration change by hotkey can be set by volume
  • added: automation window: Activate by hotkey or tray tab for switching configurations on and off with their hotkeys or by system tray menu
  • changed: automation window: window is made wider to accommodate the new tab
  • added: system tray menu: Configurations of Active by hotkey or tray tab for switching configurations on and off
  • added: automation window: settings: sound selection when a configuration is (de)activated by its hotkey
  • added: automation window: settings: sound selection when a configuration is activated by set program startup
  • added: automation window: settings: sound selection when a configuration is activated by set device selection
  • added: automation window: settings: sound volume can be set
  • changed: beeping sounds for configuration change by hotkey are wave files now instead of internal beeps
  • improved: when deleting a configuration if it's on the Activate always tab it's also deleted there
  • improved: when deleting a configuration if it's on the Activate by program startup tab it's also deleted there
  • improved: when deleting a configuration if it's on the Activate by device selection tab it's also deleted there
  • improved: effects panel: simulation of a Chu Moy crossfeed filter improved
  • improved: right clicking on the device list will refresh it
  • improved: Czech translations has been added and improved (thanks Lubomír Hubatka)
  • improved: French translations has been checked and improved (thanks Jeremy)
  • improved: Russian translations has been added, checked and improved (thanks Igor)
  • improved: Ukrainian translations has been added, checked and improved (thanks Kostya)
  • improved: trace log shows all enumerated audio devices
  • improved: settings window: Debugging and Testing tab: "off" removed of "Tracing on/off"
  • bug: writing to Equalizer APO first found GUID when selecting second device with exactly the same name
  • bug: when deleting a configuration and it's an Always active one the Automation button wasn't updated accordingly
  • bug: when going to settings the refreshing interface message window remained on screen
  • bug: settings window: hotkeys: label of balance alt hotkey kept on being visible on other tabs
  • bug: Peace Setup tool: uninstallation tab: text info to go to back up/restore tab partly overwritten by Delete theme checkbox
  • manual: text added for Voicemeeter outputs
  • manual: section added for the Activate by hotkey tab of the automation window
  • manual: textual improvement in several chapters
  • added: Peace website: Configuration for speakers: ELAC B5-2 v1 (by NoAudiophile)
  • added: Peace YouTube: tutorial 8 Microphone (bass) boosting
  • added: Peace YouTube: tutorial 9 Equalizing speakers of a combination of speakers
  • added: Peace YouTube: tutorial 10 Changing the appearance of Peace
  • added: Peace YouTube: tutorial 11 Equalizing one audio device
  • added: Peace YouTube: tutorial 12 Using and setting hotkeys

Version 1.5.2.0 released 2019-07-09

  • improved: audio devices which have no properties aren't included in audio device selection list
  • bug: handling of object interfaces is improved to avoid crashes of Peace

Version 1.5.1.4 released 2019-07-09

  • improved: handling of the audio devices is now by their GUID's (device id's)
  • improved: storage of selected audio device of a configuration is done by its GUID
  • improved: storage of automated devices attached to configurations is done by their GUID's
  • improved: graph window: gain labels at the left of the graph are now right aligned
  • improved: settings window: sliders hotkeys for decreasing can now be a combo of Shift, Control and Alt
  • added: settings window: more general sliders hotkeys such as Enter, Page Up, etc.
  • improved: settings window: far more hotkeys possible for muting/unmuting, show/hide interface, equalizer on/off, pre amplifying and balance
  • improved: settings window: hotkeys: Ctrl key is now correctly named German Str (Steuerungstaste)
  • improved: settings window: hotkeys: Shift key is now correctly named French Maj (Majuscule)
  • improved: settings window: at selecting a configuration switch beep, the newly selected beep is played
  • added: download window: button for showing Peace website on SourceForge
  • improved: Peace Setup tool: installation tab has been reordered to make the install process more obvious
  • improved: Peace Setup tool: at uninstalling the theme can also be uninstalled
  • removed: mode selection window: check if an update is available on website when ticking the Check for newer version checkbox has been removed
  • improved: Czech translations has been added and improved (thanks Lubomír Hubatka)
  • bug: automation window: the configurations on the Always active tab weren't activated
  • bug: automation window: when using a specific device for an Always active configuration the configuration on the main screen also was done on that device when choosing All devices
  • bug: when Peace is in tray, after configuration switch by hotkey a slider hotkey didn't work
  • bug: graph window: when graph window is opened and using a slider with 0 Hz frequency Peace would crash when clicking on the Graphic EQ button
  • bug: graph window: text "Equalizer deactivated" not shown when switching of equalizer during open graph window
  • bug: mode selection window: clicking Check for newer version checkbox could also tick Don't show selection window checkbox
  • bug: Peace Setup tool: Button for going to the Equalizer APO to install it, was hidden if Equalizer APO wasn't installed
  • bug: Peace Setup tool: when Equalizer APO was uninstalled, setup tool still detects it as installed due to not removed registry keys
  • bug: Peace Setup tool: at uninstalling wrong info is given about deleting Peace settings and configurations
  • bug: Peace Setup tool: at uninstalling Peace.chw (manual settings) file wasn't removed
  • manual: text of hotkeys chapter changed and improved
  • manual: sliders hotkeys chapter textually improved
  • general: all versions from 1.3.8.0 and newer have a code signing certificate
  • general: as version 1.2.0.1 is being used by a few users, this version has also a code signing certificate

Version 1.5.0.1 released 2019-06-11

  • improved: after selecting a graph handle the usage of the up or down arrow key will also move the graphical slider thumb
  • improved: device selection is more precise. Peace uses GUID's to select an audio device in the device selection dropdown box
  • added: settings window: hotkeys for sliders. For each slider a hotkey can be set. And one hotkey to reset current slider to 0 dB
  • improved: settings window: interface loop is a bit faster. Settings respond quicker
  • improved: settings window: if changes were made, clicking Cancel button pops up a warning to save
  • improved: settings window: language selection doesn't pop up a non-saving warning if no settings were changed
  • improved: settings window: test beep of configuration switch by hotkey can be set to 1 of 4 possible beeps
  • improved: Italian translations has been checked and improved (thanks Niki)
  • improved: Czech translations has been checked and improved (thanks Lubomír Hubatka)
  • improved: skin is also applied to 'Newer version available'-window and 'Mode selection'-window
  • improved: donation window: Paypal me link drawn in skin link color
  • manual: chapter added for sliders hotkeys
  • manual: textual improvement in several chapters
  • general: code signing certificate added to Peace.exe, Peace64.exe and PeaceSetup.exe. Certification Authority Certum (Asseco)

Version 1.4.9.3 released 2019-05-03

  • added: tray menu item to force Peace to show itself on the main monitor
  • improved: interface loop is a bit faster. Peace responds quicker
  • added: themes: customizing configuration icons by replacing icon files icon*.icon
  • added: commands window: commands input box for Equalizer APO commands which must be processed after device selection
  • added: Ukrainian translations (thanks Kostya)
  • improved: French translations has been added, checked and improved (thanks Jeremy)
  • improved: Czech translations has been added, checked and improved (thanks Lubomír Hubatka)
  • improved: Russian translations has been added, checked and improved (thanks Igor)
  • improved: effects panel: redraw of knobs happens only once when enabled or disabled by other knob resulting in reduced flickering
  • added: commands window: an example is shown in English if it isn't yet translated to selected language
  • added: appearance settings: coloring of link text labels and disabled text labels
  • improved: donate link color visibility improved at different color schemes
  • bug: effects panel: minor visual issue: when echo count was 0 echo delay knob wasn't disabled
  • bug: effects panel: minor visual issue: at enabling/disabling certain knobs resulted in a broken line of the effects panel
  • bug: appearance settings: after selecting a color scheme it wasn't activated
  • manual: text for above added and changed features
  • themes: added on website: 2 dark themes
  • donation: Donate via Paypal is now possible again

Version 1.4.8.6 released 2019-22-01

  • changed: migrated to AutoIt version 3.3.14.5
  • added: detection of a Windows update to warn that Equalizer APO might have stopped working
  • added: Butterworth and Linkwitz-Riley even order filters up to order 100 (brick wall)
  • added: setting filter (slider) off by off button in filter selection window
  • added: themes: Support of themes. You can make a theme (images and appearance settings) and post it on the Peace forum (thanks Lubomír Hubatka)
  • improved: responsiveness of graph on low performance computers
  • changed: list of languages will now be shown in their native tongue (language has to be set again)
  • changed: the term 'Any device' is renamed to 'All devices'
  • added: hotkey for switching the equalizer on and off
  • improved: muting by hotkey or tray menu will no longer need to briefly show the gui to invoke the muting
  • improved: Czech translations has been added, checked and improved (thanks Lubomír Hubatka)
  • added: French translations (thanks Jeremy)
  • added: horizontal scroll bar appears when one or more configuration names are to long to fit in configurations list
  • improved: position of save configuration window is remembered
  • changed: slider thumbs are a bit enlarged to make them less blurry when enlarging
  • improved: added a center line to some slider thumbs for easier reference while sliding
  • improved: disabling a slider: frequency is also disabled
  • changed: all images are reworked in size and appearance
  • changed: PayPal is now the preferred way to give
  • improved: clicking on payment icon will select corresponding payment way in donation window
  • added: appearance settings: save and read buttons to save or read appearance settings from a theme
  • improved: appearance settings: window has been made wider to accommodate more settings
  • improved: appearance settings: the thumbs of the sliders can be positioned at the left, middle (as default) or right on the slider
  • improved: appearance settings: the thumb of the pre amplifying slider can be positioned at the top, middle (as default) or bottom on the slider
  • added: appearance settings: a moving tick can be displayed at the slider thumb while moving it, this to position it more accurately
  • added: appearance settings: color of ticks, 0 tick and moving tick can be altered
  • added: appearance settings: reset button to reset all settings to default values
  • changed: settings window: checkbox 'Show GUI at startup' is now 'Start minimized to tray'
  • improved: settings window: position of settings window is remembered
  • bug: when using GraphicEQ the graph was drawn based upon the order of sliders instead of the order of frequencies
  • bug: when using graphical sliders the pre amplifying knob wasn't correctly rotated
  • bug: when using graphical sliders a slider could still be moved when it was disabled
  • bug: effects panel: labels After and Before of the Equalization stage are wrong. They have to be switched
  • bug: effects panel: swapping of speakers were applied to non-existing front speakers
  • bug: translation window: Peace crashed when leaving the right language selection empty
  • bug: settings window: settings 'Remember window positions' got lost
  • bug: settings window: rectangle lines around 'Affect window width/height' weren't closed on Windows 10
  • bug: appearance settings: help button pointed to wrong manual chapter
  • manual: section on creating, setting and publishing themes
  • manual: text on added appearance settings
  • manual: font size button of manual help viewer is now working. It can be used to enlarge the font of the text
  • manual: textual changes to Windows 10 issues and backing up configurations
  • manual: text for above added and changed features
  • manual: textual improvement in several chapters
  • manual: deleted screenshot images for improved readibility

Version 1.4.7.4 released 2018-08-11

  • bug: Peace crashed when using 31 sliders

Version 1.4.7.3 released 2018-08-11

  • added: graph window: show a speakers/headphones measurement from Room EQ Wizard by importing the exported measurement text file to create an equalization
  • added: graph window: overlay a frequency response image (usually found on the internet) to create an equalization
  • added: a description of a configuration can be entered. It will be show as tooltip when you hover above a configuration in the configurations list
  • added: a donation window so you can support the Peace project
  • changed: the maximum width of the peak value meter is now set to 800 pixels
  • improved: Russian translation has been added, checked and improved (thanks Igor)
  • improved: German translation has been added, checked and improved (thanks Uwe)
  • improved: Italian translation has been added, checked and improved (thanks Niki)
  • improved: at first startup Peace, your language will set if Peace has it
  • changed: language selection list moved to the settings window
  • improved: Room EQ Wizard 5.17 changed to decimal sign export (no longer locale) Peace treats 5.17 and higher as such and previous version as locale
  • improved: closing effects panel, commands window and graph window will always activate main window
  • improved: icon in system tray will be hidden when needed to ensure no selection of a configuration is done inappropriately
  • improved: when the graph is shown and Peace is closed, the next start up will show the graph window so it doesn't hide itself behind the main window
  • improved: from this version on a period . sign can be used in a configuration name. Note that older version aren't capable of reading . signs
  • improved: logging points added for the Peace trace log
  • added: settings window: back up and restore tab for backing up and restoring Peace settings and your configurations to MyDocuments folder
  • changed: settings window: restart Windows audio service button repositioned next to Equalizer APO Configurator button so usage is more clear
  • improved: settings window: text improved of reset settings button
  • bug: new graphical peak value meter wasn't repositioned after scrolling horizontally
  • bug: misalignment of main output volume label when using the graphical peak value meter
  • bug: when automation was set to off the audio device automation was still done
  • bug: issue of not opening manual after changing folder in a file dialogue
  • bug: when canceling save window the selected icon remained selected
  • manual: in the Importing filters chapter Room EQ Wizard 5.17 or higher is recommended
  • manual: show a speakers/headphones measurement explained
  • manual: overlay a frequency response image explained
  • manual: some overall textual improvements
  • added: Peace website: Configuration for earphones: Flares Jet 1 (by Sean O'Neill)
  • changed: Peace website: Configuration for speakers: AudioEngine A2+ v1.0 (by NoAudiophile): description/notes added for tooltip
  • added: Peace website: Configuration for speakers: AudioEngine P4 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Behringer Truth B2031A v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Dayton B652 July 2013 revision v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Dayton B652-AIR October 2014 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Dayton MK402 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: ELAC UB5 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Fluance SX6 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: IK Multimedia iLoudMM v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Infinity Primus P163 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: JBL LSR 305 retard flat v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: KEF Q300 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Logitech z313 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Logitech z623 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Mackie CR3 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: M-Audio AV32 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca Club 3 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca Covo-S v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca MB42 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca MB42x v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca MB42x & PB42x MK II v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Micca MB42x & PB42x MK III v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: OSD AP490 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Pioneer BS-21 LR v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Pioneer BS-22 LR v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Polk Audio OWM3 v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: SVS Prime Bookshelf v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Swan D1010-IV v1.0 (by NoAudiophile)
  • added: Peace website: Configuration for speakers: Wave Crest HVL-1 v1.0 (by NoAudiophile)
  • changed: Peace website: Configuration for speakers: Altec Lansing VS2621 v1 (by AnggaSP): description/notes added for tooltip
  • changed: Peace website: Configuration for speakers: Altec Lansing VS2621 v2 (by AnggaSP): description/notes added for tooltip
  • changed: Peace website: Configuration for headphones: Superlux HD681 EVO + leatherette cushions v2 (by Lubomír): description/notes added for tooltip
  • changed: Peace website: Configuration for speakers: Superlux HD681 EVO (by AnggaSP): description/notes added for tooltip
  • changed: Peace website: Configuration for headphones: Sennheiser HD 800 (by metal571): description/notes added for tooltip
  • added: Peace website: Configuration for headphones: Superlux HD 681 (by Peter Verbeek)
  • added: Peace website: Configuration for headphones: Superlux HD 681 using GraphicEQ (by Peter Verbeek)
  • changed: Peace website: Configuration: Bluetooth Headset 1 reworked
  • changed: Peace website: Configuration: Bluetooth Headset 2 reworked
  • added: Peace website: Configuration: Bluetooth Headset 3
  • added: Peace website: Configuration: Bluetooth Headset 4

Version 1.4.6.3 released 2018-05-27

  • added: appearance settings: peak value meter on main window can be set to graphical (green, yellow and red)
  • added: 50% and 100% labels above peak value meter
  • improved: tray: effects menu item to open effects panel
  • improved: downloading of new Peace version improved. It sometimes gave a download error right at the end
  • improved: when saving your configuration an icon for the system tray can be chosen which is displayed after configuration selection (thanks Dirk)
  • improved: clipping prevention now also work at minimized state
  • improved: tooltip of pre amplifying slider will display name of speaker
  • improved: tooltip of pre amplifying slider will only display on main speaker that clipping prevention is on
  • improved: tooltip of Done button states that your equalization stays active after closing Peace
  • improved: balance window image
  • changed: when Peace is hidden is tray and a switch to another configuration is done, showing Peace again will only show the new configuration instead of also showing the previous one
  • changed: to reduce needed CPU idle power the automation is checked every 600 ms instead of 500 ms and the peak value refreshed every 60 ms instead of 50 ms
  • added: settings window: Debugging and Testing tab: option to beep when switching to another configuration by hotkey
  • improved: settings window: choice when to check for a newer Peace version: on startup and/or once a day
  • bug: couldn't exit by tray when Peace is hidden and a switch to another configuration occurred
  • bug: new version dialogue could interfere with settings window when quickly clicking the settings button
  • manual: text added/changed for above mentioned features
  • manual: balance hotkeys explained
  • manual: import feature of Peace further explained
  • manual: some overall textual improvements
  • added: Peace YouTube: tutorial 7 Graphic EQ and filters
  • added: Peace website: Configuration for speakers: AudioEngine A2+ (by NoAudiophile)
  • added: Peace website: Configuration: RIAA Phonograph 10 dB
  • added: Peace website: Configuration: RIAA Phonograph 20 dB

Version 1.4.5.0 released 2018-04-06

  • improved: settings window: Clicking the Close (X) button the main interface (and pressing Esc) may minimize Peace to tray instead of closing
  • improved: the selected view of the main window (normal and minimized) is saved and to be set at startup
  • improved: graph window: right clicking on a graph handle will reset the slider/graph handle to 0
  • changed: tray: clicking the Exit tray menu item will no longer (briefly) show the main window. Peace is just closed
  • added: tray: settings tray menu item to go to Settings window
  • added: settings window: button for restarting the Windows audio service after some change of the audio devices
  • added: appearance settings: 3 white slider thumbs which can be colored to your taste
  • improved: appearance settings: right clicking on the size or one of the thumb color sliders will reset it
  • improved: appearance settings: all slider thumbs images have been reworked
  • bug: after starting the Windows explorer graphical sliders and effects panel knobs and switches disappeared. A redraw is needed
  • manual: text added/changed for above mentioned features
  • added: Peace website: Configuration for speakers: LXmini+2_SL_50Hz (by Béla)
  • added: Peace website: Configuration for headphones: Kotion Each G9000 EQ 1 (by Peter)
  • added: Peace website: Configuration for headphones: Kotion Each G9000 EQ 2 (by Peter)
  • added: Peace website: Configuration for headphones: Kotion Each G9000 EQ 3 (by Peter)

Version 1.4.4.4 released 2017-12-21

  • improved: settings window: settings are now on tab pages: general, sizes and amounts, hotkeys and debug
  • added: settings window: hotkeys for altering stereo balance, during altering balance is shown in a small window
  • changed: stereo balance amplifying knob is always enabled for balance hotkey implementation
  • improved: automation window: visual improvement of selected tab page
  • improved: Czech translations has been added, checked and improved (thanks Lubomír Hubatka)
  • improved: slightly faster building of the interface windows after selection of a configuration by loading images at program startup
  • changed: advertisement link moved to under the language selection, to avoid clicking on it accidentally
  • bug: when using a graphical slider on Windows 10 it snapped back to a previous value rendering it unusable
  • bug: small issue in using pre amp hotkeys
  • bug: tooltip on command window says "Activate", must be "Save"
  • bug: possible issue incorrect position of the More effects button
  • bug: minor artifacts when drawing a graphic slider thumb
  • manual: rearranged settings window described
  • manual: advanced usage rearranged
  • manual: some overall textual improvements
  • added: Peace website: Configuration for speakers: Altec Lansing VS2621 v2 (by AnggaSP)
  • added: Peace website: Configuration for headphones: Superlux HD681 EVO (by AnggaSP)

Version 1.4.3.5 released 2017-10-15

  • added: button to extend the list upwards onto the left of the sliders
  • improved: minimized configurations window is minimized by extended or non-extended state of configurations list
  • improved: after selection of a configuration it remains on the same position in the list instead of going to the top
  • improved: at minimized state window title becomes "Peace" instead of long name
  • added: Russian translation (thanks Igor)
  • changed: import button has the term 'Import' on it to make its function more clear
  • changed: effects panel: up mixing is no longer affected by the Apply effects button. Up mixing is always done first
  • added: more log points for tracing are inserted into the code of building of the user interface
  • added: Show log button for easy access to the Peace log in My Documents
  • added: advertisement link to a commercial site
  • improved: Peace Setup tool: Link added for enable easy access to Equalizer APO website to install it
  • bug: possible issue of not cleaning up tray volume gui and language gui after usage
  • bug: possible issue with minimized interface concerning delay, overall quality/gain, commands button, speakers list
  • bug: possible issue if audio devices aren't found (enumerated)
  • bug: using characters other than a-z or 0-9 in a configuration with a hotkey could cause that it couldn't be selected
  • bug: settings window: Startup button doesn't create link in main startup folder, back to user startup folder
  • manual: new/changed features described and images added/changed
  • added: Peace website: Configuration for speakers: Altec Lansing VS2621 (by AnggaSP)
  • added: Peace website: Configuration for headphoness: HyperX Cloud Headphones, EQ - Full (by SeenoChasm)
  • added: Peace website: Configuration for microphone: HyperX Cloud Mic, EQ - Full (by SeenoChasm)

Version 1.4.2.3 released 2017-07-26

  • added: settings window: the refresh interface message after selecting (automatically) a different configuration can be hidden
  • changed: settings window: by clicking the startup button Peace will be added to the main startup folder instead of the user one
  • improved: copy/paste buttons are now beside speakers list, giving a better feel of the GUI
  • improved: effects and commands button are now close to each other, giving a better feel of the GUI
  • improved: a green light is shown instead of an asterix * sign on the effect panel and commands buttons for the reflection of a change or setting
  • improved: reloading the GUI after selection of a configuration is now a bit faster (process list is now filled in GUI loop)
  • improved: + and - buttons show their hotkeys (ctrl = and ctrl -)
  • improved: better explanation of entering one character to attach a hotkey to selected configuration
  • changed: width of input box for entering one character (to attach a hotkey to selected configuration) widened
  • improved: reading of a configuration .peace file: default is only read when Last Configuration.peace isn't available
  • improved: effects panel: it's more clear by using red/green colors when Cross feed filters and Swap speakers are in use
  • bug: + button to add a slider didn't work any longer
  • bug: effects panel: swapping rear/side speakers with front ones now work (or did it already?)
  • bug: commands window: middle text box showed all Equalizer commands so including entered commands
  • bug: tooltips weren't refreshed after selecting a different speaker
  • bug: Peace Setup tool: at uninstall: if Peace.exe wasn't found, uninstall confirmation box had no text
  • manual: minor textual improvements
  • added: Peace website: Configuration for headphones: Superlux HD681 EVO (by Vinh Nguyen Toan)

Version 1.4.1.4 released 2017-06-11

  • added: automation window for configurations which have to be active always and configurations depending on program startup and device selection
  • added: automation button in main window for accessing automation window (green head: automation on, green body: something has been automated)
  • added: notification of GUI being refreshed when user activates it from tray
  • added: warning that Peace is running at activating configuration by shortcut
  • improved: device list dropdown width enlarged to 300 pixels
  • improved: Czech translations checked (thanks Lubomír Hubatka)
  • improved: running 64 bit version is shown in title bar
  • improved: double clicking on a desktop shortcut (to activate configuration) will show a message for 2 seconds
  • improved: translation window: horizontal scrollbars added to lists of language text lines
  • improved: commands window: horizontal scrollbars added to list of examples
  • improved: on Windows 10 mouse scroll wheel can now be used on the Windows volume slider
  • improved: download window: less download failures
  • improved: download window: checkbox for hiding download window at startup
  • improved: adding a speaker: delay and pre amplifying values of current speaker aren't copied but are 0 values
  • changed: save file dialog replaced by an inputbox because configuration files are always stored in Program Files/EqualizerAPO/config folder
  • changed: horizontal scroll bar of main window now appears if main window larger than desktop width + window border width
  • bug: download window: possible conflict with hidden main window
  • bug: when starting without GUI a hotkey press (for switching to a configuration) would pop up the GUI
  • bug: under Windows 10 after switching a configuration by hotkey, Peace might be reverting to the former configuration
  • bug: if the audio is muted by tray after switching to a configuration (by key or tray) mute symbol was still visible
  • bug: when using graphical sliders minimizing the main window would show graphical sliders portion
  • bug: effects panel: tiny visual issue of overlapping routing table with knob control explanation text
  • bug: graphical slider thumbs could leave one line of pixels during sliding
  • manual: explanation of the automation window
  • manual: minor textual improvements
  • added: Peace website: Configuration for headphones: Superlux HD681 EVO + leatherette cushions v2 (by Lubomír)
  • added: Peace website: Configuration for headphones: Sennheiser HD 800 (by metal571)
  • added: Peace website: Configuration for headphones: Vault 111 Steelseries Siberia V3 (by Douglas)
  • added: Peace website: Configuration for headphones: Razer Kraken Pro (by Peter Verbeek)
  • added: Peace website: Configuration for headphones: Marmitek BoomBoom 560 (by Peter Verbeek)

Version 1.4.0.1 released 2017-02-10

  • improved: effects panel: Ctrl+left mouse button will switch a rotary knob on or off (for testing the difference in audio)
  • added: effects panel: equalization stage: before or after mixing of audio of applications (Stage command of Equalizer APO)
  • changed: effects panel: stereo expander knob resolution reduced to 0.05 ms steps
  • added: download window: button for showing readme file with (new) version info
  • bug: change in stereo expander knob wasn't shown in Effects and More effects buttons
  • bug: stereo expander knob wasn't saved
  • improved: Peace setup tool checks for a new Peace version, downloads and starts it when confirmed
  • manual: Ctrl+left mouse explained for switching off and on of a rotary knob
  • manual: equalization stage explained
  • manual: batch file usage explained in the Create a desktop shortcut section of Saveing/selecting your configuration chapter

Version 1.3.9.0 released 2017-01-06

  • improved: settings window: Slider and Configuration List Height can set even lower to get a main window height of 485
  • changed: Peace Setup tool has been rewritten from C# to AutoIt. No need for .NET framework to be installed
  • improved: Peace Setup tool: text changed and tooltips added
  • added: effects panel: stereo expander by using a tiny delay on the left channels
  • bug: effects panel: stereo widening had wrong channel routing
  • manual: stereo expander text added and Setup tool text changed

Version 1.3.8.0 released 2017-01-06

  • added: a check if a newer Peace version is available on the Peace website. Can be set in Interface selection window
  • added: window to download the Peace Setup to install a newer version
  • improved: effects panel: switches and rotary knobs have a larger interface surface (makes it easier on Windows phones/tablets)
  • added: effects panel: More effect button for effects
  • added: effects panel: bass by lower shelf filter and treble by high shelf filter
  • added: effects panel: crossfeed by a simulation of a Chu Moy filter or Jan Meier filter
  • added: effects panel: swapping front with rear or side speakers
  • improved: effects panel: less redraws are performed
  • improved: a REW file is imported to the selected channel/speaker
  • added: hotkeys Ctrl - and Ctrl + for adding and delete a slider
  • improved: pre amplifying field and sliders are showing when Prevent clipping is on
  • changed: tray icon: single left click will show/hide main GUI and single right click will popup tray menu
  • improved: all default configurations has been reworked: lower gain and less aggressive
  • improved: for the audiodg process: reduced i/o in the obtaining of the peak value for the peak value level meter
  • improved: clicking above or below a slider will add/substract the mousewheel db value (instead of some large dB value)
  • improved: the device selection list is also on the simple interface
  • improved: settings windows: height of sliders part and configuration list part can be set smaller (for low resolution Windows phones/tablets)
  • changed: graphical slider thumbs sharpened and enlarged a bit
  • added: blue gray and light red slider rials (gray has been changed)
  • improved: tooltips of frequencies sets have a note saying: no sliders are added or deleted
  • bug: when adding a slider sometimes the added slider has a gain or frequency other than 0
  • bug: a 0 Hz point/slider in a graphic equalization distorted the graph
  • bug: double clicking the tray icon during the editing of a speaker would make the speaker editing window disappear
  • manual: Peace setup tool explained
  • manual: installation page rewritten, installation is done by using Peace Setup tool
  • manual: added Windows 10 (update) issues
  • manual: improved explanation on frequencies sets usage
  • manual: some improvements
  • added: Peace website: A setup tool PeaceSetup.exe to install/uninstall Peace, backup/restore configurations and configure Peace
  • changed: Peace website: reworked default configurations uploaded
  • added: Peace website: Jan Meier and Chu Moy crossfeed simulation configurations
  • added: Peace website: 5.1 setup configuration (front, subwoofer, rear speaker setup)
  • added: Peace YouTube playlist
  • added: Peace YouTube: video tutorials

Version 1.3.7.5 released 2016-08-14

  • improved: by clicking on the peak value meter Peace opens the audio devices panel where you can set the default audio device
  • improved: whenever a change in default audio device is detected the peak value meter is changed to this device
  • added: main Windows volume slider and mute button added which also reflect the selecting of a new default audio device
  • improved: CPU usage footprint of peak value meter reduced, meter refreshes about every 50 milliseconds
  • improved: effects panel: rerouted channels will be routed to virtual channels first and then back to real channels thus preventing incorrect routings
  • improved: effects panel: labels of channels routing table repositioned for clearer use
  • improved: effects panel: the upmix switch in middle position -> no upmix to center front and rear speakers (to prevent crossfeed to left/right)
  • changed: effects panel: removed "always on top" attribute of effects window. selecting other software makes it disappear like main window
  • improved: GraphicEQ command of an Equalizer APO command file can be imported by the Import button
  • improved: channel delay can also be entered in number of samples instead of milliseconds (toggle by clicking on delay field label)
  • changed: at startup the pre amplifying input field doesn't get focus any more
  • changed: the Flatten button no longer resets the pre amplifying
  • improved: new speaker and speaker mute icons
  • changed: graph window: removed "always on top" attribute
  • manual: "Controlling the sound volume" section changed
  • manual: minor changes
  • bug: Audacity export: 0 dB gain of a certain frequency wasn't exported resulting in an incomplete Audacity filter
  • added: Peace website: swapping front and rear speakers by using channels routing table

Version 1.3.6.1 released 2016-06-26

  • added: peak value meter and indicator to be able to see audio clipping
  • added: checkbox to enable automatic anticlipping to prevent audio distortion
  • added: volume meter to see the current volume output of Windows
  • added: settings windows: checkbox to show or hide peak meter on GUI
  • added: effects panel: while hovering above a rotary knob the mouse wheel can be used to rotate it
  • added: effects panel: after clicking on a rotary knob the arrow keys can be used to rotate it
  • manual: peak meter explained
  • manual: new effects panel explained
  • bug: graph window: the graph of a LSC or HSC filter was drawn with a corner frequency. Must be the center frequency
  • bug: using the mouse wheel on pre amplifying slider didn't refresh the detached pre amplifying slider
  • bug: using pre amplifying hotkeys the detached pre amplifying slider wasn't refreshed
  • bug: effects panel: the spatial shift wasn't saved
  • bug: effects panel: the spatial shift to rear for channel SUB and RC wasn't correct
  • bug: small alignment issue of language dropdown list on the simple interface

Version 1.3.5.2 released 2016-05-30

  • improved: effects panel: stereo balance amplifying rotary knob for amplifying left/right channel during balancing
  • improved: effects panel: values are shown beneath rotary knobs
  • improved: effects panel: if a value of a rotary knob isn't the default then the knob lights up green
  • improved: effects panel: small visual/textual improvements
  • improved: filters import: frequencies with decimals are correctly imported (rounded to nearest integer)
  • improved: filters import: thousand and decimal comma/period figures are correctly imported
  • improved: sliders on main GUI are working again under Windows 10 (despite no WM_Mousewheel message is given)
  • improved: a hotkey can be given in settings window to show and hide GUI by hotkey
  • improved: double clicking on the tray icon will always activate (pop up) the main GUI even when it's already open
  • improved: Exit menu item of tray menu placed at the bottom
  • improved: settings window: button to start Equalizer APO's Configurator
  • improved: German translation (thanks Uwe)
  • improved: settings window: better aligning of some labels
  • bug: mode selection window: text lines were mixed up
  • bug: small isue of not always correctly showing on the Effects button when effects are used
  • changed: Peace.exe is now compressed. It's smaller and less likely to give a false positive
  • added: Peace website: 2 echo configurations: 2 and 5 echo's
  • manual: changes explained of the effects panel
  • manual: changes explained of the settings window
  • manual: some textual improvements

Version 1.3.4.1 released 2016-04-07

  • added: Import Equalizer APO configuration files and Room EQ Wizard filters text files: importing filters and pre amplifying
  • added: effects panel with rotary knobs and switches for audio effects
  • added: effects panel: reverse channels switch, left becomes right and vice versa
  • added: effects panel: reverse when switch to determine the reversal before or after your current configuration
  • added: effects panel: crossfeed rotary knob, stereo to mono, to reduce stereo effect
  • added: effects panel: dampen left and right rotary knob to suppress a left/right channels
  • added: effects panel: stereo and spatial balance rotary knobs to shift balance to the left, the right, the front or rear channels
  • added: effects panel: upmix channels switch to upmix left/right stereo to all 7.1 channels
  • added: effects panel: downmix 5.1 or 7.1 channels to stereo left/right
  • added: effects panel: fake stereo, aka duophonic and faux stereo, switch and rotary knobs to control the effect
  • added: effects panel: stereo widening rotaty knob (by using a small delay)
  • added: effects panel: echo count and delay rotary knobs for echo effect
  • added: effects panel: routing table to route channels to other channels and to mute channels
  • added: Help button in inital messagebox of the "File config.txt wasn't found"-error
  • added: Peace website: configurations: crossfeed, audio delay, fake stereo, downmix and upmix
  • added: mode selection window: button for creating a Peace shortcut on your desktop
  • added: Graphic EQ configuration is installed at first startup
  • improved: desktop shortcut confirmation messagebox will show if current configuration isn't saved yet
  • improved: German translation checked and improved (thanks Uwe)
  • bug: graph window: the low and high shelf filter with slope (in dBs) weren't correctly drawn. The center frequency wasn't calculated
  • bug: translate window: clicking on a line in the right language list didn't copy the text to the lower textbox
  • bug: tray pre amplifying slider didn't disappear after clicking on a non-Peace window
  • bug: a small isue of not refreshing a window when moving it only horizontally or vertically
  • bug: when graph window was minimized clicking on the graph button to show it again wouldn't pop up the window
  • bug: speaker window could be resized which isn't suppose to
  • manual: sandbox issue addressed
  • manual: importing filters feature explained
  • manual: effects panel explained
  • manual: some textual improvements

Version 1.3.3.0 released 2016-01-13

  • bug: when a graphic knob for the sliders was chosen the gain sliders part of the GUI wasn't refreshing correctly
  • bug: In a graphic EQ configuration the graph handles couldn't used, slider knobs weren't enabled, etc.

Version 1.3.2.2 released 2016-01-12

  • added: Graphic EQ for better equalization, made possible by Jonas Thedering from Equalizer APO 1.0 onwards
  • added: Peace website: Graphic EQ flat equalization configuration
  • added: Peace website: Duophonic Faux-stereo configuration
  • improved: the moving of a slider feature doesn't have an inputbox any longer, just click a slider and use the arrow buttons
  • added: Czech translation (thanks Lubomír Hubatka)
  • improved: Italian translation (thanks Niki)
  • improved: translation window is now easier to understand (thanks Lubomír Hubatka)
  • improved: messageboxes will always be the top level window and thus easy visible and accessible
  • added: more hotkey pairs for pre amplifying, control shift arrow up/down, right/left and keypad +/-
  • improved: the reverting of channels is done post equalization. So the left/right pre amp sliders are reverted too (thanks Martin)
  • improved: if chosen for not showing the GUI on Peace startup, the GUI window won't briefly appear
  • improved: settings window: text in icon colour dropdown list are translated
  • improved: textual improvements of some terms
  • bug: when using the mouse wheel on a graphical slider sometimes a chunk of the slider thumb was left thus not refreshed properly
  • bug: graph window: the channel delay value was added to the pre amplifiying value
  • bug: tray: hide/show Peace text wasn't reflecting GUI state when using Hide GUI at startup feature
  • bug: graphical slider wasn't refreshed after a filter change
  • manual: the use of Graphic EQ explained
  • manual: translation window explained
  • manual: textual improvements (thanks Don)

Version 1.3.1.0 released 2015-11-26

  • added: mousewheel usage on sliders and graph handles to increase/decrease dB value or quality
  • added: settings window: increase/decrease dB value at mousewheel use
  • improved: change notification by * sign of an equalizer configuration in Window title
  • improved: settings window: what to do at activation of a selected configuration
  • changed: new users must confirm the activation of a configuration, when the current one has been changed
  • added: window context sensitive help: All windows have a Help button which opens a help topic in the manual specific for this window
  • added: window context sensitive help: F1 key is routed to the specific help topic of the window the key is pressed on
  • added: Ctrl+S as key for saving equalizer configuration
  • added: 2 buttons to move a slider left or right
  • added: settings window: button to open a translation window to translate GUI text to a new language (send me your language file)
  • added: your own language file can be added to the Peace folder, use new translation window to create a new language file
  • added: hotkeys for increasing/decreasing pre amplifying and step dB value
  • added: settings window: button to create a Peace shortcut on the desktop
  • added: settings window: button to start Peace at Windows startup by creating a shortcut in the start menu
  • improved: settings window: a question box added when resetting to default values
  • improved: settings window: reworked for better appearance and use
  • improved: language files completed
  • bug: when graph settings window was open, buttons and dropdownboxes wouldn't work on the main gui
  • bug: when adding or removing slider, equalizer on/off button and mute button weren't reflected
  • bug: Microsofts implementation of a left mouse clicked slider led to a slider change without value change
  • bug: selected configuration in tray tooltip had 2 stars to show it was changed
  • bug: an inputbox became hidden behind the window clicked on
  • manual: mousewheel added to text
  • manual: text changed for what to do at activation
  • manual: new settings window image
  • manual: minor textual changes

Version 1.3.0.1 released 2015-10-24

  • improved: even a device of a saved configuration is off or doesn't exist any longer it's still selected
  • added: Peace website: 6 Peace configurations (presets) for stereo widening
  • changed: settings window: Peace icon is back
  • added: settings window: trace log checkbox for tracing a few things
  • improved: some Italian translations
  • bug: "on" png image files weren't deleted after closing Peace
  • bug: possible issue with trailing space in device name
  • manual: configurations (presets) summed up
  • manual: devices better explained
  • manual: tracing explained
  • manual: some minor textual corrections

Version 1.2.9.0 released 2015-10-06

  • added: appearance settings: 6 on/off switch images to choose from
  • changed: the upmix feature isn't checking any more if the input has only 2 channels (It didn't work. Why?)
  • improved: when adding a slider with the + button the quality value will be the entered one in the settings
  • bug: sometimes an unwanted filter/slider was added
  • bug: desktop shortcuts: Peace didn't fetch the devices, no equalization was done if one particular device was selected
  • bug: desktop shortcuts: If in Peace GUI was off or muted, clicking a shortcut resulted in off or muted also

Version 1.2.8.0 released 2015-09-29

  • added: Peace website: 39 Peace configurations (presets)
  • added: low and high shelf filters with editable slope (LSC and HSC)
  • added: checkbox for upmixing stereo channels to 5.1 and 7.1 setups
  • added: commands window: upmixing 2 channels to 8 example
  • bug: quality value in tooltip didn't reflect entered quality
  • manual: low and high shelf filter with editable slope added
  • manual: upmix stereo channels explained

Version 1.2.7.0 released 2015-09-15

  • changed: For new users: a predefined configuration can be deleted, the 'Default equalizer configurations...'-checkbox is unchecked
  • added: shortcut button to create a desktop shortcut of an equalizer configuration (preset)
  • added: last selected configuration is shown in window title, an asterisk behind it means it has been changed
  • improved: the last select configuration will be the top one in the configuration list, less scrolling is needed to be done
  • bug: closing the speaker selection window by using the window close button froze the main GUI
  • bug: an issue concerning configuration file names which let to unselectable configurations
  • manual: shortcut use explained
  • manual: reversing channels feature explained
  • manual: delay and reversing on a separate page
  • manual: some other minor text improvements

Version 1.2.6.1 released 2015-09-11

  • added: checkbox to reverse channels, left becomes right and vice versa
  • added: right click on filter will disable it, can be used to toggle the impact of the filter
  • changed: Peace icon is now light blue
  • added: settings window: selection of a different colored tray icon
  • added: at startup the last selected configuration of the list will be highlighted
  • added: commands window: reverse stereo channels example
  • added: commands window: crossfeed example
  • improved: 'no key'-text of mute hotkey translated
  • bug: settings window: clicking on reset button didn't reset mute key
  • manual: tray icon select explained

Version 1.2.5.0 released 2015-07-15

  • improved: right mouse clicking on a slider resets it to 0 dB
  • changed: color settings renamed to appearance settings
  • added: graphical sliders: can be set in appearance settings
  • added: appearance settings: 15 different slider thumb images to choose from
  • added: appearance settings: slider thumb size
  • added: appearance settings: slider thumb coloring (RGB)
  • added: appearance settings: 3 slider rails (white, grey, black)
  • added: appearance settings: ticks along rail or no ticks
  • improved: settings window: tick ratio explanation in tooltip
  • improved: Italian translations of graph window (thanks again Niki)
  • manual: new slider appearance settings explained

Version 1.2.4.0 released 2015-06-22

  • added: settings window: feature to choose or select GUI colors
  • changed: graph window: 0 dB axis will be drawn under the graph and its handles
  • improved: efficiency of GUI loop improved, so a reduce in needed processing power
  • improved: after hotkey press in other application the graph window will be redrawn by clicking on it
  • changed: graph window will be hidden when adding or changing a speaker/combination
  • bug: assigned hotkey was lost after saving
  • bug: speakers window: speaker wasn't unchecked when adding a new speaker combination
  • bug: settings window: when resetting settings to default 'Show GUI at startup' checkbox wasn't reset

Version 1.2.3.0 released 2015-06-02

  • changed: settings window: window height reduced to fit a screen resolution 1366 by 768
  • added: settings window: the use of the Esc key to hide the main Peace window to tray instead of closing the program
  • added: double clicking on the tray icon will show the main Peace window
  • manual: added settings explained

Version 1.2.2.2 released 2015-05-27

  • improved: graph window: redraw speedup through not drawing labels at every redraw
  • improved: graph window: improved responsiveness of gain/frequency change on slow computers
  • changed: graph window: showing decade frequency lines/labels to show logarithmic nature of graph. Can be changed in graph settings
  • added: graph window: graph can be draw in linear frequencies as opposite to logarithmic
  • added: graph window: frequency range can be altered in settings. Can be used for instance to zoom in
  • added: graph window: handle can be selected and moved up/down for gain change and sideways for frequency change with arrow keys
  • improved: decimal numbers of filter quality is now 3. For example 0.707 can be entered for the q
  • added: settings window: checkbox for immediate change of processing of a slider and graph handle
  • manual: graph settings section added
  • bug: graph settings window: comboboxes should be read only
  • bug: graph window: a handle of filters, which had no gain, turned black and could be moved up and down

Version 1.2.1.0 released 2015-05-17

  • changed: if ini file contains wrong window positions it's automatically corrected

Version 1.2.0.1 released 2015-05-02

  • added: graph window: graph of the transfer function, gains at all frequencies of a selected speaker(s)
  • added: graph window: adjust gains in graph
  • added: graph window: adjust frequencies in graph
  • added: graph window: add pre amplifying value check box
  • added: graph window: settings window for graph settings (colors, etc.)
  • changed: minimum dB snap value is now set to 0.1
  • changed: minimum filter quality is set to 0.01
  • added: font size setting now also effects commands, speakers, graph, graph settings window
  • improved: some language texts
  • bug: wrong y offset of buttons to bottom of window after resizing commands window
  • bug: possible issue of not restoring commands window after minimizing
  • manual: lost links of speaker related keywords corrected
  • manual: graph window explained
  • manual: some text corrections

Version 1.1.2.0 released 2015-04-01

  • improved: Peace will take less processing time when user isn't using the interface
  • added: at Peace startup: an interface selection window for a simple interface or the full one. Window can be hidden
  • changed: Commands window: some examples: copy speakers from multiple lines to 1

Version 1.1.1.0 released 2015-03-18

  • note: Channels are now speakers. You might have to move some equalizations
  • changed: Equalizing combined speakers such as all left speakers or front speakers
  • added: A speaker or speakers can be added or removed
  • added: 7.1 setup configuration
  • changed: Slider changes are immediately hearable
  • changed: Moving a gain slider is immediately reflected in Equalizer APO, thus in audio
  • changed: Moving a pre amplifying slider is immediately reflected in Equalizer APO, thus in audio
  • changed: a slider movement is shown in corresponding gain input field
  • improved: Filter pictures are clearer
  • improved: Pictures of low/high pass and low/high shelf are more according what they filter
  • improved: Filter selection window will now disappear when switching to another program
  • changed: Commands window functionality
  • changed: Commands window: Entered Equalizer APO commands must be confirmed by saving them
  • added: Commands window: Test button to test your entered commands
  • added: Commands window: Panic button which introduce a Pre Amplify value of -20 dB to quickly mute the audio
  • added: Commands window: Reset button to go to the previous saved commands
  • added: a popup question to confirm switchin to a selected equalizer configuration. To activate this popup go to settings
  • improved: by default the positions of the main window and commands window are now remembered
  • removed: Settings window: number of sliders
  • added: Settings window: remember windows positions checkbox (unchecked and the windows are centered on screen)
  • added: Settings window: horizontal space between the sliders. Can be used to spread out the sliders horizontally (thus widens the main window)
  • added: Settings window: thumb width of sliders: Can be used to make the thumbs wider and heigher (thus widens the main window)
  • added: Settings window: device list width: Can be used to make the device list wider (thus widens the main window)
  • added: Settings window: height of the sliders: Can be used to make the sliders part higher (thus heightens the main window)
  • improved: Settings window: input fields set more to the right to create space for longer foreign language labels
  • changed: small titles in popup boxes instead of long ones
  • improved: the 'start in' field of a shortcut no longer needs to be entered
  • improved: a few small changes in the language files
  • bug: after selecting a configuration by the tray, you couldn't exit by the tray
  • bug: selecting a language should only be a dropdown list
  • bug: exporting to Audacity included all filters, should be peak filters only
  • bug: typo on limits of tick ratio in settings
  • bug: resetting the minimum configuration list height in the Settings window should be a value of 165 instead of 160
  • added: help information/manual under the help button. Can also be downloaded

Version 1.1.0.1

  • added: more filters than peak: low/high pass, low/high shelf, band pass, notch, all pass. For each slider one of these filters can be selected
  • bug: equalizer controls tooltips didn't show values at startup
  • bug: selecting a device should be a dropdown list
  • bug: in settings: selecting a mute hotkey should be a dropdown list

Version 1.0.9.0

  • added: audio delay field to delay sound in milliseconds
  • changed: explanation added in hotkey inputbox on change of key combination in settings
  • added: check mark placed at selected configuration in tray configurations menu
  • added: selected configuration as tray tooltip, * sign shows it's be altered, for instance by using a slider
  • changed: visual improvement of current selected configuration in configurations list
  • bug: deactivating the tray icon in settings window still showed the tray icon

Version 1.0.8.2

  • added: devices list for selection of a device for equalization, the default setting is any device in this case no device command in Peace.txt is inserted
  • added: Equalizer APO commands window under commands button to finetune your equalizer configuration
  • added: Commands window: some example commands
  • changed: up/down/left/right text on buttons changed to arrow image buttons and move next to flatten button
  • changed: images (instead of text) on 'show detached pre amp slider' button, 'add/delete a slider' buttons and minimize/maximize button
  • changed: for improved alignment the default height of configurations list is increased from 160 to 165

Version 1.0.7.0

  • improved: behaviour on hotkey and tray configuration. Peace GUI no longer appears to invoke configuration
  • improved: detecting of line 'Include: peace.txt' in config.txt. You can now add your own lines before and after this line
  • bug: export button wasn't completely shown when using a small amount of sliders

Version 1.0.6.1

  • added: user definable hotkeys for each of your equalizer configuration to quickly switch between them
  • added: mute hotkey for muting/unmuting while an other program is activate
  • added: Peace in Windows tray: select a configuration, hide/show gui, (un)mute and pre amplifying (of main channel)
  • added: in settings: hide Peace at startup (to use only the tray)
  • added: export button to write an EQ curve xml file, which can be imported to the Audacity equalizer plugin
  • added: any default equalizer configuration can be deleted if you uncheck 'Default equalizer configurations....' in settings
  • changed: disabled auto pausing if clicking tray icon (previous versions paused Peace execution, which felt like a freeze)
  • changed: in settings: height of configurations list is limited to workarea height of desktop
  • improved: some language text corrections
  • bug: vertical detached pre amplifying slider wasn't displayed correctly, was upside down and resizing wasn't saved correctly

Version 1.0.5.3

  • added: 'add/delete a slider' buttons to extend the equalizer or to make it smaller
  • changed: pre amplifying slider on GUI has now a maximum width of 600 pixels
  • added: in settings: detached pre amplifying slider can be shown horizontally or vertically
  • changed: equalizer has been squeezed horizontally to better fit the 31 sliders on screen (it fits in 1600 pixels)
  • added: horizontal scrollbar if sliders don't fit on screen
  • added: Italian translation (thanks Niki)
  • added: in settings: font size can be set (to accommodate window font zooming or width of a translation)
  • added: frequencies set 4, one third octave frequencies (don't forget to set the number of sliders to 31)
  • improved: images refresh system (images could sometimes disappear)
  • changed: gain values are snapped to 0.5 dB (snapping value can be edited in settings)
  • changed: all default equalizer configurations are snapped to 0.5 dB
  • changed: icon
  • changed: no equalizer configuration files will be created, if Peace isn't in the right folder (the config folder of Equalizer APO)
  • improved: if there isn't a non-English label present in the selected language file, the English label will be taken
  • changed: the function to create a configuration file for Equalizer APO waits until Equalizer APO is done reading

Version 1.0.4.1

  • added: on/off switch (choosing a different equalizer configuration will switch equalizer on)
  • added: mute audio switch (note: it also mutes audio after leaving Peace)
  • added: detached pre amplifying window (for changing sound volume, always on top, can be put on the taskbar for instance)
  • added: filters for each channel/speaker: support for 5.1, 7.1 and other channel/speaker setups
  • added: filters for each channel/speaker: copy a channel/speaker equalizer configuration to another
  • added: in settings: write all filters (e.g. for resetting Equalizer APO which is normally not necessary)
  • added: in settings: height of configurations list
  • added: in settings: reset position and size of pre amplifying window
  • improved: maximum sliders extended to 31
  • changed: maximum sliders vary with frequencies (where frequency = 0 -> no slider) of chosen equalizer configuration
  • improved: all preset equalizer configurations now have the correct q values
  • added: 2 octave frequencies equalizer configurations (starting with 16Hz and 20 Hz)
  • added: one third octave equalizer configuration (with 31 sliders!)
  • added: frequencies sets contain correct q values
  • changed: frequencies set 1, changed 666 Hz to 577 Hz
  • changed: frequencies set 2, added 16 Hz, changed 64 Hz to 63 Hz
  • added: input field to enter a value for all gain sliders
  • info: Peace64.exe is no longer available due to some Autoit compile issues
  • bug: entering a different frequency wasn't reflected into Equalizer APO until corresponding slider change
  • bug: minor bug on not refreshing tooltip when a frequency is changed

Version 1.0.3.0

  • added: equalizer configurations: rock, vocal, dance, classic

Version 1.0.2.1

  • bug: possible issue with saving ini file

Version 1.0.2.0

  • added: settings windows for changing number of sliders (max. 20), db limit, etc.
  • added: GUI minimize and maximize button
  • added: about box
  • changed: flatten button also resets pre amplify to zero
  • changed: program deletes files (languages, images) after exit
  • changed: some corrections in language files
  • bug: using up/down button: sometimes sliders max or min out

Version 1.0.1.0

  • added: language support
  • added: languages: English, Deutsch, Nederlands
  • added: ini file (you can change some things but be careful not to mesh the program up)
  • added: icon in GUI

Version 1.0.0.1

  • added: equalizer configurations: bass boost, high boost, etc.
  • added: readme file
  • changed: behaviour when you first start Peace

Version 1.0.0.0 released 2014-03-13

  • Initial version